Table of Contents

  • Table of Contents
  • Welcome
  • Tour
    • What does BitPim do?
    • What do I need?
    • What do I do first?
    • Editing your data
    • Sending your changes to the phone
  • Troubleshooting
    • Ports/Serial communications
    • Linux Issues
  • Reference
    • Dialog boxes
      • Settings
      • Comm Port Settings
      • File Contents View
      • Restore Files
      • Get Phone Data
      • Send Phone Data
      • Editing Calendar Events
      • Merging phonebook entries
      • Audio Conversion
      • Calendar Import
      • Image Preview
      • Calendar Merge
      • Calendar Import Wizard
      • Calendar Import Preset
    • Tree Items
      • Phone
      • Phonebook
      • Wallpaper
      • Ringers
      • Calendar
      • Memo
      • Todo
      • SMS
      • Call History
      • Play List
      • Filesystem
      • Log
      • Protocol Log
    • Howtos
      • Backups
      • Multiple Users/Data Directories
      • Import Calendar Data
      • Import Outlook Notes/Tasks
      • Add Ringtones
      • Add Images
      • Set category
      • Do Data Recording
    • USB
      • Linux USB Setup
      • Mac USB Setup
      • Windows USB Setup
      • Vendor and Product ids
    • BitPim Internals
      • How BitPim stores data
      • Phone Protocols
      • Working with the code
  • Errors
    • Device Needs Attention
    • Failed to open device
    • No associated programs
    • Failed to execute external command
    • Failed to automatically detect port
    • An exception occurred
    • Invalid Image File
    • Zipfile corrupted
    • A Zipfile is required
    • Failed to find PureVoice converter
    • Phonebook busy on phone
    • Data Communications Error
    • Access has been blocked
  • Phones
    • Phone features supported
    • What phones do the developers have?
    • What phones do the developers want?
    • Audiovox CDM8900
    • LG C2000
      • Cables
      • Notes
    • LG G4015
      • Cables
      • Notes
      • Howtos
    • LG PM225
      • Notes
    • LG VX-3200
      • Cables
      • Notes
      • Howtos
    • LG VX-4400
      • Cables
      • Notes
      • Howtos
    • LG VX-4500
      • Cables
      • Notes
      • Howtos
    • LG VX-4650
      • Cables
      • Notes
    • LG VX-5200
      • Cables
      • Notes
    • LG VX-6000
      • Cables
      • Notes
      • Howtos
    • LG VX-6100
      • Cables
      • Notes
      • Howtos
    • LG VX-7000
      • Cables
      • Notes
    • LG VX-8000
      • Cables
      • Notes
    • LG VX-8100
      • Cables
      • Notes
      • Howtos
    • LG VX-8300
      • Cables
      • Notes
      • Howtos
    • LG VX-8500
      • Cables
      • Notes
      • Howtos
    • LG VX-8600
      • Cables
      • Notes
      • Howtos
    • LG VX-9800
      • Cables
      • Notes
      • Howtos
    • LG VX-9900
      • Cables
      • Notes
      • Howtos
    • Motorola E815
      • Notes
    • Motorola E815m
      • Notes
    • Motorola V3c
      • Notes
    • Motorola V3cm
      • Notes
    • Motorola V710
      • Cables
      • Notes
      • Howtos
    • Motorola V710m
      • Notes
    • Samsung SCH-A930
      • Cables
      • Notes
    • Samsung SCH-A950
      • Cables
      • Notes
    • Samsung Phones
      • Cables
      • Notes
      • Model Specific Notes
    • Sanyo Phones
      • Cables
      • Notes
      • Model Specific Notes
    • Toshiba VM-4050
      • Cables
    • Other Phones
  • BitFling
    • Configuring BitFling
    • Configuring BitPim to use BitFling
    • Security Considerations
  • Frequently Asked Questions
    • My phone is not in the list
    • Which features will BitPim support of my phone?
    • When will you support my phone?
    • I get a Brew File Locked exception
    • What are the memory limits of my phone
    • Why do you do this stupid thing with my phone?
    • I get an IntegrityCheckFailed exception on my LG phone
    • How do I bypass the Image Preview/Conversion Dialog?
    • How do I bypass the Convert Audio File Dialog?
    • I do not have the Send Phone Data memu item?
    • What do those colors of the color-coded field names mean?
    • What are the differences between the Replace All and Add option when saving ringtones/wallpapers to the phone?
  • About BitPim
    • License and Warranty
    • 3rd party components and licenses
    • Upgrading
    • BitPim versioning scheme
    • Version History
    • Contributing to BitPim
    • Future Plans
    • Contacts
    • Support
    • No support on bitpim-user
    • Credits

TOC: Table of Contents Next: Welcome

BitPim Online Help built 27 December 2006


Welcome

Welcome to BitPim.

If you are new to BitPim, please take the tour.

BitPim's homepage is www.bitpim.org. The project page is www.sourceforge.net/projects/bitpim.

You may be interested in upgrade information or the version history.

If you have any problems or questions please read the information about support.

Praise and contributions are always welcome!

Previous: Table of Contents TOC: Table of Contents Next: Tour


Tour

Welcome to BitPim. This brief tour takes you step by step through how to use BitPim.

  • What does BitPim do?
  • What do I need?
  • What do I do first?
  • Editing your data
  • Sending your changes to the phone

Previous: Welcome TOC: Table of Contents Next: What does BitPim do?


What does BitPim do?

BitPim is a program that allows you to view and manipulate data on cell phones. This includes the PhoneBook, Calendar, WallPapers and RingTones, as well as the embedded filesystem (for expert users).

BitPim runs on Windows, Linux and Mac.

Previous: Tour Up: Tour Next: What do I need?


What do I need?

You need a cell phone that BitPim can talk to (details).

You will need a cable that plugs into your computer and into the cellphone. The page for your cell phone lists details of the cables.

If you use Windows, a driver is required for your cable. The driver should be supplied by the supplier/manufacturer of the cable. Drivers may also be available online from the manufacturer of the cable or the phone. The "section" of the help pages for your phone may have pointers to these drivers. Mac OS X and most recent Linux distributions include the drivers, if required.

Previous: What does BitPim do? Up: Tour Next: What do I do first?


What do I do first?

The first step is to tell BitPim what phone model you're using. Bitpim will try to detect your phone when you run it for the first time. If this fails, or you change the phone you are using you can tell BitPim to detect your phone again by clicking on the detect phone button on the toolbar or selecting "Edit" -> "Detect Phone" from the menu.

Note: Not all phone support AutoDetection. See here for a list of phones BitPim can AutoDetect. BitPim may not be able to AutoDetect phones connected via Bluetooth.

If AutoDetect fails, BitPim will give you the option to open the Settings dialog so that you can configure your phone manually. Press the Phone Wizard button in the Settings dialog to have BitPim help you choose your phone and it's connection to your computer.

The next step is to get your data from your phone into BitPim.
Press the Get Data button on the toolbar or select "Data" -> "Get Phone Data" from the menu.

You will then be given a choice of what to get. Initially it is worth getting everything so you can see what is on your phone. If an option is disabled and you cannot select it, this means that BitPim does not support this feature on your phone.

BitPim will automatically detect your phone and transfer all data selected from the phone. If you look in the status bar you will see that BitPim is busy, and the progress it is making.

Note: In some cases, BitPim may fail to detect your phone. You should troubleshoot this.

You can now move on to where you can view and edit your data.

Previous: What do I need? Up: Tour Next: Editing your data


Editing your data

There is a tree view on the main screen. Selecting an item in the tree allows you to view the contents of a specific feature.

If you select a item in the tree you can view and edit it's data.

For wallpaper and ringtones you can right click on items to get a menu or you can just drag and drop new files into BitPim.

For phonebook and calendar, you double click on the item you want to edit.

More detailed help is available in the tabs reference.

BitPim automatically saves all changes to your hard disk. There is no need to manually save or load information from disk.

When you are happy with changes you have made you can send them to the phone.

Previous: What do I do first? Up: Tour Next: Sending your changes to the phone


Sending your changes to the phone

Press the 'Send Phone Data' button on the toolbar.

You will then get a choice of what to send to the phone.

In the left column you can choose what to send. You will generally only want to send what you have changed. For example, you would only want to send phonebook if you have made changes to the phonebook within BitPim.

In the right hand columns, you have a choice of adding or replacing (both choices aren't available on all data types)

Add
The items you have in BitPim will be added to those already on the phone. For example, if you only have mycat.bmp in the wallpaper folder, then that will be added to the existing wallpapers on the phone. Note that if there is already an item with the same name, then it will be overwritten with the new item of the same name.
Replace
All items in BitPim will replace those in the same category on the phone. For example, if you have 3 wallpaper items in BitPim, you will end up with only the same 3 items on the phone. All others will be removed.

Operations talking to your phone are done in the background. The status bar will show that BitPim is busy. You can still navigate around, but you should not make any changes until BitPim is no longer busy. BitPim will reload data after talking to the phone anyway. This is because it may have to have changed some of the data as it wrote to the phone. (For example index numbers are assigned to wallpaper and ringtones and phone numbers have all punctuation removed).

Once you have sent wallpapers and/or ringtones to the phone you can use them by selecting use downloaded on the your phone as in this example on the VX4400.

Previous: Editing your data Up: Tour Next: Troubleshooting


Troubleshooting

  • Ports/Serial communications
  • Linux Issues

Previous: Sending your changes to the phone TOC: Table of Contents Next: Ports/Serial communications


Ports/Serial communications

BitPim needs to speak to your phone using the correct serial port. Your phone needs to respond on that port. Some phones have different modes that switch between talking as USB versus serial.

Unfortunately every machine is different in what port names are used, especially if you have a USB to serial cable or adapter. There can also be many reasons why things don't work. It is almost impossible for the BitPim code to work out what the problem is, since it is getting no response at all. It is not possible to tell the difference between the device not being connected at all, versus it being connected and not wanting to talk.

Also be aware that Windows, Linux and Mac name and number their ports differently. They also have differing permissions defaults.

Follow these steps to try and diagnose your issue:

  • If you are using a USB to serial cable, then you MUST use device drivers. BitPim does not speak the USB to serial protocols. This applies to ALL platforms. The drivers are specific to your operating system, the USB to serial chip and product/vendor id used by the chip.
  • If your phone uses the USB modem protocol which is normal for most phones (eg all Audiovox and Sanyo) then you MUST use device drivers on Windows. On Linux the acm kernel module should auto-bind to the phone. The Mac also uses a builtin default USB modem driver.
  • Read the section about your phone cables and drivers for any specific information. If you have a cable not listed in the phone specific section then contact whoever sold you the cable for support. Just because your cable looks like one of them, does not mean it is one. This is especially true for the "boxes" in the middle of cables. Other manufacturers may or may not have them for both straight USB or USB to serial connections.
  • You should verify from the comm port settings dialog that the relevant port is available and the correct drivers are in use. If the port you want to use is listed, but is not in the available section then BitPim cannot use it. Here are some of the usual causes:
    • Windows: The usual cause is some other program has grabbed the port such as Palm HotSync or Microsoft ActiveSync. You will need to disable or reconfigure that software.
    • All operating systems: Check permissions on the device. Note that the device may be restricted to the administrator, or it may be owned by the person logged in at the time it was connected.
    • Windows XP: Windows XP will occasionally refuse to open a device claiming it doesn't exist even though the Device Manager and BitPim show that it does. This can sometimes be cured by choosing Advanced in the Port Settings for the device in Device Manager and setting it to use a different COM port.
  • The dialog lists all known and configured ports. The ones marked with an asterisk (*) are the ones that BitPim uses when you select autodetection. Only ports in the available section are marked since they are the only ones that can be used. If you select a port that is not marked, it is extremely unlikely that port is your phone. (The only exception is if you are using a real serial cable to connect to the phone, not a USB to serial cable).
  • If the port is not listed at all, then the diagnosis is as follows:
    • Linux: On Linux you need to ensure that permissions on the device files are set so that your user can read and write to them, and that there a device driver bound. Just because the device node exists does not mean there is a device driver attached. There is some Linux information if you are using a USB cable.
    • Windows: (Note exception above) BitPim should be showing the same ports as device manager. Try unplugging all USB hubs and cables, wait till the sound effects stop, and then plug it all back in. This is often needed if you have hibernated your machine. Note that Windows is also sensitive to which ports devices are plugged into. For example if you plug a cable into one port, it may be assigned the name "COM3". If you then plug it into a different port, it becomes "COM5". Windows does this because you could have two cables at the same time, and they would need to be distinguished. Try and always use the same port.

      If you are using a hub, try to avoid changing what port it is plugged into.

    • Mac: Feel free to contribute some text!
  • Once you are using the correct port, you should check that the phone is responding. If you look in the log view you will see what errors are happening. The protocol log view gives even more details.
  • If your phone is not sending back any data at all you may need to configure something on the phone. BitPim will indicate if it is getting any data back in the protocol log. Read the section about your phone cables for any specific information.
  • If you are still reading, you are likely to be very frustrated. As stated at the top, each machine is different and the names and numbers assigned depend on how you have used the machine in the past, the drivers installed etc. It is extremely difficult for anyone to diagnose the cause on your exact setup.
  • At this point, you are out of luck. You will receive no support from the BitPim groups. Read more.
Previous: Troubleshooting Up: Troubleshooting Next: Linux Issues


Linux Issues

Linux issues

The Linux binary package for BitPim is built as an RPM package using RedHat 9 and has been tested on several other RedHat based distributions. While the BitPim Linux binary should be work on most modern Linux distributions, in many cases there will be issues that must be resolved by the user.

For distributions that don't use the RedHat Package Manger (RPM), the program alien can be used to convert the package to other formats such as the Debian package format.

Missing libraries

Some modern distributions will use later versions of shared than what were used to build BitPim. Some distributions will include older versions of standard libraries for compatibility, but in some cases the compatibility libraries, while available, are not installed by default. If BitPim fails to start because of a missing shared library, the last line of the error messages will indicate the library that must be installed.

As an example, the following shows how to get BitPim to work on a freshly installed Ubuntu Linux 5.10, a Debian based distribution. After converting the BitPim RPM package to ".deb" format with alien, the package is installed as a Debian package is. When BitPim is run, the last line of errors is:

ImportError: libstdc++.so.5: cannot open shared object file: No such file or directory
Ubuntu 5.1 uses libstdc++.so.6. The old library can co-exist with the .6 library. On a networked system the compatibility library can be installed with:
apt-get install libstdc++5
At this point, running BitPim will give the error:
ImportError: libtiff.so.3: cannot open shared object file: No such file or directory
Ubuntu 5.1 uses libtiff.so.4. In this case there is no compatibility library for the .3 version. However, forcing the system to use the newer shared library seems to work. (This may or may not work with other libraries that may be missing on other distributions.) To force the newer tiff library to be used, do the following:
cd /usr/lib
ln -s libtiff.so.4 libtiff.so.3
Fedora Core 5 also is missing libstdc++.so.5 by default. This library can be installed with:
yum install compat-libstdc++-33

USB Device Permissions

When a user logs into an X window session on the console of a Linux machine, the system changes the ownership of many devices to the user logging in. The ACM and USB devices used by phones may or may not be configured with the right ownership or permissions to be accessible by the user. The Linux USB Howto gives more information on how to configure the system to properly set these device permissions.

zipimport.ZipImportError

On some Linux systems (Fedora Core 5 for example) BitPim will install and run fine, but after a day or so, the following error will appear when bitpim is run:
zipimport.ZipImportError: not a Zip file: '/usr/lib/BitPim-X.Y.ZZ/bitpim'
Fatal Python error: cannot get zipimporter instance
Aborted
This happens because of the periodic prelink task. This task modifies binaries so that that load quicker, but has the effect of destroying the BitPim binary. The solution is to prevent prelink from modifying the BitPim binary and then to reinstall BitPim. The can be done either by disabling prelink (remove the prelink package or disable the cron job) or by configuring prelink to ignore BitPim. The latter can be done by adding the line
-b *bitpim*
to the prelink configuration file, which will usually be "/etc/prelink.conf".
Previous: Ports/Serial communications Up: Troubleshooting Next: Reference


Reference

  • Dialog boxes
    • Settings
    • Comm Port Settings
    • File Contents View
    • Restore Files
    • Get Phone Data
    • Send Phone Data
    • Editing Calendar Events
    • Merging phonebook entries
    • Audio Conversion
    • Calendar Import
    • Image Preview
    • Calendar Merge
    • Calendar Import Wizard
    • Calendar Import Preset
  • Tree Items
    • Phone
    • Phonebook
    • Wallpaper
    • Ringers
    • Calendar
    • Memo
    • Todo
    • SMS
    • Call History
    • Play List
    • Filesystem
    • Log
    • Protocol Log
  • Howtos
    • Backups
    • Multiple Users/Data Directories
    • Import Calendar Data
    • Import Outlook Notes/Tasks
    • Add Ringtones
    • Add Images
    • Set category
    • Do Data Recording
  • USB
    • Linux USB Setup
    • Mac USB Setup
    • Windows USB Setup
    • Vendor and Product ids
  • BitPim Internals
    • How BitPim stores data
    • Phone Protocols
    • Working with the code

Previous: Linux Issues TOC: Table of Contents Next: Dialog boxes


Dialog boxes

  • Settings
  • Comm Port Settings
  • File Contents View
  • Restore Files
  • Get Phone Data
  • Send Phone Data
  • Editing Calendar Events
  • Merging phonebook entries
  • Audio Conversion
  • Calendar Import
  • Image Preview
  • Calendar Merge
  • Calendar Import Wizard
  • Calendar Import Preset

Previous: Reference Up: Reference Next: Settings


Settings

Read Only

If you tick this box then all actions that could write to the phone are disabled, both in the user interface as well as within the phone modules. Note that if you switch off read only mode (ie allow writing to the phone), then you must restart BitPim for the change to take effect. (This is by design).

Note that changing phone modes remains enabled. This is because reading information from most phone models requires mode changes. Rebooting your phone will reset the phone back to its normal mode.

Disk Storage

This is where BitPim stores the data it is working on. By default it is a subdirectory named bitpim of your My Documents folder. It contains necessary folders such as phonebook, calendar and wallpaper. You should not put other files in these folders. Every time you download data from the phone it deletes ALL the contents of these folders and puts new content in them.

Config File

This is the name and path of the configuration file that BitPim is using.

Phone Type

Select the model name of your phone. Only select the model that exactly matches your phone. Selecting a "similar" model number could damage your phone. Use the "Phone Wizard" button to have BitPim help you choose your phone and select how it is connected to your computer

Com port

This is the serial port that will be used to talk to your phone. Click the browse button to see the list of valid ports on your machine. The "Phone Wizard" will let you choose and test the Com port.

Check for Update

This sets the frequency with which BitPim automatically checks for any program updates.

Startup

Enabling this option forces BitPim to display the "Today" tab upon startup. When disabled, BitPim displays the last tab that was previously viewed.

TaskBar Icon (Windows only)

Enabling this option places the BitPim icon in the System Tray when BitPim is minimized.

Autodetect at Startup

Enabling this option causes BitPim to automatically detect the phone at startup. If disabled BitPim will use the phone settings from the previous time it was run. Disable this option if you run BitPim without your phone connected to prevent error messages.

BitFling

BitFling is a way for BitPim to run on one machine and communicate with a phone on a different machine. The checkbox and the settings button should not be used if you are connecting your phone to the computer you are running BitPim on. (The usual case.) For more information see the BitFling help.

Previous: Dialog boxes Up: Dialog boxes Next: Comm Port Settings


Comm Port Settings

This dialog lets you see all the ports on your machine and you can select the one you wish to use. The bottom half shows more details about the selected port.

Note that only ports listed as available will actually be usable by BitPim. Other ports may be in use by other programs (such as Palm HotSync or ActiveSync). They may also be switched off for the moment. For example, if you have a USB to serial cable and it is not plugged in, then the port details will show up, but it will be listed as not active. Plugging the cable in will make it active.

Previous: Settings Up: Dialog boxes Next: File Contents View


File Contents View

This shows the contents of a file. The left hand column is the offset into a file (in hexadecimal). The 16 bytes are then shown in hex, and finally the bytes as ASCII characters on the right. Non printable characters are replaced with a period.

If you would like to edit the contents of a file, or invoke it in another program, you should right click on the file name and save it.

Previous: Comm Port Settings Up: Dialog boxes Next: Restore Files


Restore Files

This is expert functionality only. Do not use this if you do not understand what you are doing.

The dialog lists the files that will be restored. You can uncheck files that you don't want restored.

Note: The filenames as listed are exactly the names of the files as they will restored.

Previous: File Contents View Up: Dialog boxes Next: Get Phone Data


Get Phone Data

BitPim will transfer all data selected from the phone. If you look in the status bar you will see that BitPim is busy, and the progress it is making.

In the left column you can choose what to get.

In the right hand columns, you have a choice of adding or replacing (both choices aren't available on all data types)

Add
The items you have on your phone will be added to those already in BitPim. For example, if you only have mycat.bmp in the wallpaper folder, then that will be added to the existing wallpapers in BitPim. Note that if there is already an item with the same name, then it will be overwritten with the new item of the same name.
Replace
All items on your phone will replace those in the same category in BitPim. For example, if you have 3 wallpaper items on your phone, you will end up with only the same 3 items in BitPim. All others will be removed.
Previous: Restore Files Up: Dialog boxes Next: Send Phone Data


Send Phone Data

Press the 'Send Phone Data' on the toolbar.

You will then get a choice of what to send to the phone.

In the left column you can choose what to send. You will generally only want to send what you have changed. For example, you would only want to send phonebook if you have made changes to the phonebook within BitPim.

In the right hand columns, you have a choice of adding or replacing (both choices aren't available on all data types)

Add
The items you have in BitPim will be added to those already on the phone. For example, if you only have mycat.bmp in the wallpaper folder, then that will be added to the existing wallpapers on the phone. Note that if there is already an item with the same name, then it will be overwritten with the new item of the same name.
Replace
All items in BitPim will replace those in the same category on the phone. For example, if you have 3 wallpaper items in BitPim, you will end up with only the same 3 items on the phone. All others will be removed.

Operations talking to your phone are done in the background. The status bar will show that BitPim is busy. You can still navigate around, but you should not make any changes until BitPim is no longer busy. BitPim will reload data after talking to the phone anyway. This is because it may have to have changed some of the data as it wrote to the phone. (For example index numbers are assigned to wallpaper and ringtones and phone numbers have all punctuation removed).

Previous: Get Phone Data Up: Dialog boxes Next: Editing Calendar Events


Editing Calendar Events

This dialog shows the entries for a particular day. The entries are shown in the list on the left, and details for the selected entry in various tabs on the right. You need to press Save to save changes to an event. Until you do that you will not be able to edit a different event. You can press Revert to undo your changes to the event, or you can delete it.

Buttons

New: Creates a new event with default settings

Delete: Deletes the event you are currently viewing

Revert: Undoes any changes you have made to the event.

Save: Saves the changes you have made to the event.

OK: Saves and closes the window.

Help: Brings up this page.

Cancel: Discards the changes and closes the window.

General Fields

The labels of these fields are color coded to indicate their applicability to the current phone:

  • Blue: Applicable to this phone.
  • Red: Not applicable to this phone.
  • Black: Unknown applicability.

Summary: Summary/short title of your event.

Location: Location of your event.

All-Day: Indicates an all-day event when checked.

From: The start date and time of your event. Note that this is in the local time of the phone.

To: The end date and time. This needs to be after the start time. It can be on another day. Note that this is in the local time of the phone. For repeating events, the date needs to be set for the last day of the repeat.

Priority: Priority of your event.

Alarm: How many minutes in advance to sound the alarm. For example, a value of 60 would set the alarm off one hour before the start time listed above. Use -1 if you don't want an alarm.

Repeat Fields

Repeat Types: Select the repeat type for this event. Currently, BITPIM supports Daily, Weekly, Monthly, and Yearly repeat events. Additional options are available for Daily and Monthly repeat types.

Excluded Dates: The list of dates that have been excluded from the repeat event.

Buttons

Include: Include the selected date into this repeat event.

Notes Fields

Notes: Textual notes for this event.

Categories Fields

Master Category: The list of available categories.

Selected Category: Current categories selected for this event.

Buttons

Manage Categories: Allow users to edit the list of master categories.

Add: Select the hightlighted master category for this event.

Remove: Remove/delete the hightlighted category of this event.

Wallpapers Fields

Wallpapers: Allow users to assign an image to this event.

Ringtone Fields

Ringtone: Allow users to assign a ringtone to this event.

Previous: Send Phone Data Up: Dialog boxes Next: Merging phonebook entries


Merging phonebook entries

This dialog shows how the new (aka imported) data is being merged with the existing data you have. You can change which entries are matched against which and which values are used for fields.

Each entry has a colour coded background:

  • White - the existing entry is unchanged
  • Green - the imported entry has become a new entry
  • Yellow - an imported entry matched an existing entry and they have been merged
  • Red - the entry has been deleted

For individual fields, values that are underlined are new or changed values from the existing (if appropriate). If a field value has changed as a result of the import, then BitPim will show the existing and/or imported values as appropriate as well. Values in red text have been removed.

Right click on any cell to get this menu:

Edit ...
You can edit the entry.
Revert field to existing/imported value
The field value will be changed to the existing/imported value. The options will be grayed out if there is no existing/imported value for the field, or if they are the same as the current value.
Clear field
Deletes the value in the field. Note that you will still be shown the existing/imported value as appropriate in case you change your mind.
Imported entry mismatch...
Select this if BitPim made the wrong decision. You will be able to say that the imported entry should be a new entry, or match it up against an existing entry.
Previous: Editing Calendar Events Up: Dialog boxes Next: Audio Conversion


Audio Conversion

Warning
Using the converter
Conversion fields
Recommendations

Warning

This converter results in file sizes significantly larger than MIDI ringtones. Be very careful with file sizes. We have no way of knowing how much free space is on the phone file, and the phone may become inoperable if it runs out of space. (They usually at least hang and have to be rebooted.)

Using the converter

This dialog helps you convert an audio item into a format that the phone will understand such as MP3 or QCP. Select the conversion criteria in the top half and hit the convert button. The conversion process will take quite a long time, possibly up to a minute. There will be an hourglass cursor during the conversion.

After the conversion has completed, you will want to select which portion is actually used. Use the two sliders to change the beginning and end. You can press Play Clip to hear the selected portion in its entirety, or Play Position to play from the position marker. The text fields update to tell you how long the clip is in both time and file size.

Finally press Ok to save the clip. This may also take some time as just the selected portion needs to be extracted and appropriately encoded.

Conversion fields

These are the parameters that control the conversion:

Channels

This controls if the ouput is mono or stereo. It is extremely unlikely that your phone does stereo, or even if it did that you would be able to tell the difference.

Sample Rate

The is how many slices each second is chopped into. While having as many as possible is better, there is a limit. The speaker in your phone won't go very high as it is optimised for speech, which can typically be represented in less than 8000 cycles per second. Human hearing is limited to 20,000 cycles per second and decreases as you get older. Each cycle is single wave of sound.

If you are an audiophile, you'll want double the number of samples as there are cycles, which is why CDs use 44,100. You'll also not want to confuse a cell phone ringtone with CDs, a good amplifier and speaker setup!

Bitrate (kbits/second)

This is how many thousand bits of data are used per second to represent the sound. This is done by approximating the sound information with the coarseness of the approximation based on the the bitrate and the sample rate. (The more samples you have, the fewer bits are available to represent each one.) The bitrate is what accounts for the resulting file size.

Optimization (QCP Only)

This defines the level of optimization in converting to QCP files. The conversion can be optimized for audio quality with larger file size, or smaller file size with less audio quality.

Crop Fields

Clip Start

The start of the clip specified as an offset (in seconds) from the beginning of the sound file.

Clip Duration

The size (how long) of the clip in seconds.

Volume Adjustment

Changes to the volume of the clip in decibels (dB). 0 dB specifies no changes, positive dB specifies louder volume, negative dB less loud.

Set

Click on this to apply the values of the Crop Fields.

Play Clip

Play the current clip which parameters are specified by the Crop Fields.

Play Position

Play the sound file from the current position to the end of the file.

Stop

Stop playing

Recommendations

Be very careful with file sizes. We have no way of knowing how much free space is on the phone file, and the phone may become inoperable if it runs out of space. (They usually at least hang and have to be rebooted.)

You are recommended to keep the size below 64kb (65,536 bytes)

(Note: QCP doesn't have any choices for sample rate.) You should use the lower sample rates. The phone may not even play the higher rates since it requires altering speaker levels more times per second.

You are recommended to use 16,000 or 22,050 as the sample rate.

(Note: QCP doesn't have any choices for bitrate.) You should use the lower bitrates. The phone may not even play the higher rates since it requires processing more data per second. Lower bitrates also result in smaller file sizes.

You are recommended to use 32 kbits per second.

There is no point having the length longer than 30 seconds since the call will go to voicemail before then. The phone will loop shorter clips.

A 16 second clip at 32 kbits/second will result in a file size of 64kb.
Previous: Merging phonebook entries Up: Dialog boxes Next: Calendar Import


Calendar Import

This dialog allows users to initiate the import of calendar data from external sources into BitPim, set filtering parameters, preview the data items being imported, and save the data into BitPim. Currently, BitPim supports importing calendar events from either Outlook or vCalendar data source.

Buttons

Browse: Select the data source from which to import calendar data.

Import: Import calendar data from the specified external source into the preview dialog.

Replace All: Discard current BitPim calendar data and replace them with the preview data.

Add: Add the preview data to existing BitPim calendar data. This may cause duplicate events.

Cancel: Discard the preview data and close this dialog.

Filter: Bring up the Filter Setting Dialog.

Help: Bring up this dialog.

Import Filter Parameters

This dialog allows users to set various filtering paramters to tailor/limit the amount of import data. Individual parameters can be enabled or disabled by checking and unchecking their corresponding checkboxes. Furthermore, those parameters must be enabled to adjust their values.

Start Date: Inclusive starting date of the periodic during which active calendar events would be imported.

End Date: Inclusive ending dat of the periodic during which active calendar events would be imported.

Preset Duration: Select one of 3 preset durations: This Week, This Month, or This Year. The Preset Duration starts from today and lasts through the end of the week, month, or year. This parameter takes precedence over the Start Date and End Date parameter.

Repeat Events: Import/translate repeat events into multiple single events. This feature is useful for phones that do not support repeat events natively.

Disable All Alarms: Turn off the alarms of all events being imported.

Use Alarm Settings From Calender: Import as-is settings from source data.

Set Alarm On All Events: Turn on the alarms of all events being imported.

Alarm Vibrate: Enable phone vibrate with alarm for all events.

Alarm Ringtone: Select an alarm ringtone for all events.

Alert Before: Set alarm to go off X minutes before the event start time.

Categories: Define the categories against which calendar events must match to be imported.

OK: Save the settings and close this dialog.

Cancel: Discard the settings and close this dialog.

Previous: Audio Conversion Up: Dialog boxes Next: Image Preview


Image Preview

This dialog resizes and converts a user supplied image to a format suitable to be used on a specific phone model.

Fields

Origin: The type of target image to which the source image is being converted. Currently, this field would almost always be images.

Target: How the target image is going to be used. This field determines the size and resolution of the target image. Typical values for this field include: fullscreen, wallpaper, ringtone ID, etc.

Scale: The scale at which the the thumbnail of the original image is displayed.

Preview: Preview of the target image based on current parameters.

Buttons

Background: Optionally set the background color for the target image.

OK: Accept the current parameters, convert the source image into the target image, and pass it to the Wallpaper tab display.

Cancel: Stop adding this image to the Wallpaper tab.

Help: Bring up this Help.

Previous: Calendar Import Up: Dialog boxes Next: Calendar Merge


Calendar Merge

This dialog allows users to either merge or replace calendar data being read from the phone into BitPim.

Fields

Description: The summary/description of an event. This is a Read-Only field.

Start: The start date and time of an event. This is a Read-Only field.

Changed: This event is similar to a BitPim event, but with one or more fields having different values. This is a Read-Only field.

New: This is a new event, not currently existed in BitPim.

Ignore: Ignore this event and do not read it into BitPim.

Changed Details: A list of the fields that have different values than a similar BitPim event. This is a Read-Only field.

Buttons

Replace All: This button performs the followings::

  1. Delete all existing BitPim events.
  2. Add all non-ignored phone events into BitPim.

Merge: This button performs the followings:

  1. Merge all changed, non-ignored, non-new phone events into BitPim.
  2. Add all new, non-ignored phone events into BitPim.

Cancel: Cancel this operation.

Help: Bring up this Help.

Previous: Image Preview Up: Dialog boxes Next: Calendar Import Wizard


Calendar Import Wizard

Previous: Calendar Merge Up: Dialog boxes Next: Calendar Import Preset


Calendar Import Preset

Previous: Calendar Import Wizard Up: Dialog boxes Next: Tree Items


Tree Items

The items in the tree look like this:

Simply click in BitPim on the tree item you want to work with. There is a more detailed description of each one below.

  • Phone
  • Phonebook
  • Wallpaper
  • Ringers
  • Calendar
  • Memo
  • Todo
  • SMS
  • Call History
  • Play List
  • Filesystem
  • Log
  • Protocol Log

Previous: Calendar Import Preset Up: Reference Next: Phone


Phone

This view dislays a summary of various BitPim events and data items. It consists of 2 sections: Today and This Week.

Today

The Today section displays a summary of the following information from your phone:

Calendar: All events that are active today.

Todo: All items with due dates on today or earlier, or items that have no due dates.

Memo, SMS Inbox, Incoming Calls, and Missed Calls: The most recent items.

This Week

The This Week section displays a summary of the following tabs:

Calendar: All events that are active this week from tomorrow through Saturday.

Todo: All items with due dates on tomorrow through Saturday.

Previous: Tree Items Up: Tree Items Next: Phonebook


Phonebook

This page displays the list of contacts BitPim currently maintains. To edit a contact, simply double-click on any of its cells. You can add or remove lines by clicking on the toolbar buttons, or choosing Add or Delete from the Edit menu.

Notes

The Historical Data Status displays the status of the data being displayed ('Current Data' or 'Historical Data as of mm/dd/yy hh:mm:ss').

The Preview Panel can be turned on/off by checking/unchecking Menu View -> Phonebook Preview.

If you enter any punctuation in phone numbers (eg (555) 555-5555) then the punctuation is stripped when sent to most phones, as they do not store the punctuation.

BitPim updates the list of groups used in phonebook entries each time you ask it to read from the phone. If you edit the list of groups on the phone, you will need to reread the phonebook into BitPim for it to know about those new/changed groups.

Known Issues

If you try to select multiple entries for deletion in the phonebook, make sure you do it using the control key. Using the shift key will highlight the rows, but does not report them as selected to the code.

Previous: Phone Up: Tree Items Next: Wallpaper


Wallpaper

This page displays the images that BitPim currently maintains and allows users to perform various actions on them.

Actions

Add: To add new images to BitPim, either click on the "Add" button on the tool bar, or main menu "Edit" -> "New...", or context menu "Add ...", or by pressing Ctrl+N. Users can then select one or more image files to add. By default, BitPim displays a Image Preview dialog that allows users to decide how the image is going to be used on the phone (wallpaper, contact ID, external display, etc) and convert it into the proper format and resolution. To bypass this process, press one of the Shift keys and click "Add" (Shift+"Add").

Delete: To delete the selected images, either click on the "Delete" button on the tool bar, or main menu "Edit" -> "Delete", or context menu "Delete", or pressing on the "Delete" or "Del" key.

Open: To activate the application associated with this type of image, either double-click on an image, or conext menu "Open".

Save: To save the selected image into a file, go to context menu "Save ...".

Copy: To copy the selecte images into the clipboard, go to main menu "Edit" -> "Copy", or context menu "Copy", or pressing Ctrl+C.

Paste: To paste one or more image files from the clipboard, go to main menu "Edit" -> "Paste", or context menu "Paste", or pressing Ctrl+V.

Drag and Drop: On Windows, BitPim supports drag-and-drop image files from other applications into BitPim (which is equivalent to adding files); and drag-and-drop files from BitPim to other applications.

Display Arrangements: You can organize the display of the images either by Origin, Image Type, or File Size. To change the current display arrangement, go to context menu "Organize by".

Previous: Phonebook Up: Tree Items Next: Ringers


Ringers

This page displays the sound or ringtone files that BitPim currently maintains and allows users to perform various actions on them.

Actions

Add: To add new ringtones to BitPim, either click on the "Add" button on the tool bar, or main menu "Edit" -> "New...", or context menu "Add ...", or by pressing Ctrl+N. Users can then select one or more ringtone files to add. BitPim then displays a Audio Conversion dialog that allows users to create a sound clip and convert it into a proper format ringtone file.

Delete: To delete the selected ringones, either click on the "Delete" button on the tool bar, or main menu "Edit" -> "Delete", or context menu "Delete", or pressing on the "Delete" or "Del" key.

Open: To activate the application associated with this type of sound file, either double-click on an image, or conext menu "Open".

Save: To save the selected ringtone into a file, go to context menu "Save ...".

Copy: To copy the selecte ringtones into the clipboard, go to main menu "Edit" -> "Copy", or context menu "Copy", or pressing Ctrl+C.

Paste: To paste one or more ringtone files from the clipboard, go to main menu "Edit" -> "Paste", or context menu "Paste", or pressing Ctrl+V.

Drag and Drop: On Windows, BitPim supports drag-and-drop ringtone files from other applications into BitPim (which is equivalent to adding files); and drag-and-drop files from BitPim to other applications.

Display Arrangements: You can organize the display of the ringtones either by Origin, Audio Type, or File Size. To change the current display arrangement, go to context menu "Organize by".

Previous: Wallpaper Up: Tree Items Next: Calendar


Calendar

You can edit events in the calendar here. Double click on any day to edit or create events on that day. You can also click the Year button in the top left to select any date quickly, or click on the Today button to directly to today date.

Previous: Ringers Up: Tree Items Next: Memo


Memo

This page allows users to maintain textual memos/notes that can be retrieved/sent from/to the phone. The list of the available memos is displayed in the left listbox, with the detailed information of the selected one being displayed in the right fields.

Fields

The labels of these fields are color coded to indicate their applicability to the current phone:

  • Blue: Applicable to this phone.
  • Red: Not applicable to this phone.
  • Black: Unknown applicability.

Subject: The subject of the current memo.

Date: The date on which the memo was last modified or retrieved from the phone.

Private: Turn on the private/secret flag of this memo when checked.

Category: The categories assigned/associated with this memo.

Memo: The textual content of this memo.

Buttons

Add: Add a new memo to the list.

Delete: Delete the selected memo from the list.

Save: Save the changes made to this memo.

Help: Bring up this help page.

Revert: Dicard all changes made to this memo.

Previous: Calendar Up: Tree Items Next: Todo


Todo

This page allows users to retrieve, maintain, and send to-do task items from/to the phone. The list of task items is displayed on the left listbox, with the detailed information of the selected item displayed in the right fields.

Fields

The labels of these fields are color coded to indicate their applicability to the current phone:

  • Blue: Applicable to this phone.
  • Red: Not applicable to this phone.
  • Black: Unknown applicability.

Summary: The summary/title of the current task item.

Status: The current status of the selected item.

Due Date: The due date of the selected item.

% Complete: The completion percentage of the selected item.

Completion Date: The date of completion of the selected item.

Private: Turn on the private/secret flag of this memo when checked.

Priority: The priority of the selected item.

Category: The categories assigned/associated with this item.

Memo: Textual notes on this item.

Buttons

Add: Add a new task item to the list.

Delete: Delete the selected item from the list.

Set Date: Bring up a calendar dialog allowing users to set date.

Save: Save the changes made to this item.

Help: Bring up this help page.

Revert: Dicard all changes made to this item.

Previous: Memo Up: Tree Items Next: SMS


SMS

This page allows users to retrieve, store, and view SMS messages from the phone. Expand the SMS tree item to show separate items for Inbox, Sent and Saved messages.

Fields

From: The phone number, contact name, or email address of the sender.

To: The phone number, contact name, or email address of the receiver.

Callback #: The callback phone number or contact name.

Subj: The subject of this message.

Date: The date on which this message was received.

Locked: Indicates that this message is locked when checked.

Memo: The content of this message.

Button

Delete: Use the Delete button on the toolbar to delete the selected message(s).

Quick Text

If you select the SMS item itself you can manage the quick text message stored on your phone.

Previous: Todo Up: Tree Items Next: Call History


Call History

This page allows users to retrieve, store, and view call history data from the phone. Display information for each call includes the date and time when the call is made/received, and the phone number or contact name of the call.

Selecting the Call History item in the tree shows the total calls and duration of call history from your phone. Click on the "All", "Incoming", "Outgoing", "Missed" and "Data" items in the tree to view the individual calls in the call history. You can click on the column headings to sort the items by type, name, date, number and duration.

Button

Delete: Delete the selected calls.

Previous: SMS Up: Tree Items Next: Play List


Play List

This page allows users to retrieve, edit, and send their mp3 playlists from/to the phone.

Buttons

Add: Add the selected song to the current playlist.

Save: Save the changes made to the current playlist.

Help: Bring up this help page.

Revert: Discard all changes.

Previous: Call History Up: Tree Items Next: Filesystem


Filesystem

Note that the filesystem view is off by default. You need to turn it on in the view menu. This functionality is suitable for expert users only.

Note: You can cause damage to your phone in the filesystem view if you make any changes. Be very careful. (BitPim itself doesn't damage anything - it is just that the phone really cares about the contents and existence of some of those files, and deleting or changing them could upset it).

Some files don't have a date which is why none is displayed.

Menus

Right clicking on a directory brings up this menu. Choosing New File will place the file of your choice in this directory. It will have the same name as your source file.

Filesystem backup and restore functionality is only suitable for expert users who understand what they are doing. You can easily make your phone inoperative by restoring inappropriate files.

Backing up the directory will result in a zip file of only the contents of this directory (ie subdirectories will be ignored). You can include all subdirectories by backing up the entire tree.

Restore will let you select a zip file whose contents will be placed below this directory. You will get a dialog box showing you what files will be restored and what their names will be. You will be able to choose to only restore some files.

Refresh will get the contents of the directory from the phone again. You can also close the directory and reopen to refresh the contents.

Delete will delete this directory, all the files within it, and all subdirectories. Use it with caution, and it would be prudent to make a backup first.

Right clicking on a file brings up this menu. Save will let you save the file onto your computer. Hexdump will show you the contents of the file like this. Overwrite will let you select a file on your computer and then replace the contents of the file on the phone with the contents of the file you selected.
Previous: Play List Up: Tree Items Next: Log


Log

This page shows a record of what BitPim has been doing. You can watch it while operations are proceeding. It should also be consulted when there are errors to get more detail as to what was happening at the time of the error.

Right clicking on the log text brings up an edit menu that allows you to copy information from the log page into other applications.

Use the menu option "View" -> "Clear Logs" to clear the log window.

Previous: Filesystem Up: Tree Items Next: Protocol Log


Protocol Log

This page contains detailed information on all data sent to and received from your phone. It is off by default and needs to be turned on in the View menu.

This will consume vast amounts of memory and slow your machine down, so only use it for low level debugging purposes.

Right clicking on the log text brings up an edit menu that allows you to copy information from the log page into other applications.

Use the menu option "View" -> "Clear Logs" to clear the log window.

Previous: Log Up: Tree Items Next: Howtos


Howtos

  • Backups
  • Multiple Users/Data Directories
  • Import Calendar Data
  • Import Outlook Notes/Tasks
  • Add Ringtones
  • Add Images
  • Set category
  • Do Data Recording

Previous: Protocol Log Up: Reference Next: Backups


Backups

For phonebook contacts and calendar events, you can export them to CSV files and import them back when needed. CSV export/import maintains the values of all applicable BitPim fields (no loss of information).

You can just save the contents of the BitPim data directory. Use Edit [image] Settings to see where it is. Copy it back to do a restore.

For expert users only, you can also do a lower level backup and restore directly of the files on your phone. This requires using the filesystem view. Note that some files on your phone file system may be read-only and cannot be restored from a backup. Other files contain information specific to a particular phone and may cause unpredictable behavior when restored to a different phone.

Previous: Howtos Up: Howtos Next: Multiple Users/Data Directories


Multiple Users/Data Directories

BitPim stores its settings for the current user. If you have multiple users, and login to your operating system as separate users, then it will work fine. (On Windows XP, use the windows key together with L to switch users). This is the recommended way of doing things.

If you only login to your computer as one user, but would like to have separate BitPim data settings for multiple users, then you will need to tell BitPim either the data directory name or the configuration file name upon initialization.

BitPim now stores all of its Settings in a configuration file with a default name of .bitpim. The name of the current data directory and configuration file are displayed in the Settings dialog. To specify a different data directory, you can use the following command:

bitpim -d [data dir name]

To specify a different configuration file to use, use the following command:

bitpim -c [config file name]

In Windows, files with extension .bitpim are associated with the BitPim program, ie, you can double-click on such a file to launch BitPim using that file as the configuration file. As a result, to use a different data directory, Windows users can simply double-click on the associated configuration file located in that data directory.

To create and use a new BitPim data directory, Windows users can do the following steps:

  1. Create a new data directory.
  2. In that data directory, create an empty file named .bitpim
  3. Double-click on the .bitpim file to launch BitPim using the new configuration file and data directory.

If you want to create and use a new BitPim data directory, but also want to maintain previous BitPim settings, you can do the following steps:

  1. Create a new data directory.
  2. Copy the previous BitPim configuration file to the new data directory.
  3. Double-click on the copied configuration file in the new data directory.
Previous: Backups Up: Howtos Next: Import Calendar Data


Import Calendar Data

  1. Choose a specific calendar format to import: File [image] Import [image] [CSV Calendar or vCalendar or Outlook Calendar].
  2. From the Import Calendar Dialog, specify the source from which to import calendar data. The source can either be a file or an Outlook folder.
  3. Read all the calendar items from the source. The Import Calendar Dialog will list all the items that have been successfully read.
  4. Optionally set one or more filtering parameters to eliminate unwanted items.
  5. Import the data into BitPim by using one of the following methods:
    1. Replace All: First delete all existing calendar data in BitPim, and then import the new data.
    2. Add: Import the new data with existing data intact. This could result in duplicate data items.
Previous: Multiple Users/Data Directories Up: Howtos Next: Import Outlook Notes/Tasks


Import Outlook Notes/Tasks

The process of importing Outlook Notes and Outlook Tasks data into BitPim is similar to that of importing Outlook Calendar data:

  1. Select either File [image] Import [image] Outlook Notes or Outlook Tasks.
  2. From the Import Outlook dialog, specify the Outlook folder from which to import data.
  3. Read all the data items from the source folder. The Import Outlook dialog will list all the items that have been successfully read.
  4. Optionally set one or more filtering parameters to eliminate unwanted items.
  5. Import the data into BitPim by using one of the following methods:
    1. Replace All: First delete all existing calendar data in BitPim, and then import the new data.
    2. Add: Import the new data with existing data intact. This could result in duplicate data items.
Previous: Import Calendar Data Up: Howtos Next: Add Ringtones


Add Ringtones

  1. Switch to the Ringers tab.
  2. Click on Add.
  3. Select a sound file to add. If a conversion is not required, the sound file will be added directly to the Ringers tab; otherwise the Convert Audio Dialog will be displayed.
  4. From the Convert Audio Dialog, set the appropriate conversion parameters and click on Convert.
  5. Once the conversion is done, create your sound clip by setting the Clip Start, Clip Duration, and Volume Adjustment parameters and clicking on Set.
  6. Optionally, click on Play Clip to listen to the sound clip and readjust the clip if necessary.
  7. Once you're satisfied with the sound clip, click on OK to create the clip and add it to the Ringers tab, or click on Cancel to forget the whole thing.
Previous: Import Outlook Notes/Tasks Up: Howtos Next: Add Images


Add Images

  1. Switch to the Wallpaper tab.
  2. Click on Add.
  3. Select an image file to add.
  4. An Image Preview Dialog will appear.
  5. Select the Origin of the wallpaper. Currently, it is always "images".
  6. Select the Target of the wallpaper (how this wallpaper is being used). This selection determines the format and resolution of the wallpaper.
  7. Using the bounding box, select a clip of the source image which would later be converted into the wallpaper.
  8. Once you're satisfied with the clip, click on OK to create the wallpaper and add it to the Wallpaper tab. Click on Cancel to abort this process.
Previous: Add Ringtones Up: Howtos Next: Set category, ringtone, or wallpaper to multiple contacts


Set category, ringtone, or wallpaper to multiple contacts

Users can now set a category, ringtone, or wallpaper to multiple contacts. To edit and set a category, ringtone, or wallpaper to multiple contacts, do the following steps:

  1. In the Phonebook tab, make sure that the appropriate columns (category, ringtone, or wallpaper) are displayed.
  2. Select multiple contacts.
  3. While making the last selection, double-click on the column of which to edit. An Edit Phonebook Entry Panel will appear.
  4. Using the Edit Phonebook Entry Panel, set (or delete) the appropriate values. These values will be set to all selected contacts.
Previous: Add Images Up: Howtos Next: Do Data Recording


Do Data Recording

From time to time, BitPim developers may ask users to do data recording and send them the DR files to help with the debugging of the program. Typically, DR is done to collect data associated with specific BitPim function(s) such as reading phonebook, reading ringtones, etc.

The overall process of data recording includes:

  1. Turn on BitPim Data Recording.
  2. Perform the specific BitPim tasks or functions.
  3. Turn off BitPim Data Recording.

To turn on BitPim Data Recording, perform the following steps:

  1. Main menu View -> Data Recording, which would then bring up the DR Panel.
  2. From the DR Panel, click on Browse and specify the DR file name & location.
  3. Click on Record to start recording.
  4. Click on Close to dismiss the DR Panel.

To turn off BitPim Data Recording, perform the following steps:

  1. Main menu View -> Data Recording, which would then bring up the DR Panel.
  2. Click on Stop to stop recording.
  3. Click on Close to dismiss the DR Panel.
Previous: Set category, ringtone, or wallpaper to multiple contacts Up: Howtos Next: USB


USB

What is USB

USB (Universal Serial Bus) is a simple way of connecting a variety of devices to a computer. It has improved over the years to increase speeds and how devices can be connected. Because it is a serial bus, there are only 4 wires in the cabling. You can use hubs to extend your cabling or to enable plugging in multiple devices.

Interfaces

Each USB device has one or more interfaces. Each interface has a type:

Interrupt

This allows notification from a device to the computer. For example a cell phone may use it to indicate there is an incoming call, or a scanner may use it to indicate that a button has been pressed.

Bulk

This is bidirectional allowing data to be sent to and from the device. BitPim talks directly to the bulk interface on devices, or via device drivers that talk to tbe bulk interface.

Isochronous

This is used for devices where lots of data is generated, and where you don't need 100% reliability. An example would be a webcam sending its images.

Drivers

While the method of talking to devices is standardised (using USB request blocks), each device still needs to have its data interpreted and presented to the operating system in the correct manner.

For example, a USB modem needs to look like a communications port, USB speakers need to look like audio devices and a USB keyboard needs to look like a keyboard.

Device drivers are responsible for hooking into the right level in the host computer and for formatting URBs and interpreting the responses. The device drivers use the identification information to hook into the right device.

Identification

Each device is identified by a 16 bit vendor ID, and a 16 bit product ID. By convention these are written as 4 digit hexadecimal numbers, but usually without any sort of prefix indicating the number is hexadecimal.

There are then a number of interfaces identified by type. Each one also lists what protocol it is. For example class 7 is printer and subprotocol 2 within that is bidirectional. Some operating systems use this information to automatically assign generic device drivers.

  • Linux USB Setup
  • Mac USB Setup
  • Windows USB Setup
  • Vendor and Product ids

Previous: Do Data Recording Up: Reference Next: Linux USB Setup


Linux USB Setup

USB drivers

Linux provides device drivers that can talk to the modem interface on phones. This driver is named acm and is usually autodetected and used.

Linux also provides device drivers for USB to serial converters. There is a builtin database of which vendor and product ids are applicable. Since there is a wide variety of converter chips, there is also a wide variety of drivers.

Direct USB access

BitPim can access USB devices directly. This is done using libusb which accesses the usb filesystem. You need to ensure the filesystem (usbdevfs) is mounted, usually below /proc/bus/usb.

By default Linux configures USB devices so that they are owned by root. You should be running BitPim as yourself, not root. Most recent Linux distributions use hotplug, and these instructions show you how to configure it.

  1. Edit /etc/hotplug/usb.usermap

    Add a line to the bottom.

    usbcell 0x0003 VID PID 0 0 0 0 0 0 0 0 0

    You need to replace VID and PID with the relevant vendor and product ids. The VID and PID can also be obtained from the Comm Port Settings dialog.

    Note For more recent versions of hotplug, it is considered better form to create the file /etc/hotplug/usb/usbcell.usermap.

  2. Create /etc/hotplug/usb/usbcell

    This script is executed whenever the device is inserted. Here is a simple example that makes the device be owned by root, group owned by cellusers and readable/writable by root and the members of cellusers.

    #!/bin/bash

if [ "${ACTION}" = "add" ] && [ -f "${DEVICE}" ]
then
        chown root "${DEVICE}"
        chgrp cellusers "${DEVICE}"
        chmod 660 "${DEVICE}"
fi

    You can adjust that script as you see fit. Don't forget to make it executable. On many versions of Linux, there is a script named usbcam in the same directory that changes the device to be owned by the same person who is logged into the console. If you prefer that behavior, then copy usbcam to usbcell

Direct USB access - udev

Recent Linux distributions (based on 2.6 kernel) may use "udev" instead of hotplug. With udev, the usb device ownership and permission can be set by a method that is similar in concept, but different in implementation. The following will work on Fedora Core 5. A similar procedure should work on other distributions that use udev.

  1. As done with the hotplug method above, create a cellusers group and put the users that will use BitPim in that group.
  2. Create /etc/udev/rules.d/60-cell.rules
    SUBSYSTEM!="usb_device", ACTION!="add", GOTO="cell_rules_end"
# LG Phone
SYSFS{idVendor}=="1004", SYSFS{idProduct}=="6000", GROUP="cellusers", MODE="0660"
LABEL="cell_rules_end"

    1004 and 6000 should of course be replaced with the relevant VID and PID. (For the Sanyo SCP-3100 the VID/PID is 0474/071f).

    If you have a single user machine, you may find it easier to use a mode of 0666 and leave off the GROUP item.

Previous: USB Up: USB Next: Mac USB Setup


Mac USB Setup

USB device drivers

MacOS X provides a kernel extension that can talk to the modem interface on phones connected via a direct USB cable. This kernel extension is named USBAppleCDCMDriver.kext and will be autodetected and used if the chipset in the phone is supported. This will create a device entry called usbserialXXX. The XXX will vary based on how the phone is plugged into the USB bus. This can be used in the System Preferences panel as a network interface for PPP connections provided you have the correct modem scripts.

MacOS X does not provide device drivers for USB to serial converters. Since there is a wide variety of converter chips, there is also a wide variety of drivers that you will have to find on the web. (Often the chip manufacturers do not provide them, but their OEMs do).

Direct USB access

BitPim can access USB devices directly. Note that you must not have any program or device driver using the data interface. It is OK to have the system kernel extension loaded providing access to the modem interface at the same time you use bitpim to talk to the data interface.

Previous: Linux USB Setup Up: USB Next: Windows USB Setup


Windows USB Setup

USB drivers

Windows requires a device driver be present for any device in order to access it. It has some generic drivers, typically for storage devices such as CompactFlash readers and external hard drivers. For communication devices, the vendor must supply a device driver.

Clearing out stale USB information

For Power Users who have too many COM devices, you can remove all knowledge of existing ones by following these steps. Note that you could seriously mess your machine up (ie it won't boot) if you are not careful.

  • Device Manager - Uninstall USB Root Hubs
  • Regedit HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Enum\USB
  • Clear out all corresponding keys (eg Vid_1004 is LG)
  • Need to right click then permissions then everyone full control first otherwise get permission denied error
  • Find classes. Click on key, right hand pane should give class. Numbered instances below that. Click on each one.
  • HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Class\{4D36E978-E325-11CE-BFC1-08002BE10318} is ports
  • HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Class\{4D36E96D-E325-11CE-BFC1-08002BE10318} is modems
  • HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Ports
  • HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\COM Name Arbiter COMdb key is a bitmask of which com ports are in use (8 ports per byte). Set to 3 to reserve com1 and com2
Previous: Mac USB Setup Up: USB Next: Vendor and Product ids


Vendor and Product ids

This page lists the USB vendor and product ids for the various phones and USB to serial cables BitPim knows about. For USB to serial cables, the vendor and product id will be that of the USB to serial converter chip. For straight USB cables the vendor and product id will be that of the phone. Note that some phones, such as many models from LG, can be accessed with a straight USB cable or a USB to serial cable.
Manufacturer | Models | Vendor id | Product id
Some OEM USB to serial cables | FTDI USB to serial chip is used in some cables | 0x0403 | 0x6001
FutureDial USB to serial | Prolific PL2303 is used in all FutureDial USB to serial cables. | 0x067b | 0x2303
LG | All straight USB | 0x1004 | 0x6000
Samsung | All USB | 0x04e8 | 0x6601
Sanyo | All USB | 0x0474 | 0x0701

Previous: Windows USB Setup Up: USB Next: BitPim Internals


BitPim Internals

Details on various things internal to BitPim.

  • How BitPim stores data
  • Phone Protocols
  • Working with the code

Previous: Vendor and Product ids Up: Reference Next: How BitPim stores data


How BitPim stores data

BitPim needs to store several types of information including items such as phonebook entries, wallpaper images, and changes to items to implement undo or perform synchronization. There are two types of storage used. All of this storage is in a directory specified by Edit - Settings - Data directory. It defaults to My Documents\BitPim on Windows and $HOME/.bitpim-files on Linux and Mac.

Note that BitPim does not require the user to manage moving data between persistent storage (disk) and transient storage (RAM) since that is user hostile and the program is perfectly capable of doing so itself without handholding.

index.idx

This is the old storage format and is the simplest. There are separate directories for each content type, and within that directory there is a file named index.idx. The contents of the file are a pretty printed Python dictionary. On any change the file is overwritten with new content.

This format does not allow for undo, nor does it allow for multiple copies of BitPim to be running at the same time.

Database

With BitPim 0.7.24 a database was introduced. Information is stored as a journal of changes. This allows for undo as well as multiple running copies. If you would like to see what is actually stored then see the information in working with the code.

The rest of BitPim internally works with the Python dictionary objects, and the database module stores and restores it from the SQL tables behind the scenes. If you want to inject custom data into BitPim then use the database module.

When BitPim starts up, each data source looks for the index.idx file first. If it doesn't exist then the database is used. If it does exist, then the information is saved to the database and the index.idx file is renamed.

Database implementation

The actual database used is SQLite. This has the benefits of being simple, multi-process safe and high performance. There is a lot more detail on the SQLite web site. APSW (Another Python SQLite Wrapper) is used to interface to Python.

Previous: BitPim Internals Up: BitPim Internals Next: Phone Protocols


Phone Protocols

There is no documentation of phone protocols. BitPim developers have to work it out the hard way. There are more details at bitpim.org/papers/phonespecs

You can however easily see what BitPim is doing. In the View menu, turn on Protocol Logging (detail and caution). This shows all data transferred to or from your phone. You can also copy and paste it for further investigation.

One very neat feature is that you can press Ctrl-Alt-P in the protocol log tab and an analyser will appear. This shows a graphical view of each packet, what each field is and which bytes correspond to it.

To progress further, you need to work with the code.

Previous: How BitPim stores data Up: BitPim Internals Next: Working with the code


Working with the code

Your rights

BitPim is distributed as open source and free software under the GNU General Public License (aka GPL). Those links contain more detail on what those terms specifically mean, and the details of the license which is what allows you modify and redistribute BitPim.

The source code is what makes BitPim work the way it does. It has taken man years to produce and continues to grow and be added to and improved all the time. That investment of time and effort is largely due to these rights.

  • You have the right to the source code of BitPim. Anyone providing a binary version must provide the exact source code they used on request.

  • You have the right to modify that source code.

  • You have the right to give your changes in source or binary form to others.

  • You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.

  • If you give your changes to others, then you cannot take away the rights you had. (eg you must make the source available on request, and you cannot restrict them from further redistribution).

Show me the code!

You will need to get up and running with the source code. Follow the instructions at bitpim.org/developer.html. Make sure you read the archives of the bitpim-devel mailing list. Then edit the code to make the changes you want.

Previous: Phone Protocols Up: BitPim Internals Next: Errors


Errors

This section contains more details on the various error dialog boxes that can appear.

  • Device Needs Attention
  • Failed to open device
  • No associated programs
  • Failed to execute external command
  • Failed to automatically detect port
  • An exception occurred
  • Invalid Image File
  • Zipfile corrupted
  • A Zipfile is required
  • Failed to find PureVoice converter
  • Phonebook busy on phone
  • Data Communications Error
  • Access has been blocked

Previous: Working with the code TOC: Table of Contents Next: Device Needs Attention


Device Needs Attention

Something has gone wrong while talking to the phone. The dialog gives the details. If BitPim can't talk to your phone then you need to follow the instructions in port/serial trouble shooting.

The most frequent issue for LG VX4400 users are the drivers with the straight USB cable

Previous: Errors Up: Errors Next: Failed to open device


Failed to open device

BitPim couldn't open the device. There could be many reasons for this, such as it being in use by another program, or you not having permission to use it.

Previous: Device Needs Attention Up: Errors Next: No associated programs


No associated programs

You have tried to view a wallpaper or ringtone but have no associated programs defined to handle them. Linux users will need to edit their MIME associations as defined in mailcap files.

Previous: Failed to open device Up: Errors Next: Failed to execute external command


Failed to execute external command

You have a command defined to view images or ringtones, but it failed to work when BitPim tried it.

Previous: No associated programs Up: Errors Next: Failed to automatically detect port


Failed to automatically detect port

BitPim has tried to autodetect which port you are using, but couldn't find a phone on any of them. The ports tried are listed. You will need to explicitly set the port from Edit [image] Settings and then selecting a com port.

Previous: Failed to execute external command Up: Errors Next: An exception occurred


An exception occurred

An internal error has occurred and this dialog is reporting it. Please scroll to the end of it to see the most pertinent details.

Unless you believe the problem to be a one off, you should report it. See support for more details.

Previous: Failed to automatically detect port Up: Errors Next: Invalid Image File


Invalid Image File

The named file is not a valid image and BitPim can't process it. It is recommended that you delete the file. You can also tell BitPim to ignore the file, but you will be notified about it again whenever BitPim rereads the contents of the directory.

Previous: An exception occurred Up: Errors Next: Zipfile corrupted


Zipfile corrupted

The zip file you selected has corrupted contents. This may have been caused by transmission errors in email, between machines, or over the Internet.

You should get a clean copy of the archive that has no errors. Restoring from one that has been repaired could result in something different being restored than you think will be.

Previous: Invalid Image File Up: Errors Next: A Zipfile is required


A Zipfile is required

BitPim only restores from zip files. You need to select a file in zip format.

Previous: Zipfile corrupted Up: Errors Next: Failed to find PureVoice converter


Failed to find PureVoice converter

Phones that use CDMA chipsets from Qualcomm use the Qualcomm PureVoice format for storing audio. In order to convert audio from another format to or from PureVoice, BitPim needs a program that can do so.

Qualcomm do have such a program, but their legal terms do not allow us to redistribute the program with BitPim, nor do they respond to email queries about distribution once they learn that no money is charged for BitPim. Consequently you will need to download the program and place it one of the directories BitPim looks for it.

Download

The download site is http://www.cdmatech.com/solutions/products/purevoice_download.jsp. You will want the version 3.0 converter.

Mac note: If you use MacOS then you are out of luck for the moment. Quicktime does include the ability to play PureVoice, but that appears to be it.

Linux note: The binary was made on some older version of Linux. You may find it doesn't work on more recent versions. You may be able to use the SDK to make a newer converter program, but carefully read the license agreements. Unfortunately the legal terms prevent the BitPim team from being able to make an alternate working binary for Linux, or from re-distributing one.

Extract and copy

The download is in an archive format such as ZIP or compressed tar. Extract the contents, which should be around 3 files: the pvconv binary, a sample qcp file and a text file with the license agreement and other documentation. Copy/move the files to a directory that BitPim looks in. These are listed in the dialog and are different for each platform.

Test

Verify the binary works and can find all necessary libraries. This would be a command such as pvconv PVsample.qcp on Windows and ./pvconv PVsample.qcp on Linux/Mac.

Note: If you intend to use the pvconv program yourself, be aware that both the Linux and Windows versions have documentation claiming you can supply input and output filenames. The version 3.0 converter has a bug and will error out if you give an output filename.

You are all set

Retry your operation in BitPim and the conversions should work.

Previous: A Zipfile is required Up: Errors Next: Phonebook busy on phone


Phonebook busy on phone

The operating on the phonebook could not be completed because it is busy on the phone. Typically this is because you are viewing or editing entries on the phone itself. Exit to the main menu and try the operation again from BitPim.

Previous: Failed to find PureVoice converter Up: Errors Next: Data Communications Error


Data Communications Error

BitPim speaks two major protocols with your phone. One is the official vendor sync protocol which usually only covers most of the phonebook information and the other is to access the embedded filesystem in the phone.

For CDMA phones, the latter protocol has a checksum for each command and response transmitted and received. Some of the synchronization protocols also have the checksum such as the protocol used for CDMA LG phones.

If you encounter this error, then it means the data the phone thinks it sent is not the same as the data received by BitPim. BitPim detects the problem and immediately stops.

The usual cause is in your cabling and where you plugged it in. You should ensure your cable is plugged directly into a port on your computer, not going through a hub. Do not use cable extenders, gender changes or converters. If you still have problems, use a different host port. Try reseating your cable at the phone end. If none of these solve the problem, then the problem may be your cable.

Multi-processor machines: Sometimes this problem is caused by poor driver behaviour on multi-processor machines. Your machine is multi processor if you have hyper-threading turned on, or it is dual-core. You can also tell by running the Task Manager (press ctrl-alt-delete) and looking in the View menu. If there is a submenu labelled CPU History that lets you choose one graph or one graph per CPU then you have a multi-processor machine.

Editting your boot.ini could result in your machine not booting if you make mistakes. If you run bootcfg from a command prompt, it will list the current operating settings.

You can reboot your machine and tell Windows to only use one cpu even if there is more than one in your machine. To do so you will need to add a line to boot.ini and specify the /onecpu switch. Microsoft has a guide for editting boot.ini in KB289022. In general you should copy the first line in the [operating systems] section, add /onecpu on the end and edit the text between quotes to say it is the onecpu line. You may also want to increase the timeout (seconds) in the [boot loader] section. When you reboot, you'll have that many seconds to pick the onecpu line. You can tell if it worked by running Task Manager as detailed in the previous paragraph and looking for the View > CPU History sub-menu.

Previous: Phonebook busy on phone Up: Errors Next: Access has been blocked


Access has been blocked

The phone has blocked access to the specified file or directory. There is nothing BitPim can do to get access as the block is on the phone itself. These blocks are usually because the carrier wants customers to update content via their services rather than using a program like BitPim.

Previous: Data Communications Error Up: Errors Next: Phones


Phones

This section lists information about the various phones that BitPim knows about, and to what degree we know they work. The phone the developers have are the best supported. For other phones we have to rely on (frequently incomplete) information from BitPim users, and they have not been as thoroughly tested as developer phones. We welcome contributions of loaned phones.

Phones that the BitPim user interface shows but are not in the list below will have a very low level of support. Typically we will not know how well it works or which functionality works and will only have had some partial reports from users.

  • Phone features supported
  • What phones do the developers have?
  • What phones do the developers want?
  • Audiovox CDM8900
  • LG C2000
    • Cables
    • Notes
  • LG G4015
    • Cables
    • Notes
    • Howtos
  • LG PM225
    • Notes
  • LG VX-3200
    • Cables
    • Notes
    • Howtos
  • LG VX-4400
    • Cables
    • Notes
    • Howtos
  • LG VX-4500
    • Cables
    • Notes
    • Howtos
  • LG VX-4650
    • Cables
    • Notes
  • LG VX-5200
    • Cables
    • Notes
  • LG VX-6000
    • Cables
    • Notes
    • Howtos
  • LG VX-6100
    • Cables
    • Notes
    • Howtos
  • LG VX-7000
    • Cables
    • Notes
  • LG VX-8000
    • Cables
    • Notes
  • LG VX-8100
    • Cables
    • Notes
    • Howtos
  • LG VX-8300
    • Cables
    • Notes
    • Howtos
  • LG VX-8500
    • Cables
    • Notes
    • Howtos
  • LG VX-8600
    • Cables
    • Notes
    • Howtos
  • LG VX-9800
    • Cables
    • Notes
    • Howtos
  • LG VX-9900
    • Cables
    • Notes
    • Howtos
  • Motorola E815
    • Notes
  • Motorola E815m
    • Notes
  • Motorola V3c
    • Notes
  • Motorola V3cm
    • Notes
  • Motorola V710
    • Cables
    • Notes
    • Howtos
  • Motorola V710m
    • Notes
  • Samsung SCH-A930
    • Cables
    • Notes
  • Samsung SCH-A950
    • Cables
    • Notes
  • Samsung Phones
    • Cables
    • Notes
    • Model Specific Notes
  • Sanyo Phones
    • Cables
    • Notes
    • Model Specific Notes
  • Toshiba VM-4050
    • Cables
  • Other Phones

Previous: Access has been blocked TOC: Table of Contents Next: Phone features supported


Phone features supported

The following table lists which features of the various phone models are supported by BitPim. You can also read about which features will be supported and when they will be supported.
 | PHONEBOOK | CALENDAR | RINGTONE | WALLPAPER | MEMO | TODO | SMS | CALL HISTORY | PHONE INFO | AUTO DETECT
E815 | R W | R W | R W | R W |  |  | R |  | X | X
E815m | R W | R W | R W | R W |  |  | R |  | X | X
LG-C2000 | R W | R W |  |  | R W |  | R |  |  | X
LG-G4015 | R W | R W | R W | R W | R W |  | R | R |  | X
LG-LG6190 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-LG6200 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-LG8100 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-LX5450 | R W | R W | R W | R W | R W |  | R W | R |  | X
LG-LX5550 | R W | R W | R W | R | R W |  | R W | R | X | X
LG-PM225 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-PM325 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-TM520 | R W | R W | R W |  |  |  |  |  |  |
LG-VI125 | R |  |  |  |  |  |  |  | X | X
LG-VI5225 | R W |  |  |  |  |  |  |  |  | X
LG-VX10 | R W | R W | R W |  |  |  |  |  |  |
LG-VX3200 | R W | R W | R W | R W | R W |  | R W | R |  | X
LG-VX4400 | R W | R W | R W | R W | R W |  | R W | R |  | X
LG-VX4500 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-VX4600 | R W | R | R W | R W |  |  |  |  |  | X
LG-VX4650 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-VX5200 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-VX6000 | R W | R W | R W | R W | R W |  | R W | R |  | X
LG-VX6100 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-VX7000 | R W | R W | R W | R W |  |  | R W | R |  | X
LG-VX8000 | R W | R W | R W | R W | R W |  | R | R |  | X
LG-VX8100 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-VX8300 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-VX8500 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-VX8600 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-VX9800 | R W | R W | R W | R W | R W |  | R W | R | X | X
LG-VX9900 | R W |  | R W | R W |  |  |  |  | X | X
MM-5600 | R W | R W | R W | R W |  |  |  |  |  | X
MM-7400 | R W | R W | R W | R W |  |  |  |  |  | X
MM-7500 | R W | R W | R | R |  | R | R |  |  | X
MM-8300 | R W | R W | R W | R W |  | R | R | R |  | X
Other CDMA phone |  |  |  |  |  |  |  |  |  |
PM-8200 | R W | R W | R W | R W |  | R | R | R |  | X
RL-4920 | R W | R W | R W | R W |  | R | R | R |  | X
RL-4930 | R W | R W | R W | R W |  | R | R | R |  | X
SCH-A310 | R W | R W |  |  |  |  |  |  | X | X
SCH-A650 | R W | R W | R W | R W | R W | R W | R |  | X | X
SCH-A670 | R W | R W | R W | R W | R W | R W | R |  | X | X
SCH-A930 | R W | R W | R W | R W | R W |  | R | R |  | X
SCH-A950 | R W | R W | R W | R W | R W |  | R | R |  | X
SCP-200 | R W | R W |  |  |  | R | R | R |  | X
SCP-3100 | R W | R W | R | R |  | R | R | R |  | X
SCP-4900 | R W | R W | W | W |  |  | R | R |  | X
SCP-5300 | R W | R W | W | W |  |  | R | R |  | X
SCP-5400 | R W | R W | R W | R W |  | R | R | R |  | X
SCP-5500 | R W | R W | R W | R W |  | R | R | R |  | X
SCP-6600 (Katana) | R | R W | R | R |  | R | R | R |  | X
SCP-7200 | R W | R W | W | W |  |  | R | R |  | X
SCP-7300 | R W | R W | R W | R W |  | R | R | R |  | X
SCP-8100 | R W | R W | R W | R W |  |  | R | R |  | X
SCP-8100 (Bell) | R W | R W | R | R |  |  |  |  |  | X
SK6100 | R |  |  |  |  |  |  |  |  |
SPH-A460 | R W | R W |  |  |  | R W |  |  |  | X
SPH-A620 (VGA1000) | R W | R W | R W | R W | R W | R W |  |  |  | X
SPH-A660 (VI660) | R W | R W | R W | R W | R W | R W |  |  |  | X
SPH-A680 | R W | R W | R W | R W | R W | R W |  |  |  | X
SPH-A740 | R W | R W | R W | R W | R W | R W |  |  |  | X
SPH-A840 | R W | R W | R W | R W | R W | R W |  |  |  | X
SPH-A840 (Telus) | R W | R W |  |  |  |  |  |  |  | X
SPH-N200 | R W |  |  |  |  |  |  |  |  | X
SPH-N400 | R |  |  |  |  |  |  |  |  | X
V3c | R W | R W | R W | R W |  |  | R |  | X | X
V3cm | R W | R W | R W | R W |  |  | R |  | X | X
V710 | R W | R W | R W | R W |  |  | R |  | X | X
V710m | R W | R W | R W | R W |  |  | R |  | X | X
VI-2300 | R W | R W | R W | R W |  | R | R | R |  | X
VM4050 | R W |  |  |  |  |  |  |  |  | X

Previous: Phones Up: Phones Next: What phones do the developers have?


What phones do the developers have?

These phones are the best supported by BitPim as the developers have them. We appreciate phone loans.

Phones that are listed here, but not in the list of supported phones are still being worked on. How to get phonespecs

Manufacturer | Model | Notes
Audiovox | CDM 8410 | Kindly loaned by A&H Cellular of Idaho.
Audiovox | CDM8900 | Kindly loaned by RPI Wireless. Unfortunately the internal software on this phone proved to be too fragile and the phone is not supported by BitPim.
Audiovox | CDM8900 | Kindly loaned by A&H Cellular of Idaho in order to try and track down the fragility issues and work around them.
Audiovox | CDM8920 | Kindly loaned by RPI Wireless.
Kyocera | 2235 | Kindly loaned by RPI Wireless.
LG | G4015 | Kindly donated by Rodney Myers.
LG | VX-4400 | Personal phone.
LG | VX-4500 | Kindly loaned by RPI Wireless.
LG | VX-4650 | Personal phone.
LG | VX-6000 | Kindly loaned by RPI Wireless.
LG | VX-7000 | Kindly loaned by RPI Wireless.
Motorola | V60c | Kindly donated by Rob Ross.
Motorola | V60s | Kindly loaned by RPI Wireless.
Motorola | V60t | Kindly donated by Andy Hall.
Motorola | V710 | Kindly loaned by Ringarama.
Motorola | T720 | Kindly loaned by Ringarama.
Nokia | PM-3205 | Personal phone.
Samsung | SCH-8500 | Kindly loaned by John Sabato.
Samsung | SGH-P107 | Kindly loaned by RPI Wireless and personal phone.
Samsung | SPH-A460 | Kindly loaned by Rapidigm.
Samsung | SPH-A500 | Kindly loaned by Jim Asta.
Samsung | SPH-A620 (VGA1000) | Kindly loaned by RPI Wireless and personal phone.
Samsung | SPH-A740 | Kindly loaned by Christopher R. White
Samsung | SCH-A310 | Personal phone.
Samsung | SCH-A670 | Personal phone.
Samsung | SCH-A950 | Kindly loaned by RPI Wireless.
Samsung | SPH-N200 | Kindly loaned by Crayton Electronics.
Samsung | SPH-N240 | Kindly loaned by Rapidigm.
Samsung | SPH-N400 | Kindly loaned by Crayton Electronics.
Sanyo | SCP-3100 | Kindly loaned by RPI Wireless
Sanyo | SCP-4900 | Kindly loaned by Rapidigm.
Sanyo | SCP-5400 | Kindly loaned by RPI Wireless.
Sanyo | SCP-5500 (VM4500) | Kindly loaned by RPI Wireless.
Sanyo | SCP-8100 | Phones kindly loaned by RPI Wireless and Rapidigm.
Sanyo | PM-8200 | Personal phone.
Sanyo | MM-8300 | Kindly loaned by the folks at Ringerpost.com.
Toshiba | VM4050 | Kindly loaned by the folks at 3gcables.com.
Palm | Treo 650 | Kindly loaned by RPI Wireless.

Previous: Phone features supported Up: Phones Next: What phones do the developers want?


What phones do the developers want?

These phones are not currently supported by BitPim but have been requested by BitPim users. Phones that are not available/accessible to the BitPim developers are unlikely to be supported. We would appreciate any loans and donations of these and other phones.

Manufacturer | Model | Carrier
LG | AX-355 |
LG | LX-550 |
LG | VX-8600 | Verizon Wireless
LG | VX-9900 | Verizon Wireless
Motorola | V3c/V3m |
Samsung | SCH-A790 |
Samsung | SCH-A900 |
Samsung | SPH-A990 |
Sanyo | SCP-200 | Sprint
Sanyo | SCP-2400 | Sprint
Sanyo | SCP-8400 | Sprint

Previous: What phones do the developers have? Up: Phones Next: Audiovox CDM8900


Audiovox CDM8900

THIS PHONE IS NOT SUPPORTED

The internal software in this phone is far too fragile and shoddy. There is a very real risk of locking up the phone so badly it won't reboot and has to be replaced through trivial operations.

Consequently this phone is not supported by BitPim and you should not use it with BitPim even if it appears to work. You should not report any issues with this phone and we will not respond to support requests other than by pointing to this page.

Previous: What phones do the developers want? Up: Phones Next: LG C2000


LG C2000

What works

Phonebook, calendar, memo & SMS reading. The SMS feature supports text messages only and will silently ignore other parts of the message. BitPim can autodetect this phone if it is connected to the PC via a USB-to-Serial cable.

Contents

  • Cables
  • Notes

Previous: Audiovox CDM8900 Up: Phones Next: Cables


Cables

This phone was tested using a straight through serial cable. Other users have been able to use a straight through USB cable.

Previous: LG C2000 Up: LG C2000 Next: Notes


Notes

Phone Information

  • I can't seem to retrieve the ESN off the phone, so for a unique ID, I use the ID of the SIM card instead. The implication is that if a different SIM card is used with the same phone, BitPim will identify it as a different phone.

Contacts

  • The maximum number of contacts the phone can hold is 255. The SIM card can hold 250 contacts.
  • On the phone, each contact can have up to 3 numbers (mobile, home, and office), email, and memo/note. On the SIM card, each contact holds 1 number.
  • When reading contacts from the SIM card, the type of the number of each contact is set to mobile. When sending contacts to the SIM card, the first number on the list is sent regardless of the type.
  • Ringtone and Wallpaper assignments to contacts are not applicable.
  • Speed Dials cannot be set from BitPim and must be set manually on the phone. The same goes for Group Ringtone assignments.
  • Group (category) names cannot be set/updated from BitPim and must be done manually on the phone.
  • Every time BitPim updates the contacts to the phone, it rewrites the whole phonebook. This process might be improved in the future (ie only update the ones that have been changed).

Calendar

  • The maximum number of calendar events is 30.
  • Phone calendar events have no end date/time, and BitPim will set it to be the same as the start date/time.
  • Phone recurrent events are open-ended (forever).
  • When sending recurrent events to the phone, the "nth" values are discarded. For example, a daily event set to occur every 3rd day in BitPim will be sent to the phone as a every-day daily event.
  • BitPim alarm values will be approximated to the next lower valid phone alarm values. For example, a BitPim alarm value of 61(min) will be set to 1hr on the phone, while a value of 59(min) will be set to 30min on the phone.

SMS

  • SMS feature is completed. However, BitPim may not always properly parse the SMS data from the phone. This is due to the fact that I have no real SMS data with which to test. Please report/post all discrepancies to the bitpim-user mailing list.
Previous: Cables Up: LG C2000 Next: LG G4015


LG G4015

What works

Phonebook, wallpaper, ringers, calendar, call history, SMS. The SMS feature supports text messages only and will silently ignore other parts of the message. BitPim can autodetect this phone if it is connected to the PC via a USB-to-Serial cable.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Notes Up: Phones Next: Cables


Cables

This phone only supports a USB-to-serial cable. A straight USB cable WILL NOT work even though the connector may appear to fit.

Generic (eBay) USB-to-Serial cable

Previous: LG G4015 Up: LG G4015 Next: Notes


Notes

Phone Information

  • I can't seem to retrieve the ESN off the phone, so for a unique ID, I use the ID of the SIM card instead. The implication is that if a different SIM card is used with the same phone, BitPim will identify it as a different phone.

Contacts

  • The maximum number of contacts the phone can hold is 255. The SIM card can hold 250 contacts.
  • On the phone, each contact can have up to 3 numbers (mobile, home, and office), email, and memo/note. On the SIM card, each contact holds 1 number.
  • When reading contacts from the SIM card, the type of the number of each contact is set to mobile. When sending contacts to the SIM card, the first number on the list is sent regardless of the type.
  • Ringtone and Wallpaper assignments to contacts are not applicable.
  • Speed Dials cannot be set from BitPim and must be set manually on the phone. The same goes for Group Ringtone assignments.
  • Group (category) names cannot be set/updated from BitPim and must be done manually on the phone.
  • Every time BitPim updates the contacts to the phone, it rewrites the whole phonebook. This process might be improved in the future (ie only update the ones that have been changed).

Calendar

  • The maximum number of calendar events is 30.
  • Phone calendar events have no end date/time, and BitPim will set it to be the same as the start date/time.
  • Phone recurrent events are open-ended (forever).
  • When sending recurrent events to the phone, the "nth" values are discarded. For example, a daily event set to occur every 3rd day in BitPim will be sent to the phone as a every-day daily event.
  • BitPim alarm values will be approximated to the next lower valid phone alarm values. For example, a BitPim alarm value of 61(min) will be set to 1hr on the phone, while a value of 59(min) will be set to 30min on the phone.

Ringtones

  • This phone can play SMAF (.mmf) and MIDI (.mid) files.
  • A maximum of 20 ringtones can be downloaded.
  • Ringtone upload from the phone to BitPim DOES NOT WORK! Reading ringtone data from the phone only reads the list of downloaded ringtones available on the phone, and not the ringtone contents.
  • Deleting ringtones on the phone "from" BitPim does not work reliably. This is a phone firmware issue. The workaround is to delete them manually from the phone.

Wallpapers

  • This phone accepts JPEG, BMP, and GIF images as wallpapers. BitPim uses JPEG as the default format.
  • The maximum of 20 images can be downloaded.
  • The phone full screen resolution is 128x128.
  • Wallpaper upload from the phone to BitPim DOES NOT WORK! Reading wallpaper data from the phone only reads the list of downloaded wallpapers available on the phone, and not the wallpaper contents.
  • Deleting wallpapers on the phone from BitPim does not work reliably. This is a phone firmware issue. The workaround is to delete them manually from the phone.

SMS

  • SMS feature is completed. However, BitPim may not always properly parse the SMS data from the phone. This is due to the fact that I have no real SMS data with which to test. Please report/post all discrepancies to the bitpim-user mailing list.

Call History

  • Call History feature is currently not complete. It is available for data collection purposes. If you wish to help with the data collection, perform the following steps:
    1. Turn on the Protocol Logging View: Menu View -> View protocol logging
    2. Retrieve Call History Data from the phone:
      1. Menu Data -> Get Phone Data
      2. From the Get Data from Phone dialog, check only on SMS & Replace All, then click OK
    3. email the contents of the Protocol Log to djpham@bitpim.org
Previous: Cables Up: LG G4015 Next: Howtos


Howtos

List available downloaded ringtones

  1. Menu Data -> Get Phone Data.
  2. Check on Ringtone, and click on OK.

    The list of download ringtones will be displayed on the Ringers tab.

List available downloaded images

  1. Menu Data -> Get Phone Data.
  2. Check on Wallpaper, and click on OK.

    The list of download images will be displayed on the Wallpapers tab.

Delete a downloaded ringtone

  1. Get the list of downloaded ringtones.
  2. Click on the Ringers tab.
  3. Select the ringtone to be deleted, and click on Delete.
  4. Menu Data -> Send Phone Data.
  5. Check on Ringtone, and click on OK.
  6. Verify on the phone that the ringtone has been deleted, if not delete it manually.

Transfer a ringtone to the phone

  1. Get the list of downloaded ringtones.
  2. Click on the Ringers tab.
  3. Click on Add.
  4. From the File Dialog, select a sound file and click on Open.
  5. Menu Data -> Send Phone Data.
  6. Check on Ringtone, and click on OK.

The steps for deleting and transferring images to the phone are similar to those of ringtones.

Previous: Notes Up: LG G4015 Next: LG PM225


LG PM225

  • Notes

What works

  • Phonebook
  • Wallpaper
  • Ringers (including reading voice memos)
  • Filesystem
  • Call History
  • SMS (Messages)
  • Memo (Notepad)
  • Calendar (Scheduler)

Phonebook

Phonebook support includes the ability to retrieve contact data and upload contact data. Speed dial, image icons and ring tone assignments can be assigned to individual contacts.

Wallpaper

Images can be retrieved and sent to the "Saved to Phone" section. The PM-225 automatically down converts these images to a resolution of 160x120 when saved to that section from the phone menu. Conversely, images sent to the phone can be resized with the BitPim image interface. Access to higher resolution pictures are available from the file system view. (Dcam/review) Simply select the image and choose save. It is not recommended to delete images with the file system view.

Ringers

Ring tones can be stored in Mp3 MIDI, or Qualcomm's QCP format. While QCP tends to use less less space this comes at loss in quality when pertaining to audio files that do not predominantly feature voices. The mp3 format can provide superior quality, but when playing from the phone it will not repeat. It is recommended that the length be around 30 seconds if you wish to exploit the full length of playtime before the call is directed to voice mail.

To obtain the tools necessary for QCP audio files please visit:

http://www.cdmatech.com/products/purevoice_download.jsp

Note: To bypass the built in audio converter simply hold ctrl+shift when selecting "Add" on the ringers section.

Filesystem

File system view is fully supported, please be careful when making changes at this level!

Call History

Call history retrieval is fully supported. Incoming, outgoing, and missed histories should display properly. Deleting call history from BitPim is not supported at this time.

SMS

The SMS feature in BitPim does not support pictures or sounds in messages. If a message contains one of these it will be silently ignored and only the text part of the message will be shown.

Memo

BitPim refers to the notepad section of the PM225 as Memo. These can be added or removed using BitPim. Notepad can be accessed via "Menu -> Tools -> Notepad" from the PM225. Memos simply contain a subject and some text. The subject will identify the memo in the phone.

Calendar

Calendar entries are fully editable with BitPim. To access your calendar entries simply access your scheduler from "Menu -> Tools -> Scheduler" and review or edit entries.

BitPim can autodetect this phone if it is connected to the PC via a USB cable.

FAQs and support

Contents

Previous: Howtos Up: Phones Next: Notes


Notes

To reliably read or write the phonebook with BitPim, you must ensure there is at least one entry on the phone already.

For each contact in the phone book, the LG-PM225 supports 5 phone numbers, 3 e-mails, 1 and a 32 character memo.

You can assign one ringtone and one image per contact. You can choose a speed dial for each number in the phonebook.

The phone supports JPG and BMP image formats.

The phone supports MP3, MIDI and QCP formats. Stereo MP3s or MP3s with a bitrate above 128 or a sample rate above 44100Hz will cause the conversion dialog to appear. This can be bypassed by holding down crtl+shift when pressing the add button.

Media filenames will be truncated to 30 characters.

Due to the way the phone stores data and a limitation in the way the ringers have been implemented in BitPim the filename extension of a qcp file will be changed to .mp3 when they are retrieved from the phone. BitPim will show the type as QCP in the ringer tab even though the filename ends in .qcp.

Another limitation for the LG-PM225 BitPim implementation is that all midia filenames must end in .mp3, .jpg, .jpeg, .bmp, .qcp or .mid to work correctly.

To create qcp files, download the QCP utility from QCP utility.

Java applications can be uploaded to the phone through BitPim. Add the java application file (must end in .jar) to the ringers tab in the same way that you would add a ringtone. Send phone data (with ringers selected). The java application should now appear on the phone. Java applications cannot be retrieved from the phone by BitPim. The next time you get the ringers from the phone the .jar file will disappear from the ringers tab in BitPim (although it will remain on the phone). Use the phone itself to delete the application.

Only java applications designed for the phone should be sent to the phone. Uploading and/or running other java applications may cause the phone to malfunction.

Previous: LG PM225 Up: LG PM225 Next: LG VX-3200


LG VX-3200

What works

Phonebook, wallpaper, ringers, calendar, call history, memo, SMS, filesystem.

FAQs and support

Please let us know of any good FAQs or support groups.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Notes Up: Phones Next: Cables


Cables

This phone only has an internal serial interface, and you should get a USB to serial cable marked for this phone.

Verizon Mobile Office Kit

Available from Verizon Wireless in store or on the web. It is also sold by a number of other stores and on eBay. A Prolific PL2303 chip is used to perform USB to serial.

Windows

This cable works well and is reliable. The cable comes with drivers for Windows.

Linux

Linux has drivers builtin, and should use the pl2303 module.

Mac

You will need to get drivers from the Prolific web site at http://www.prolific.com.tw/eng/downloads.asp?ID=31

FutureDial USB to serial

Available at RadioShack as catalog# 17-792 and will work with the VX3200, VX4500, VX4600 and the VX6000.

Warning!! As of early 2005 RadioShack has swapped a different cable for catalog# 17-792. The ONLY version of this cable that is known to work with these phones is the version that has the blob half way along the cable (see photo below). This blob is the USB-to-serial conversion module. Some RadioShack stores may still have the previous version of the cable on the shelves.

This cable has a blob half way along the cable that converts from USB to serial and then connects to the serial interface in the phone. The chip inside the cable is a Prolific 2303 and this is how your operating system will report it.

Windows

This cable works well and is reliable. You will need to obtain the drivers from FutureDial's website.

Linux

Linux has drivers builtin. Note: There is a bug in the Linux 2.4 kernel that causes many machines to crash when any program stops using the cable. This has been fixed in the kernel versions 2.4.23 and 2.6.

Mac

You will need to get drivers from the Prolific web site at http://www.prolific.com.tw/eng/downloads.asp?ID=31

Previous: LG VX-3200 Up: LG VX-3200 Next: Notes


Notes

DO NOT PULL THE CABLE OUT OF THE PHONE WHILE OPERATIONS ARE TAKING PLACE (even just reads). If you do, you could end up with bad data when you read the phone book. You can only fix that by writing good data back again.

The LG-VX3200 is a simpler (less featured) phone compared to the other LG phones supported by BitPim. The manufacturer has taken some shortcuts related to some of the inner workings of the phone that in turn make some of the BitPim media handling a little trickier. This is especially true for the Wallpaper handling. Please see the Howtos help section for this phone for important information.

Remember to examine the "Log" tab in BitPim for useful messages if an operation does not appear to have worked correctly.

PHONEBOOK NOTES

The LG-VX3200 imposes some limitations on what can be written to the phone when updating the phone's Phonebook. Note that this is a limitation of the phone and not BitPim. In addition there are other items of note related to Phonebook support. Here are the specifics:

  • Writing wallpaper selections to the phone for a phonebook entry is not supported. Wallpapers will be set to Default when a phonebook entry is written to the phone.
  • Only a subset of the phone's builtin ringers can be assigned to a phonebook entry and written to the phone. The only ringers that can be assigned to a phonebook entry and successfully written to the phone are:
    • Ring 1
    • Ring 2
    • Ring 3
    • Ring 4
    • Ring 5
    • Ring 6
    • Ring 7
    • Ring 8
    • Annen Polka
    • Pachelbel Canon
    • Hallelujah
    • La Traviata
    • Leichte Kavallerie Overture
    • Mozart Symphony No.40
    • Bach Minuet
    • Farewell
    • Mozart Piano Sonata
    • Sting
    • O solemio
    • Pizzicata Polka
    • Stars and Stripes Forever
    • Pineapple Rag
    • When the Saints Go Marching In
    • Latin
    • Carol 1
    • Carol 2
  • Only the phone's builtin groups can be assigned to a phonebook entry and written to the phone. Custom groups are not supported. The supported groups that can be assigned to a phonebook entry and successfully written to the phone are:
    • Family
    • Friends
    • Colleagues
    • Business
    • School
  • VoiceDial assignments in the phone are handled correctly when you update the phonebook except for this situation: If you delete only the phone number within a phonebook entry that has a VoiceDial assignment then the phone will keep the phonenumber in the phonebook. You must delete the VoiceDial entry on the phone first.
    • Previous: Cables Up: LG VX-3200 Next: Howtos


Howtos

Changing the Wallpaper

Please read this section and follow the directions to change Wallpaper on this phone. There are some steps you must do on your phone BEFORE you can use BitPim to change Wallpaper.

There are three "wallpapers" that can be customized on this phone using BitPim; wallpaper, poweron and poweroff. BEFORE you can change these wallpapers you must perform the following steps on your phone for each type of wallpaper you want BitPim to customize:

  • select Menu
  • 6-Settings
  • 2-Display
  • 3-Screens
  • 1-Wallpaper (or 2-Power On, or 3-Power Off)
  • More
  • 2-EMS
  • Select any item from this list (will be replaced later by BitPim)
  • Save

Repeat the steps above for each of the Wallpaper types (wallpaper, poweron and poweroff) that you want to customize using BitPim. You only need to do this ONCE for each wallpaper type. From this point forward you can use BitPim as many times as you want to change the wallpapers.

NOTE: The LG-VX3200 uses a proprietary image format for the wallpapers. Fortunately BitPim takes care of converting to/from this proprietary format.

Wallpaper examples

Example 1: Put a custom wallpaper on your phone

Create an file on your computer that contains the image you want for your wallpaper. For this example this file will be named "myimage.bmp".
  • First, follow the steps in section "Changing the Wallpaper" above to create a wallpaper entry if you have not already done this on your phone.
  • Start BitPim and verify that your phone has a wallpaper entry by doing Data -> Get Phone Data -> Wallpaper.
  • On the Wallpaper tab in BitPim use the "Add" button to import your custom wallpaper, "myimage.bmp".
  • Right-click on the phone wallpaper icon and Delete it.
  • Right-click on your custom wallpaper icon and Rename it to "wallpaper.bmp".
  • Now send your custom wallpaper to the phone by doing Data -> Send Phone Data -> Wallpaper.
Verify that your phone has your new wallpaper by examining the phone's screen.

Example 2: Move wallpaper from one phone to another

This example assumes you have a custom wallpaper on phone A and want to copy it to phone B. In this example we will copy the custom wallpaper from phone A to your computer and it will be named "customwp.bit".
  • Phone A:
    • Start BitPim and grab the custom wallpaper from phone A by doing Data -> Get Phone Data -> Wallpaper.
    • On the Wallpaper tab in BitPim right-click on the phone wallpaper icon and Save it to a file named "customwp.bit".
  • Phone B:
    • First, follow the steps in section "Changing the Wallpaper" above to create a wallpaper entry if you have not already done this on phone B.
    • Start BitPim and verify that your phone has a wallpaper entry by doing Data -> Get Phone Data -> Wallpaper.
    • On the Wallpaper tab in BitPim use the "Add" button to import the wallpaper you are copying, "customwp.bit".
      Note: the custom wallpaper will be converted to BMP format when it is imported.
    • Right-click on the phone wallpaper icon and Delete it.
    • Right-click on your custom wallpaper icon and Rename it to "wallpaper.bmp".
    • Now send your custom wallpaper to the phone by doing Data -> Send Phone Data -> Wallpaper.
Verify that phone B has the copied wallpaper by examining the phone's screen.

Example 3: Edit wallpaper retrieved from a phone

In this example you have a wallpaper that was retrieved from the phone and you want to edit the image using your favorite tool. The problem is that the file is a proprietary LG format and your tool cannot open the file. These steps will convert the file to a BMP file that you can edit. In this example we assume you have a custom wallpaper file on your computer called "customwp.bit" and we will convert it to a BMP file called "customwp.bmp".
  • Start BitPim. (You do not need your phone attached to BitPim for this operation.)
  • On the Wallpaper tab in BitPim use the "Add" button to import the wallpaper you are converting, "customwp.bit".
    Note: the custom wallpaper will be converted to BMP format when it is imported.
  • Right-click on this image icon and Save as "customwp.bmp".
You can now edit this BMP file and use it as your new wallpaper if you like.

Use your downloaded ringtones

Once you have used BitPim to download custom ringtones (either .mid or .mp3 files) then they are available on your phone to be associated with ringers. Here are the steps on your phone to assign to one of your main ringers:

  • select Menu
  • 6-Settings
  • 1-Sounds
  • 1-Ringers
  • 1-Caller ID (or 2-No Caller ID, or 3-Restrict)
  • select your ringtone from this list

Note that you can also associate your custom ringers with people in your Contacts.

Previous: Notes Up: LG VX-3200 Next: LG VX-4400


LG VX-4400

What works

Phonebook, wallpaper, ringers, calendar, filesystem.

FAQs and support

Frequently Asked Questions about the VX4400. There is also an excellent Yahoo support group.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Howtos Up: Phones Next: Cables


Cables

The phone has two internal interfaces available. One is a serial connection and the other is a USB connection. The cables you can get usually have USB on one end, and then connect to the serial or USB connection on the other end. USB to serial cables also typically have a plastic blob in the middle which contain the USB to serial conversion chip.

DO NOT PURCHASE A STRAIGHT USB CABLE. The internal USB interface on the phone has issues that results in data stalls and other instabilities. If you decide to use any form of straight USB cable with the VX4400 then do not ask for support with BitPim or on any other support forums. The cable will initially appear to work, but you will eventually have problems. Many people seem to think that because it initially appears to work, this issue does not apply to them. When they hit the problems, they post to the various forums. Many members of the forums get very annoyed seeing the same thing crop up over and over again. You have been warned!

FutureDial Straight USB DO NOT PURCHASE THIS CABLE

Available at RadioShack as catalog# 17-789 marked as for LG 5350 and VX4400.

This cable connects to the USB interface inside the phone. The cable is marked as for the LG VX4400 and the LG 5350.

FutureDial USB to serial

Available at RadioShack as catalog# 17-783 marked as for LG VX1/VX10.

This cable has a blob half way along the cable that converts from USB to serial and then connects to the serial interface in the phone. The chip inside the cable is a Prolific 2303 and this is how your operating system will report it. It is marked as for the LG VX1/10 but works fine on the VX4400.

Sometimes the phone does not respond when using this cable, and has to be manually forced to talk. Do this by Menu [image] 8-Settings [image] 6-Data Settings [image] 2-Select Port RS-232C(COM Port)

Windows

This cable works well and is reliable. You will need to obtain the drivers from FutureDial's website. Note that you should select LG VX10 in their installer.

Linux

Linux has drivers builtin. Note: There is a bug in the Linux 2.4 kernel that causes many machines to crash when any program stops using the cable. This has been fixed in the kernel versions 2.4.23 and 2.6.

Mac

You will need to get drivers from the Prolific web site at http://www.prolific.com.tw/eng/downloads.asp?ID=31

Speed

The default speed the diagnostics interface runs at is 38400. You can increase this to 115200. Do this by Menu [image] 0-Service Menu [image] (Service code, usually 000000) [image] 5-Data [image] 4-Diag Baud. You need to reboot the phone for the change to take effect.

Previous: LG VX-4400 Up: LG VX-4400 Next: Notes


Notes

DO NOT PULL THE CABLE OUT OF THE PHONE WHILE OPERATIONS ARE TAKING PLACE (even just reads). If you do, you could end up with bad data when you read the phone book. You can only fix that by writing good data back again.

The phonebook editor allows you to have more than one number of the same type (eg multiple 'home' numbers). The phone allows an upload of this. The phone appears to work fine with this. However the user interface on the phone doesn't allow you to enter multiple numbers of the same type. There might be some deep dark reason. BitPim will correctly set the first 'home' number as 'home' and the second as 'home2'. Any extras will also be saved as 'home2'

BitPim saves a new groups file when saving your phonebook. The file is limited to 9 entries plus one for 'No Group'. BitPim picks the 9 most frequent entries and uses those.

The phone requires that each entry have at least one phone number or one email address. Entries without neither will be ignored and not written to the phone.

I have not tested to see what happens if you fill up the phone's filesystem. It has 1.5MB of space available. The protocol doesn't look like it will result in partial files.

If you use downloaded wallpapers, the phone can take a really long time to shutdown (around a minute or two). It will appear as though it has hung. It hasn't - just be patient. This was fixed for some people in firmware version 06.

The various fields have maximum lengths when writing to the phonebook. Currently if you edit a value to be longer than the maximum field length, there will be an exception while saving the phonebook. I will be making this user friendly shortly (most probably by silently truncating the value). Opinions welcome. Here is a listing of field lengths:

Name | 22
Email | 48
Url | 48
Memo | 32
Phone number | 48

Only digits are allowed in phone numbers (ie you can't have punctuation such as parentheses or dashes). BitPim will remove all non-digits when saving the number. (The letters P & T

The order you see entries in the phonebook editor is not the order they are written to the phone. Existing entries remain in the same order, and new ones get added on the end. (This is due to limitations of the phone).

Previous: Cables Up: LG VX-4400 Next: Howtos


Howtos

Use your downloaded wallpaper

To change your main screen background, select Menu [image] 8-Settings [image] 2-Display [image] 3-Screens [image] 1-Wallpaper. Then press the right soft key (the one below the label More) and choose downloaded.

Use your downloaded ringtones

The process is very similar to wallpaper. When selecting a ringtone, press the right soft key when you see the label More, and choose downloaded.

Previous: Notes Up: LG VX-4400 Next: LG VX-4500


LG VX-4500

What works

Phonebook, wallpaper, ringers, and filesystem. We are currently not sure about the calendar as it seems to be different than previous models.

FAQs and support

There is an excellent Yahoo support group at groups.yahoo.com/group/LGVX4500.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Howtos Up: Phones Next: Cables


Cables

This phone only has an internal serial interface, and you should get a USB to serial cable marked for this phone.

Verizon Mobile Office Kit

Available from Verizon Wireless in store or on the web. It is also sold by a number of other stores and on eBay. A Prolific PL2303 chip is used to perform USB to serial.

Windows

This cable works well and is reliable. The cable comes with drivers for Windows.

Linux

Linux has drivers builtin, and should use the pl2303 module.

Mac

You will need to get drivers from the Prolific web site at http://www.prolific.com.tw/eng/downloads.asp?ID=31

FutureDial USB to serial

Available at RadioShack as catalog# 17-792 and will work with the VX4500, VX4600 and the VX6000.

This cable has a blob half way along the cable that converts from USB to serial and then connects to the serial interface in the phone. The chip inside the cable is a Prolific 2303 and this is how your operating system will report it.

Windows

This cable works well and is reliable. You will need to obtain the drivers from FutureDial's website.

Linux

Linux has drivers builtin. Note: There is a bug in the Linux 2.4 kernel that causes many machines to crash when any program stops using the cable. This has been fixed in the kernel versions 2.4.23 and 2.6.

Mac

You will need to get drivers from the Prolific web site at http://www.prolific.com.tw/eng/downloads.asp?ID=31

Previous: LG VX-4500 Up: LG VX-4500 Next: Notes


Notes

The phone is very similar to the VX4400. Please read the notes for the 4400. The following information is in addition to those notes.

The USB bug that affects the 4400 does not affect the 6000.

Previous: Cables Up: LG VX-4500 Next: Howtos


Howtos

Your text here
Previous: Notes Up: LG VX-4500 Next: LG VX-4650


LG VX-4650

What works

Phonebook, wallpaper, ringers, filesystem, calendar, call history, SMS & Memo. The SMS feature supports text messages only and will silently ignore other parts of the message. BitPim can autodetect this phone if it is connected to the PC via a USB-to-Serial cable; it may also work with a straight USB cable, but that has not been tested.

Contents

  • Cables
  • Notes

Previous: Howtos Up: Phones Next: Cables


Cables

This phone supports both a straight USB and USB-to-Serial cable.

Susteen Universal Cable (with an adapter for LG-VX4400 and one for LG-VX4650)

Generic (eBay) USB-to-Serial cable

Previous: LG VX-4650 Up: LG VX-4650 Next: Notes


Notes

When BitPim updates phonebook contacts to the phone, an extraneous group may be added to the list of available groups. This is due to a firmware problem.

If the PureVoice Converter software is available, Voice Memos can now be retrieved from the phone. They are converted and stored as PCM/WAV media files in BitPim.

Voice Memos can be used as ringtones for both contacts and calendar events. BitPim supports this feature but does not display the actual names/labels of the Voice Memos, it instead displays generic names such as 'VoiceMemo0001', 'VoiceMemo0002', etc. This may be improved in the future.

Repeat calendar events entered via the phone are open-ended. However, end dates can be set in BitPim and sent to the phone.

Previous: Cables Up: LG VX-4650 Next: LG VX-5200


LG VX-5200

What works

Phonebook, wallpaper (including camera), ringers, filesystem, calender, call history, SMS & Memo The Memo feature on the phone is limited, it does not support a subject or a category. The SMS feature in BitPim does not support pictures or sounds in messages. If a message contains one of these it will be silently ignored and only the text part of the message will be shown. BitPim can autodetect this phone if it is connected to the PC via USB.

FAQs and support

There is a yahoo support group with good info about this phone. Goto http://groups.yahoo.com/group/VX5200Phone/

Contents

  • Cables
  • Notes

Previous: Notes Up: Phones Next: Cables


Cables

You can buy from e-bay and Verizon stores (although they are a bit expensive) You can also try RS and other electronic stores. All testing done with USB cables. http://groups.yahoo.com/group/VX5200Phone/ has information about cables. You can also get help on a phone forum like www.howardforums.com.

Previous: LG VX-5200 Up: LG VX-5200 Next: Notes


Notes

There has been a report that BitPit will crash if you have pager numbers in the phonebook that you are trying to upload into the phone. Removing the pager entries resolves this issue.

This phone returns the number of phonebook entries in an unreliable way to BitPim. There is a workaround in the BitPim code for it. However the workaround does not work if the phonebook on the phone is completely empty. To reliably read or write the phonebook with BitPim, you must ensure there is at least one entry on the phone already.

Previous: Cables Up: LG VX-5200 Next: LG VX-6000


LG VX-6000

What works

Phonebook, wallpaper (including camera), ringers, calendar, filesystem. (Note: Camera images are only downloaded from the phone, not put back.)

FAQs and support

There is a support group at Yahoo Groups

Contents

  • Cables
  • Notes
  • Howtos

Previous: Notes Up: Phones Next: Cables


Cables

The phone has two internal interfaces available. One is a serial connection and the other is a USB connection. The cables you can get usually have USB on one end, and then connect to the serial or USB connection on the other end. USB to serial cables also typically have a plastic blob in the middle which contain the USB to serial conversion chip.

It is recommended that you get a straight USB cable. (The USB issues that affect the VX4400 do not affect this phone).

When used via USB, the phone exposes two interfaces. One is to use the phone as a modem. The second interface (normally called the "diagnostics interface" is what BitPim needs to talk to).

RPI Wireless straight USB with charging

Available from www.rpiwireless.com. RPI were kind enough to loan a VX6000 to add support to BitPim. You can thank them by placing your order with them. Don't forget to mention that BitPim sent you!

This is a straight USB cable that also does charging. There is a red light that comes on when USB is connected (independent of whether there is a phone plugged into the other end of the cable).

Windows

This cable works well and is reliable. The cable comes with drivers for Windows.

Linux

Linux has drivers builtin, and should use the acm module for the phone interface. BitPim will talk to the diagnostics interface using its builtin USB support.

Mac

MacOS will automatically recognise the modem interface and configure it appropriately. BitPim will talk to the diagnostics interface using its builtin USB support.

FutureDial USB to serial

Available at RadioShack as catalog# 17-792 and will work with the VX4500, VX4600 and the VX6000.

This cable has a blob half way along the cable that converts from USB to serial and then connects to the serial interface in the phone. The chip inside the cable is a Prolific 2303 and this is how your operating system will report it.

Sometimes the phone does not respond when using this cable, and has to be manually forced to talk. Do this by Menu [image] 9-Settings [image] 6-1x Data [image] 2-Select Port RS-232C(COM Port). Note that you can also change the port speed in that menu. Although the Prolific chip supports speeds up to 230400 and the phone may list them, some drivers for the chip only support speeds up to 115200. The BitPim log will show you what speeds BitPim tries to use, and if they are successful.

Windows

This cable works well and is reliable. You will need to obtain the drivers from FutureDial's website.

Linux

Linux has drivers builtin. Note: There is a bug in the Linux 2.4 kernel that causes many machines to crash when any program stops using the cable. This has been fixed in the kernel versions 2.4.23 and 2.6.

Mac

You will need to get drivers from the Prolific web site at http://www.prolific.com.tw/eng/downloads.asp?ID=31

Speed

The default speed the diagnostics interface runs at is 38400. You can increase this to 115200. Do this by Menu [image] 0-Service Menu [image] (Service code, usually 000000) [image] 5-Data [image] 3-Diag Baud. You may need to reboot the phone for the change to take effect.

Previous: LG VX-6000 Up: LG VX-6000 Next: Notes


Notes

The phone is very similar to the VX4400. Please read the notes for the 4400. The following information is in addition to those notes.

The phone has 6.5MB of memory to store files etc.

The USB bug that affects the 4400 does not affect the 6000.

Previous: Cables Up: LG VX-6000 Next: Howtos


Howtos

Your text here.
Previous: Notes Up: LG VX-6000 Next: LG VX-6100


LG VX-6100

What works

Phonebook, wallpaper (including camera images), ringers, reading the calendar, filesystem.

What doesn't work

Wallpaper assignments from the BitPim Phonebook editor.

FAQs and support

PhoneScoop provides useful information about the LG VX6100..

Contents

  • Cables
  • Notes
  • Howtos

Previous: Howtos Up: Phones Next: Cables


Cables

The LG VX 6100 uses the same straight USB charging data cable as the LG VX7000.

RPI Wireless straight USB with charging

Available from www.rpiwireless.com. RPI were kind enough to loan a VX7000 to add support to BitPim. You can thank them by placing your order with them. Don't forget to mention that BitPim sent you!

Previous: LG VX-6100 Up: LG VX-6100 Next: Notes


Notes

DO NOT PULL THE CABLE OUT OF THE PHONE WHILE OPERATIONS ARE TAKING PLACE (even just reads). If you do, you could end up with bad data when you read the phone book. You can only fix that by writing good data back again.

The phonebook editor allows you to have more than one number of the same type (eg multiple 'home' numbers). The phone allows an upload of this. The phone appears to work fine with this. However the user interface on the phone doesn't allow you to enter multiple numbers of the same type. There might be some deep dark reason. BitPim will correctly set the first 'home' number as 'home' and the second as 'home2'. Any extras will also be saved as 'home2'

BitPim saves a new groups file when saving your phonebook. The file is limited to 9 entries plus one for 'No Group'. BitPim picks the 9 most frequent entries and uses those.

The phone requires that each entry have at least one phone number or one email address. Entries without either will be ignored and not written to the phone.

The phone has not been tested to see what happens if you fill up the phone's filesystem. It has 1.5MB of space available. The protocol doesn't look like it will result in partial files.

The various fields have maximum lengths when writing to the phonebook. Values longer than the allowed length will be silently truncated when loaded to the phone.

Name | 22
Email | 48
Url | 48
Memo | 32
Phone number | 48

Only digits are allowed in phone numbers (ie you can't have punctuation such as parentheses or dashes). BitPim will remove all non-digits when saving the number. (The letters P & T are allowed for pauses)

The order you see entries in the phonebook editor is not the order they are written to the phone. Existing entries remain in the same order, and new ones get added on the end. (This is due to limitations of the phone).

Previous: Cables Up: LG VX-6100 Next: Howtos


Howtos

Your text here
Previous: Notes Up: LG VX-6100 Next: LG VX-7000


LG VX-7000

What works

Phonebook, wallpaper (including camera), ringers, filesystem. (Note: Videos are currently ignored.)

FAQs and support

If you know of a good support group, please let us know so we can add details here.

Contents

  • Cables
  • Notes

Previous: Howtos Up: Phones Next: Cables


Cables

This phone supports USB charging cables.

RPI Wireless straight USB with charging

Available from www.rpiwireless.com. RPI were kind enough to loan a VX7000 to add support to BitPim. You can thank them by placing your order with them. Don't forget to mention that BitPim sent you!

Previous: LG VX-7000 Up: LG VX-7000 Next: Notes


Notes

This phone returns the number of phonebook entries in an unreliable way to BitPim. There is a workaround in the BitPim code for it. However the workaround does not work if the phonebook on the phone is completely empty. To reliably read or write the phonebook with BitPim, you must ensure there is at least one entry on the phone already.

Wallpaper and ringtone reading and writing work. The BitPim code currently limits you to 50 of each. If anyone knows what the real limit is, or why the phone goes to the trouble of storing the total amount of space used by the ringtones and wallpapers then please let the developers know.

The videos taken by the phone use MPEG 4 for the video and Qualcomm's proprietary PureVoice format for the audio. Most media players have no problem with the video but won't know how to do the audio. Apple's QuickTime software (even on Windows) does understand the PureVoice format so you can use it to listen to the video as well.

Previous: Cables Up: LG VX-7000 Next: LG VX-8000


LG VX-8000

What works

Phonebook, wallpaper (including camera), ringers, calendar, memo, SMS, call history, filesystem. (Note: Videos are currently ignored.)

FAQs and support

If you know of a good support group, please let us know so we can add details here.

Contents

  • Cables
  • Notes

Previous: Notes Up: Phones Next: Cables


Cables

This phone supports USB charging cables.

RPI Wireless straight USB with charging

Available from www.rpiwireless.com. RPI were kind enough to loan a VX8000 to add support to BitPim. You can thank them by placing your order with them. Don't forget to mention that BitPim sent you! Note that the VX7000 and VX8000 use exactly the same cable.

Previous: LG VX-8000 Up: LG VX-8000 Next: Notes


Notes

There has been a report that this phone will crash if wallpaper image filenames do not have an extension. BitPim will always ensure that there is an extension unless you rename the file yourself.

This phone returns the number of phonebook entries in an unreliable way to BitPim. There is a workaround in the BitPim code for it. However the workaround does not work if the phonebook on the phone is completely empty. To reliably read or write the phonebook with BitPim, you must ensure there is at least one entry on the phone already.

Wallpaper and ringtone reading and writing work. The BitPim code currently limits you to 50 of each. If anyone knows what the real limit is, or why the phone goes to the trouble of storing the total amount of space used by the ringtones and wallpapers then please let the developers know.

The videos taken by the phone use MPEG 4 for the video and Qualcomm's proprietary PureVoice format for the audio. Most media players have no problem with the video but won't know how to do the audio. Apple's QuickTime software (even on Windows) does understand the PureVoice format so you can use it to listen to the video as well.

Previous: Cables Up: LG VX-8000 Next: LG VX-8100


LG VX-8100

What works

Phonebook, wallpaper (including camera), ringers, filesystem, calender, call history, SMS & Memo (Note: Videos are currently ignored.) The Memo feature on the phone is limited, it does not support a subject or a category. The SMS feature in BitPim does not support pictures or sounds in messages. If a message contains one of these it will be silently ignored and only the text part of the message will be shown. BitPim can autodetect this phone if it is connected to the PC via USB. BitPim can make use of ringtone & wallpaper files stored on the miniSD card, see section Howtos for more details.

FAQs and support

If you know of a good support group, please let us know so we can add details here.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Notes Up: Phones Next: Cables


Cables

This phone supports USB charging cables.

RPI Wireless straight USB with charging

You can also buy from e-bay and Verizon stores (although they are a bit expensive) You can also try RS and other electronic stores. All testing done with USB cables. Note that the VX6100, VX7000, VX8000 and VX8100 all use exactly the same cable. This phone also has Bluetooth (BT). It is possible to use this to connect to BitPim. To use BT you need to confgure your phone. Go into the main menu, press OK, then go to Settings and Tools, press RIGHT ARROW twice. Select PC Connection, press <9>, and then choose BT, press <3>. The phone should now show up as a BT device on your Computer. Once you have enabled Bluetooth you will need to pair the phone with the PC. One way to do this is to go to Settings and Tools on the phone (described above) and choose the Bluetooth menu, option <0>, select "My Visiblitiy", option <3>, then select "Shown To All". You should get a 3 minute warning message. In less than 3 minutes, go to the PC and in the bluetooth settings you should be able to detect the phone. You will have to enter a passcode in the computer and then the same passcode in the phone (a screen will appear automatically when the PC tries to connect). At this point the phone will be available on a COM port. You will have to manually set the phone settings in BitPim. I have tried this using XP SP2 and a USB Bluetooth Adapter made by TRENDnet, I was able to connect using the native Windows drivers that come with SP2 and the drivers that came with the adapter. You will see a bluetooth symbol on the phone's screen when it is enabled. Bluetooth is a slow way to communicate with the phone, using the USB cable is faster. It also runs down the battery, turning it off after use will preserve battery power. You can also get help on a phone forum like www.howardforums.com. Autodetect does not work with BT in tests so far, this is planned for a later release.

Previous: LG VX-8100 Up: LG VX-8100 Next: Notes


Notes

There has been a report that BitPit will crash if you have pager numbers in the phonebook that you are trying to upload into the phone. Removing the pager entries resolves this issue.

This phone returns the number of phonebook entries in an unreliable way to BitPim. There is a workaround in the BitPim code for it. However the workaround does not work if the phonebook on the phone is completely empty. To reliably read or write the phonebook with BitPim, you must ensure there is at least one entry on the phone already.

The videos taken by the phone use MPEG 4 for the video and Qualcomm's proprietary PureVoice format for the audio. Most media players have no problem with the video but won't know how to do the audio. Apple's QuickTime software (even on Windows) does understand the PureVoice format so you can use it to listen to the video as well.

Ringtones

  • BitPim can make use of ringtone files stored on the miniSD card, see section Howtos for more details.
  • BitPim can now retrieve and send My Sounds media files.
  • Firmware version 6 and 7 no longer allows ringtone files to be read off the phone. As a result, when BitPim retrieves ringtones from the phone, though it cannot read the files, BitPim "marks" the fact that such ringtones exist, so that users can overwrite or delete them later.
Previous: Cables Up: LG VX-8100 Next: Howtos


Howtos

Access Ringtones from a miniSD card:

Transferring files to the miniSD card through the phone using BitPim is very slow, users should transfer files to the card directly from a PC.

  1. On the miniSD card, create a subdir called ringers
  2. Copy your ringtone files to the ringers subdir.
  3. Insert the card back into the phone and start BitPim.
  4. Retrieve Ringtone data from the phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Ringtone, and click on OK.
  5. Write Ringtone data back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Ringtone and Replace All, and click on OK.
  6. All of the ringtones stored on both the phone and the card are now available for assignment.

Step 3 through 5 should be repeated for all changes made to the ringers subdir.

Access Wallpapers from a miniSD Card:

Transferring files to the miniSD card through the phone using BitPim is very slow, users should transfer files to the card directly from a PC.

  1. On the miniSD card, create a subdir called images
  2. Copy your wallpaper files to the images subdir.
  3. Insert the card back into the phone and start BitPim.
  4. Retrieve Wallpaper data from the phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Wallpaper, and click on OK.
  5. Write Wallpaper data back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Wallpaper and click on OK.
  6. All of the wallpapers stored on both the phone and the card are now available for assignment.

Step 3 through 5 should be repeated for all changes made to the images subdir.

Previous: Notes Up: LG VX-8100 Next: LG VX-8300


LG VX-8300

What works

Phonebook (but not ringer/wallpaper assignments), wallpaper (including camera), ringers, filesystem, call history, SMS & Memo. The Memo feature on the phone is limited, it does not support a subject or a category. The SMS feature in BitPim does not support pictures or sounds in messages. If a message contains one of these it will be silently ignored and only the text part of the message will be shown. BitPim can autodetect this phone if it is connected to the PC via USB. If you are connected via Bluetooth bitpim will only detect the phone on Windows XP SP2 if you are using the native windows drivers. BitPim can make use of ringtone & wallpaper files stored on the miniSD card, see section Howtos for more details.

FAQs and support

If you know of a good support group, please let us know so we can add details here.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Howtos Up: Phones Next: Cables


Cables

This phone supports USB charging cables.

You can also buy from e-bay and Verizon stores (although they are a bit expensive) You can also try RS and other electronic stores. Testing done with USB cables and Bluetooth. This phone also has Bluetooth (BT). It is possible to use this to connect to BitPim. Bluetooth is a slow way to communicate with the phone, using the USB cable is faster. It also runs down the battery, turning it off after use will preserve battery power. You can also get help on a phone forum like www.howardforums.com. Autodetect does not work with BT unless you are running Windos XP SP2 and are using the native windows drivers.

Previous: LG VX-8300 Up: LG VX-8300 Next: Notes


Notes

This phone returns the number of phonebook entries in an unreliable way to BitPim. There is a workaround in the BitPim code for it. However the workaround does not work if the phonebook on the phone is completely empty. To reliably read or write the phonebook with BitPim, you must ensure there is at least one entry on the phone already.

The videos taken by the phone use MPEG 4 for the video and Qualcomm's proprietary PureVoice format for the audio. Most media players have no problem with the video but won't know how to do the audio. Apple's QuickTime software (even on Windows) does understand the PureVoice format so you can use it to listen to the video as well.

Ringtones

  • BitPim can make use of ringtone files stored on the miniSD card, see section Howtos for more details.
Previous: Cables Up: LG VX-8300 Next: Howtos


Howtos

Access Ringtones from a miniSD card:

Transferring files to the miniSD card through the phone using BitPim is very slow, users should transfer files to the card directly from a PC.

  1. On the miniSD card, create a subdir called ringers
  2. Copy your ringtone files to the ringers subdir.
  3. Insert the card back into the phone and start BitPim.
  4. Retrieve Ringtone data from the phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Ringtone, and click on OK.
  5. Write Ringtone data back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Ringtone and Replace All, and click on OK.
  6. All of the ringtones stored on both the phone and the card are now available for assignment.

Step 3 through 5 should be repeated for all changes made to the ringers subdir.

Previous: Notes Up: LG VX-8300 Next: LG VX-8500


LG VX-8500

What works

Phonebook, wallpaper, ringers, calendar, memo, call history, SMS, Play List, and file system. BitPim can autodetect this phone if it is connected to the PC via a straight USB cable. BitPim can also make use of ringtone files stored on the microSD card.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Howtos Up: Phones Next: Cables


Cables

This phone was successfully tested with a USB data cable as part of the Verzion Music Essential Kit (P/N MSKLG18PIN).

Previous: LG VX-8500 Up: LG VX-8500 Next: Notes


Notes

Firmware Version

  • The firmware version of the phone used for development & test is T85VZV03.

Phonebook

  • BitPim supports all phonebook features of this phone.

Calendar

  • BitPim now fully supports all calendar features of this phone.
  • For recurrent events, phone events have End Date and Repeat Until fields; when BitPim retrieves calendar data from the phone, it combines these 2 fields into the End Date field.

Ringtones

  • BitPim can make use of ringtone files stored on the microSD card, see section Howtos for more details.

Sounds, Wallpaper, and Video

  • BitPim can retrieve and save Sounds, Wallpaper, and Video media files from/to the phone memory and microSD card.

Music

  • BitPim can save music files to the phone memory or microSD card, though it would be very slow to transfer large files.

Music Play Lists

  • Users can now retrieve, manage, and save their music playlists from/to the phones. See section Howtos for more details.
  • Within each playlist, to keep the order of the songs as appeared in BitPim, sort them by dates on the phone.
  • When saving playlists to the phone, BitPim sets the Artist, Album, and Genre info of all songs to 'Unknown'.
Previous: Cables Up: LG VX-8500 Next: Howtos


Howtos

Access Ringtones from a microSD card:

Transferring files to the microSD card through the phone using BitPim is very slow, users should transfer files to the card directly from a PC.

  1. On the microSD card, create a subdir called ringers
  2. Copy your ringtone files to the ringers subdir.
  3. Insert the card back into the phone and start BitPim.
  4. Retrieve Ringtone data from the phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Ringtone, and click on OK.
  5. Write Ringtone data back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Ringtone and Replace All, and click on OK.
  6. All of the ringtones stored on both the phone and the card are now available for assignment.

Step 3 through 5 should be repeated for all changes made to the ringers subdir.

Ringtones stored on the microSD card will not show up in the Ringers tab, since BitPim does not add or delete those files.

Manage Music Play Lists

To use this feature, perform the following steps:

  1. Make sure that the microSD card is in the phone.
  2. Retrieve the list of music files and play lists from your phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Play List, and click on OK.
  3. In BitPim, click on the Play List tab, and edit (and save) your play lists.
  4. Write the play lists back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Play List and click on OK.
  5. Verify your new play list data on the phone.

Notes:

  • BitPim will not write non-existent music file(s) (as part of a play list) to the phone.
Previous: Notes Up: LG VX-8500 Next: LG VX-8600


LG VX-8600

What works

Phonebook, wallpaper, ringers, calendar, memo, call history, SMS, Play List, and file system. BitPim can autodetect this phone if it is connected to the PC via a straight USB cable. BitPim can also make use of ringtone files stored on the microSD card.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Howtos Up: Phones Next: Cables


Cables

This phone was successfully tested with a USB data cable as part of the Verzion Music Essential Kit.

Previous: LG VX-8600 Up: LG VX-8600 Next: Notes


Notes

Phonebook

  • BitPim supports all phonebook features of this phone.

Calendar

  • BitPim now fully supports all calendar features of this phone.
  • For recurrent events, phone events have End Date and Repeat Until fields; when BitPim retrieves calendar data from the phone, it combines these 2 fields into the End Date field.

Ringtones

  • BitPim can make use of ringtone files stored on the microSD card, see section Howtos for more details.

Sounds, Wallpaper, and Video

  • BitPim can retrieve and save Sounds, Wallpaper, and Video media files from/to the phone memory and microSD card.

Music

  • BitPim can save music files to the phone memory or microSD card, though it would be very slow to transfer large files.

Music Play Lists

  • Users can now retrieve, manage, and save their music playlists from/to the phones. See section Howtos for more details.
  • Within each playlist, to keep the order of the songs as appeared in BitPim, sort them by dates on the phone.
  • When saving playlists to the phone, BitPim sets the Artist, Album, and Genre info of all songs to 'Unknown'.
Previous: Cables Up: LG VX-8600 Next: Howtos


Howtos

Access Ringtones from a microSD card:

Transferring files to the microSD card through the phone using BitPim is very slow, users should transfer files to the card directly from a PC.

  1. On the microSD card, create a subdir called ringers
  2. Copy your ringtone files to the ringers subdir.
  3. Insert the card back into the phone and start BitPim.
  4. Retrieve Ringtone data from the phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Ringtone, and click on OK.
  5. Write Ringtone data back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Ringtone and Replace All, and click on OK.
  6. All of the ringtones stored on both the phone and the card are now available for assignment.

Step 3 through 5 should be repeated for all changes made to the ringers subdir.

Ringtones stored on the microSD card will not show up in the Ringers tab, since BitPim does not add or delete those files.

Manage Music Play Lists

To use this feature, perform the following steps:

  1. Make sure that the microSD card is in the phone.
  2. Retrieve the list of music files and play lists from your phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Play List, and click on OK.
  3. In BitPim, click on the Play List tab, and edit (and save) your play lists.
  4. Write the play lists back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Play List and click on OK.
  5. Verify your new play list data on the phone.

Notes:

  • BitPim will not write non-existent music file(s) (as part of a play list) to the phone.
Previous: Notes Up: LG VX-8600 Next: LG VX-9800


LG VX-9800

What works

Phonebook, wallpaper, ringers, calendar, memo, call history, SMS, and file system. The SMS feature supports text messages only and will silently ignore other parts of the message. BitPim can autodetect this phone if it is connected to the PC via a straight USB cable. BitPim can also make use of wallpaper and ringtone files stored on the miniSD card.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Howtos Up: Phones Next: Cables


Cables

This phone was successfully tested with a straight USB data cable. It's the same cable used with the LG-VX8100.

Previous: LG VX-9800 Up: LG VX-9800 Next: Notes


Notes

Calendar

  • BitPim now fully supports all calendar features of this phone.

Filesystem

  • LG/Verizon appear to lock out access to the nvm sudirectory. Though it would show up under the Filesystem view, users will not be able to access its contents.

Ringtones

  • BitPim can make use of ringtone files stored on the miniSD card, see section Howtos for more details.
  • As far as I could determine, this phone supports up to about 150 ringtones (both on the phone and on miniSD card).
  • The ringtone formats include MIDI, QCP, SMAF, and MP3.
  • All ringtones added through BitPim would be stored on the phone.
  • BitPim can now retrieve and send My Sounds media files.

Video

  • BitPim can now retrieve video files shot from the phone. These files are retrieved along with the wallpapers files, and would show up under the Wallpaper tab with video origin.
  • The format of these video files is 3GPP2, which can be played on your PC with an appropriate software player.
  • Users can use BitPim to delete video files from the phone in a similar manner to wallpapers and ringtones.

Wallpapers

  • BitPim can make use of wallpaper files stored on the miniSD card, see section Howtos for more details.
  • By default, BitPim converts all wallpaper images to JPEG format.
  • The image resolution is 320x230 for the main display, and 320x198 for the outer display.
  • All wallpaper images added through BitPim would be stored on the phone.

MP3 Play Lists (fimware V2 only)

  • Users can now retrieve, manage, and save their mp3 playlists to the phones. See section Howtos for more details.
Previous: Cables Up: LG VX-9800 Next: Howtos


Howtos

Access Ringtones from a miniSD card:

Transferring files to the miniSD card through the phone using BitPim is very slow, users should transfer files to the card directly from a PC.

  1. On the miniSD card, create a subdir called ringers
  2. Copy your ringtone files to the ringers subdir.
  3. Insert the card back into the phone and start BitPim.
  4. Retrieve Ringtone data from the phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Ringtone, and click on OK.
  5. Write Ringtone data back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Ringtone and Replace All, and click on OK.
  6. All of the ringtones stored on both the phone and the card are now available for assignment.

Step 3 through 5 should be repeated for all changes made to the ringers subdir.

Ringtones stored on the miniSD card will not show up in the Ringers tab, since BitPim does not add or delete those files.

Access Wallpapers from a miniSD Card:

Transferring files to the miniSD card through the phone using BitPim is very slow, users should transfer files to the card directly from a PC.

  1. On the miniSD card, create a subdir called images
  2. Copy your wallpaper files to the images subdir.
  3. Insert the card back into the phone and start BitPim.
  4. Retrieve Wallpaper data from the phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Wallpaper, and click on OK.
  5. Write Wallpaper data back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Wallpaper and click on OK.
  6. All of the wallpapers stored on both the phone and the card are now available for assignment.

Step 3 through 5 should be repeated for all changes made to the images subdir.

Wallpapers stored on the miniSD card will not show up in the Wallpaper tab, since BitPim does not add or delete those files.

Manage mp3 Play Lists (V2 Only)

This feature only works if:

  1. You have firmware version 2.
  2. You're using a miniSD card to store (and play) your mp3 files.

To use this feature, perform the following steps:

  1. Make sure that the miniSD card is in the phone, and you can view and play your mp3 files off the card.
  2. Retrieve the list of mp3 files and play lists from your phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Play List, and click on OK.
  3. In BitPim, click on the Play List tab, and edit (and save) your play lists.
  4. Write the play lists back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Play List and click on OK.
  5. Verify your new play list data on the phone.

Notes:

  • BitPim will not write empty play lists to the phone.
  • BitPim will not write non-existent mp3 file(s) (as part of a play list) to the phone.
Previous: Notes Up: LG VX-9800 Next: LG VX-9900


LG VX-9900

What works

Phonebook, wallpaper, ringers, and file system. BitPim can autodetect this phone if it is connected to the PC via a straight USB cable. BitPim can also make use of wallpaper and ringtone files stored on the miniSD card.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Howtos Up: Phones Next: Cables


Cables

This phone was successfully tested with a USB data cable as part of the Verzion Music Essential Kit.

Previous: LG VX-9900 Up: LG VX-9900 Next: Notes


Notes

Filesystem

  • LG/Verizon appear to lock out access to the nvm sudirectory. Though it would show up under the Filesystem view, users will not be able to access its contents.

Ringtones

  • BitPim can make use of ringtone files stored on the microSD card, see section Howtos for more details.

Sounds, Wallpaper, and Video

  • BitPim can retrieve and save Sounds, Wallpaper, and Video media files from/to the phone memory and microSD card.

Music

  • BitPim can save music files to the phone memory or microSD card, though it would be very slow to transfer large files.
Previous: Cables Up: LG VX-9900 Next: Howtos


Howtos

Access Ringtones from a microSD card:

Transferring files to the microSD card through the phone using BitPim is very slow, users should transfer files to the card directly from a PC.

  1. On the microSD card, create a subdir called ringers
  2. Copy your ringtone files to the ringers subdir.
  3. Insert the card back into the phone and start BitPim.
  4. Retrieve Ringtone data from the phone:
    1. Menu Data -> Get Phone Data.
    2. Check on Ringtone, and click on OK.
  5. Write Ringtone data back to the phone:
    1. Menu Data -> Send Phone Data.
    2. Check on Ringtone and Replace All, and click on OK.
  6. All of the ringtones stored on both the phone and the card are now available for assignment.

Step 3 through 5 should be repeated for all changes made to the ringers subdir.

Ringtones stored on the microSD card will not show up in the Ringers tab, since BitPim does not add or delete those files.

Previous: Notes Up: LG VX-9900 Next: Motorola E815


Motorola E815

What works

Phonebook, calendar, ringtones, wallpapers, SMS support, phone info, and phone detection.

Contents

  • Notes

Previous: Howtos Up: Phones Next: Notes


Notes

The support for this phone is identical to that of the V710 including auto-detection. Please see the V710 Help for more details.

Previous: Motorola E815 Up: Motorola E815 Next: Motorola E815m


Motorola E815m

What works

Phonebook, calendar, ringtones, wallpapers, SMS support, and phone info.

Contents

  • Notes

Previous: Notes Up: Phones Next: Notes


Notes

The support for this phone is identical to that of the V710m. Please see the V710m Help for more details.

Phone Detection

Phone detection does not work for this model. It must be selected manually.

Previous: Motorola E815m Up: Motorola E815m Next: Motorola V3c


Motorola V3c

What works

Phonebook, calendar, ringtones, wallpapers, SMS support, phone info, and phone detection.

Contents

  • Notes

Previous: Notes Up: Phones Next: Notes


Notes

The support for this phone is identical to that of the V710 including auto-detection. Please see the V710 Help for more details.

Previous: Motorola V3c Up: Motorola V3c Next: Motorola V3cm


Motorola V3cm

What works

Phonebook, calendar, ringtones, wallpapers, SMS support, and phone info.

Contents

  • Notes

Previous: Notes Up: Phones Next: Notes


Notes

The support for this phone is identical to that of the V710m. Please see the V710m Help for more details.

Phone Detection

Phone detection does not work for this model. It must be selected manually.

Previous: Motorola V3cm Up: Motorola V3cm Next: Motorola V710


Motorola V710

What works

Phonebook, calendar, ringtones, wallpapers, SMS support, phone info, and phone detection.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Notes Up: Phones Next: Cables


Cables

This phone was successfully tested with a Motorola OEM straight USB data cable.

Previous: Motorola V710 Up: Motorola V710 Next: Notes


Notes

Phonebook

  • BitPim supports all phonebook features except for Mailing List entries. When reading contacts from the phone, BitPim will ignore all Mailing List entries. Similarly, when writing contacts to the phone, BitPim will also ignore all Mailing List entries. Support for Mailing List may be added to a future release as an improvement.
  • BitPim will set the first number on the list as the Primary number. If a contact has no numbers, then the first email will be set as the Primary. The order of the numbers and emails can be set from the Edit Phonebook Entry dialog.

Calendar

  • All recurrent events are open-ended. When viewed or edited from BitPim, the open-ended date would show as '4000-01-01'.
  • All recurrent events are automatically converted to have an interval of 1 (ie. an every-other-day-event in BitPim becomes an every-day-event in the phone, etc.)

Ringtone

  • BitPim can read ringtones from the phone.
  • BitPim can only replace the contents of existing ringtones on the phone. BitPim can neither add new ringtones to the phone, nor delete existing ones from the phone. See the Howtos section for more details.

Wallpaper

  • BitPim can read wallpapers from the phone.
  • BitPim can only replace the contents of existing wallpapers on the phone. BitPim can neither add new wallpapers to the phone, nor delete existing ones from the phone. See the Howtos section for more details.

SMS

  • BitPim retrieves and classifies SMS incoming messages as Inbox, sent outgoing messages as Sent, and unsent outgoing messages as Saved.
  • BitPim does not retrieve draft messages.
  • Some Sent and Saved messages may not have date time info. In those cases, the date time fields will be displayed as YYYY-MM-DD hh:mm.
  • BitPim does not save any SMS messages to the phone or send any messages through the phone.
Previous: Cables Up: Motorola V710 Next: Howtos


Howtos

Create your own ringtones

Since the stock V710 does not support transferring ringtone files directly to the phone, the work-around is to install a "placeholder" ringtone on the phone, and then replace or overwrite its content with your own ringtone. To create your own ringtones, do the following steps:
  1. Install one or more placeholder ringtones. There are many ways to do this. One quick way is to send an existing ringtone to a bogus number or email address. The send will fail, but the message is then saved in the Outbox, which allows you to save that same ringtone to a different name. As long as the saved message is available, you can re-save the same ringtone to many different names.
  2. In BitPim, Menu -> Data -> Get Phone Data ...
  3. From the Get Data from Phone dialog, check on Ringtone and click on OK. BitPim then retrieves the ringtones from the phone.
  4. Switch to the BitPim Ringers view, which should display a list of available ringtones recently retrieved from the phone.
  5. Select a placeholder ringtone, invoke the context menu by right clicking on the selection. From the context menu, select Replace.
  6. From the File Selection dialog, select your custom ringtone file.
  7. Depending on the format of your ringtone file, a Convert Audio File dialog may appear and allow you to convert, cut, and trim your ringtone into an mp3 clip. Click OK when you're satisfied with your clip. (To bypass this step, select Overwrite from the context menu instead).
  8. The content of the placeholder ringtone will then be replaced with your new clip.
  9. Repeat step 6 through 8 for other placeholder ringtones.
  10. When you're ready to send your custom ringtones to the phone, click on Menu -> Data -> Send Phone Data ....
  11. From the Send Data to Phone dialog, select Ringtone and click OK. BitPim then sends the newly "replaced" ringtones to the phone.

Create your own wallpapers

The process of creating your own wallpapers is similar to that of creating custom ringtones. The process would involve installing placeholder pictures, retrieving them from the phone, replacing their contents with your pictures, and sending them back to the phone. To create your own wallpaper, do the following steps:
  1. Install one or more placeholder pictures. Again, there are many ways to do this. One quick way is to take random pictures using the phone camera and optionally rename them as appropriate.
  2. In BitPim, Menu -> Data -> Get Phone Data ...
  3. From the Get Data from Phone dialog, check on Wallpaper and click on OK. BitPim then retrieves the pictures from the phone.
  4. Select a placeholder picture, invoke the context menu and select Replace.
  5. From the File Selection dialog, select your custom picture file.
  6. Depending on the format of your picture file, an Image Preview dialog may appear and allow you to convert, cut, and trim your picture into an JPEG clip. Click OK when you're satisfied with your clip. (To bypass this step, select Overwrite from the context menu instead).
  7. The content of the placeholder picture will then be replaced with your new clip.
  8. Repeat step 6 through 8 for other placeholder pictures.
  9. When you're ready to send your custom pictures to the phone, click on Menu -> Data -> Send Phone Data ....
  10. From the Send Data to Phone dialog, select Wallpaper and click OK. BitPim then sends the newly "replaced" pictures to the phone.
Previous: Notes Up: Motorola V710 Next: Motorola V710m


Motorola V710m

What works

Phonebook, calendar, ringtones, wallpapers, SMS support, phone info. This model is the same as the V710 with the OBEX capability turned on, which allows transferring and deleting of ringtones and wallpapersvia the USB interface. Phone detection of this model requires appropriate changes to the model name ,ie V710M vice V710; otherwise, it must be selected manually.

Contents

  • Notes

Previous: Howtos Up: Phones Next: Notes


Notes

OBEX File Transfer Capability

The V710m is basically the V710 with the OBEX feature enabled (Seem 041A, record 0001, bytes 007A, offset 006A, bit 0=1). This allows BitPim to transfer files from/to the phone using OBEX protocol via the USB data cable.

Phone Detection

To enable automatic detection, the internal phone ID must be updated (Seem 04FF, record 0001, bytes 0022, offset 0008="M"=0x4D). Otherwise, this model must be selected manually.

Ringtone

  • BitPim can read, add, delete, and replace ringtones on the phone.

Wallpaper

  • BitPim can read, add, delete, and replace wallpapers on the phone.
  • The image currentled selected as the phone's wallpaper may not be updated properly.
Previous: Motorola V710m Up: Motorola V710m Next: Samsung SCH-A930


Samsung SCH-A930

What works

Phonebook, calendar, ringtones, wallpapers, memo (notepad), call history, SMS, and phone detection.

Contents

  • Cables
  • Notes

Previous: Notes Up: Phones Next: Cables


Cables

This phone uses the same cable as the SCH-A950. It was successfully tested with a Samsung OEM straight USB data cable (Model: PCB113VBE) and a charging straight USB data cable on loan from RPI Wireless.

Previous: Samsung SCH-A930 Up: Samsung SCH-A930 Next: Notes


Notes

Firmware Version

  • The firmware version of the phone used for development & test is a930.ZC09
  • The hardware version is A930.06

Phonebook

  • The phone will ignore any entries with no numbers and no emails.
  • Groups (Categories) names cannot be added, changed, or deleted from BitPim, it must be done from the phone.

Calendar

  • BitPim supports up to 100 calendar events.
  • All recurrent events are open-ended. When viewed or edited from BitPim, the open-ended date would show as '4000-01-01'.
  • All recurrent events are automatically converted to have an interval of 1 (ie. an every-other-day-event in BitPim becomes an every-day-event in the phone, etc.)
  • The alert of an event can be set either to a ringtone or to vibrate, but not both.
  • BitPim cannot set the alert of an event to Light Only.
  • To assign a ringtone as an alert to an event, that ringtone must have previously been assigned to a phonebook contact or a calendar event.
  • In BitPim, users do not have access to the Reminder field of an event. When sending calendar data to the phone, BitPim sets the value of that field to Once for all events.

Ringtones

  • BitPim does not delete ringtones on the phone. You must delete them manually from the phone.
  • The limit of the size of a ringtone is arbitrarily set at 200,000 bytes. Exceeding this limit will display a warning. If you have a more accurate limit, please post it to the BitPim Users list.
  • BitPim will not be able to retrieve ringtones purchased with GIN.
  • BitPim will neither retrieve nor send ringtones from/to the microSD card.

Wallpapers

  • BitPim only saves wallpaper images to the 'Default Album'.
  • The default format is JPEG.
  • The default resolutions are:
    • wallpaper: 176x186
    • pictureid: 128x96
    • fullscreen: 176x220
  • BitPim will not be able to retrieve wallpapers purchased with GIN.
  • BitPim will neither retrieve nor send wallpapers from/to the microSD card.

Memo/Notepad

  • BitPim supports up to 30 notepad items.
  • The maximum length of a notepad item is 130 characters.
Previous: Cables Up: Samsung SCH-A930 Next: Samsung SCH-A950


Samsung SCH-A950

What works

Phonebook, calendar, ringtones, wallpapers, memo (notepad), call history, SMS, and phone detection.

Contents

  • Cables
  • Notes

Previous: Notes Up: Phones Next: Cables


Cables

This phone was successfully tested with a Samsung OEM straight USB data cable (Model: PCB113VBE) and charging straight USB data cable on loan from RPI Wireless.

Previous: Samsung SCH-A950 Up: Samsung SCH-A950 Next: Notes


Notes

Firmware Version

  • The firmware version of the loaner phone, which was used for development & test, is a950.YK24
  • The hardware version is A950.08

Phonebook

  • The phone will ignore any entries with no numbers and no emails.
  • Groups (Categories) names cannot be added, changed, or deleted from BitPim, it must be done from the phone.

Calendar

  • BitPim supports up to 100 calendar events.
  • All recurrent events are open-ended. When viewed or edited from BitPim, the open-ended date would show as '4000-01-01'.
  • All recurrent events are automatically converted to have an interval of 1 (ie. an every-other-day-event in BitPim becomes an every-day-event in the phone, etc.)
  • The alert of an event can be set either to a ringtone or to vibrate, but not both.
  • BitPim cannot set the alert of an event to 'Light Only'.
  • To assign a ringtone as an alert to an event, that ringtone must have previously been assigned to a phonebook contact or a calendar event.

Ringtones

  • BitPim does not delete ringtones on the phone. You must delete them manually from the phone.
  • The limit of the size of a ringtone is arbitrarily set at 100,000 bytes. Exceeding this limit will display a warning. If you have a more accurate limit, please post it to the BitPim Users list.
  • BitPim will not be able to retrieve ringtones purchased with GIN.
  • BitPim will neither retrieve nor send ringtones from/to the microSD card.

Wallpapers

  • BitPim only saves wallpaper images to the 'Default Album'.
  • The default format is JPEG.
  • The default resolutions are:
    • wallpaper:176x186
    • outsidelcd:128x96
    • fullscreen:176x220
  • BitPim will not be able to retrieve wallpapers purchased with GIN.
  • BitPim will neither retrieve nor send wallpapers from/to the microSD card.

Memo/Notepad

  • BitPim supports up to 30 notepad items.
  • The maximum length of a notepad item is 130 characters.
Previous: Cables Up: Samsung SCH-A950 Next: Samsung Phones


Samsung Phones

What works

Phonebook and calendar work on all supported Samsung phones. Wallpaper (and camera) and ringer support is model dependent.

FAQs and support

Please see the Model Specific Notes for manuals and other specific information about the various Samsung phones.

Contents

  • Cables
  • Notes
  • Model Specific Notes

Previous: Notes Up: Phones Next: Cables


Cables

Straight USB Charging cable

Drivers

Windows

USB Cables for Samsung phones require a driver. Windows drivers are available from FutureDial.

Linux

Samsung phones use the Linux "acm" driver. This driver will automatically install with most modern Linux distributions will show up as the device /dev/usb/ttyACM0 or similar. If the acm driver does not automatically get loaded, load it with /sbin/insmod acm while logged on as root.

Mac

Mac OS X has drivers builtin.

Previous: Samsung Phones Up: Samsung Phones Next: Notes


Notes

Your text here
Previous: Cables Up: Samsung Phones Next: Model Specific Notes


Model Specific Notes

SPH-A620 (VGA1000), SPH-A660, SPH-A740, SPH-A840 (Sprint)

BitPim can read and write the phonebook and calendar. Wallpaper and ringers can be read and written to the phone. For phones with cameras, pictures and videos are read with the wallpaper.

Many of these Samsung models are also available from carriers other than Sprint in the Americas. While these phones are not officially supported by BitPim, many of the capabilities may work. In many cases, the phonebook and calendar can be transferred, but media (photos, wallpaper, ringers) transfer does work.

These phones have a limit of 300 numbers, urls and emails. There is an internal counter of numbers, urls of emails. This counter can become corrupted (particularly in BitPim version 0.7.26), such that the phone thinks that there are more numbers on the phone than there actually are. This then limits how many numbers can be saved to the phone. The only way to reset this counter to a correct value is to wipe the phonebook and rewrite it. The phonebook can be wiped using an option in the phones security menu. Make sure you have good backup of the phonebook.

Ringer and wallpaper assignments for phonebook entries are not preserved when writing the phonebook to the phone.

  • SPH-A620/VGA1000 product page
  • Manual

SPH-A840 on Telus (Canada)

BitPim supports the phonebook and calendar on this phone. Groups are not read or restored. Email addresses and "Other" entries are not saved to the phone. The default number for a given contact may sometimes change on saving the phonebook.

SPH-A460

BitPim can read and write the phonebook and calendar on this older Sprint phone. The phone does not support up/downloading of ringtones and wallpaper and does not have a filesystem. The phone can go into an odd state after writing the phonebook to the phone. The internal LCD screen may be blank even though the phone is on. Power cycling the phone may be sufficient to restore the phone to normal operation. If this doesn't help, remove and replace the battery.

SPH-N400

Only reading the phonebook is supported for this phone.
Previous: Notes Up: Samsung Phones Next: Sanyo Phones


Sanyo Phones

Unless otherwise specified, only Sanyo Phones issued by Sprint PCS are supported by BitPim

What works

The phonebook and calendar are supported on the SCP-4900, RL-4920, SCP-5300, SCP-5400 (RL2500), SCP-5500 (VM4500), SCP-7200 (RL2000), SCP-7300 (RL7300), MM-7400, SCP-8100 (Sprint and Bell Mobility versions), PM-8200 and MM-8300. The filesystem on all of these phones, except for the MM-8300 is supported.

Transfer of wallpapers and ringers from the phone to BitPim is supported for the RL-4920, SCP-5400, SCP-5500, SCP-7300, MM-7400, SCP-8100, PM-8200 and MM-8300. BitPim will also transfer camera pictures from the SCP-5500, MM-7400, SCP-8100, PM-8200 and MM-8300

Wallpaper/camera/ringer transfers from the phone to BitPim are not supported for the SCP-4900, SCP-5300 and SCP-7200 as these phones do not have this capability.

BitPim can transfer ringers and images to all supported Sanyo phones. Only PNG and MIDI files may be sent to the phones. QCP and other format ringers can not be transferred to the phone. This is a limitation of the phone, not BitPim. See the Ringer/Wallpaper section of the Sanyo notes for further information.

FAQs and support

Please see the Model Specific Notes for manuals and other specific information about the various Sanyo phones.

Contents

  • Cables
  • Notes
  • Model Specific Notes

Previous: Model Specific Notes Up: Phones Next: Cables


Cables

The Sanyo VI-2300, SCP-3100, SCP-4900, SCP-5300, SCP-5400 (RL2500), SCP-5500 (VM4500), SCP-6600 (Katana), SCP-7200 (RL2000), SCP-7300 (RL7300), SCP-7400, SCP-7500, SCP-8100, PM-8200 and MM8300 all use the same straight through USB cable. The following cables have been tested by the BitPim developers and work with BitPim. Other straight through USB cables for Sanyo phones may also work.

RPI Wireless charging cable

This cable, available from RPI Wireless will charge the phone as well as act as a data cable.

Futuredial cable

The cable from FutureDial has the product ID CSAYM03-03.

Drivers

Windows

These cables require a driver. Drivers may be downloaded either from Sanyo, FutureDial, or DataPilot (Go to "Downloads" and then download the "Motorola/Sanyo Phone Driver"). Most phones will work with any of these drivers, but newer phones such as the SCP-3100, SCP-6600 (Katana) only work with the DataPilot driver.

Linux

Older Sanyo phones use the Linux "acm" driver with this cable. This driver will automatically install with most modern Linux distributions will show up as the device /dev/usb/ttyACM0. If the acm driver does not automatically get loaded, load it with /sbin/insmod acm while logged on as root.

The newer SCP-3100, SCP-6600 and SCP-7500 require direct Direct USB access instead of the acm driver.

Mac

Mac OS X has drivers builtin.

Previous: Sanyo Phones Up: Sanyo Phones Next: Notes


Notes

Sanyo Phone Notes

While the various Sanyo phones have different form factors and some have cameras, they all share a similar phonebook and calendar structure.

Writing to phonebook

When BitPim reads phonebook or calendar information from the phone, the display on the phone will look as it normally does. However, when phonebook data is being sent to the phone, the display will show this or something similar (model dependent):

Service required. Please call 1-888-211-4727 for assistance.

This is normal, do not interrupt BitPim or disconnect the cable until the transfer is done. When the transfer is done, the phone will be rebooted:

Phonebook Notes

The various fields have maximum lengths when writing to the phonebook. Currently if you edit a value to be longer than the maximum field length, they will be silently truncated. Here are maximum field lengths as used on the 4900, 5300 and 8100.

Name | 16
Home # | 49
Office # | 49
Mobile # | 49
Pager # | 49
Data # | 49
Fax # | 49
Other # | 49
Email | 49
Url | 49
The SCP-5500 has the same fields, but the sizes of the fields are different. These phones can hold phone numbers for up to 300 names. The official literature for the phone indicates that up to 500 phone numbers can be held in the phone, far less than 300×7=2100. The 500 number limit comes from a lookup buffer used by the phone to display the name and use custom ringers and wallpapers based on caller ID. BitPim will happily load up to 2100 numbers into the phone, but the caller ID stuff will only work for the first 500 numbers loaded. Also, it is unknown how the on-phone phonebook editor will function when one tries to add or remove phone numbers.

These phones do allow entries without a phone number, email or url.

The phones have a built in voice dialing capability. At present, BitPim does not handle voice dial data or assignments when reading or writing to the phone.

Calendar

The phones have a built in calendar that can hold up to 100 events. Each event has a description and a location, each of which can be up to 14 characters long. The calendar holds the start time, start time, and the time that an alarm will go off to remind one of the event. The alarm can either be either a beep, a female voice that says "Check your schedule" or a silent alarm. The event can also be set to repeat daily, weekly, monthly, or yearly.

When BitPim reads the calendar from the phone, the description and location are concatenated with a "/" placed between them. When writing the calendar to the phone, if a BitPim calendar description contains a "/", then the text after the slash is written to the location field on the phone.

This phone can also hold up to 15 "Call Alarm" entries. These work like events, but instead hold a phone number and intended to remind the owner to call a particular phone number at a particular time. BitPim also reads these alarms into the BitPim calendar. On writing to the phone, calendar entries that "look like" a phone number are written to the call alarm entries on the phone.

At present, BitPim does not check if limits on the number of entries that can be held by the phone are exceeded. The behavior of BitPim when writing more than 100 events or 15 call alarms is unpredictable.

Call History

The phone maintains a call history for outgoing, incoming and missed calls. The time, phone number, and name of the last 20 calls in each category are saved. Support for reading these call logs into BitPim is planned for a future release.

Ringer/Wallpaper

BitPim will read ringer, wallpaper and camera images from the RL-4920, SCP-5400, SCP-5500, SCP-7300, SCP-8100, and PM-8200.

Wallpaper and ringers may be transferred to any supported Sanyo phone. The upload capability is limited to PNG and MIDI files. This is a limitation imposed by Sanyo phones. The phone can hold approximately 6 ringers and 11 wallpaper images. (These limits may vary by phone model.) The uploaded media are visible on the phone through the "PC Sync" menu and will not appear in the "Downloads" menu. The uploaded media can be assigned to names in the phonebook.

The media upload support on the Bell Mobility (Canada) version of the SCP-8100 is crippled. Media may be transferred to the phone, but it is not clear if the wallpaper and ringers can be assigned to phonebook entries or viewed on the phone.

Sanyo Error Codes
When trying to send media files to a Sanyo phone, the phone will sometimes reject the file and BitPim will report a numerical error code. These errors codes will be displayed in the Log pane. Some of the reasons for an error are:
  • Invalid file type: Sanyo phones only accept PNG wallpapers and MIDI ringers. Other file types, such as QCP ringers, will not be accepted. (This is a limitation of the phone, not BitPim.)
  • Too many files on phone: If too many wall paper or ringer files have been transferred, some will need to be deleted through the PC Sync menu on the phone. BitPim does not have the capability to delete or overwrite media files on Sanyo phones.
  • File too large: Sanyo phones appear to have a image file size limit of 16K bytes. Ringer files have a similar limitation, although it is reported that some phones allow one larger MIDI file.
BitPim does attempt to make image files meet the size limitations of the phone by reducing image quality in order to make the file fit on the phone.

The ability to write ringers and wallpapers to Sanyo phones has many limitations. It is recommended to use the internet capabilities of the phone to load sounds and graphics.

Previous: Cables Up: Sanyo Phones Next: Model Specific Notes


Model Specific Notes

SCP-3100

This phone only is known to work with the driver from DataPilot.

The filesystem is not available on this phone and BitPim currently does not support downloading of photos from the phone.

SCP-4900

To transfer wallpaper and ringers to this phone, the phone must be placed in "PC Sync" mode before such transfers will work. To enter PC Sync mode, choose "Tools/Extras" in the phone's menu, followed by "PC Sync" and "PC Sync Mode".

  • The Sanyo 4900 Users' Manual contains substantially more information about operating the phone than the manual that comes in the retail packaging.
  • The Sanyo 4900 Specifications is a two page flyer that summarizes the features of the phone.

RL-4920

The RL-4920 is a bar phone that supports ReadyLink(tm), Sprint's "Walkie-Talkie" service.

  • RL-4920 User's Guide
  • RL-4920 Specifications

SCP-5300

The SCP-5300 is a flip phone with a built-in camera.

To transfer wallpaper and ringers to this phone, the phone must be placed in "PC Sync" mode before such transfers will work. To enter PC Sync mode, choose "Tools/Extras" in the phone's menu, followed by "PC Sync" and "PC Sync Mode".

There is no known method of reading pictures from the 5300's camera using the data cable. Camera pictures can only be transferred using Sprint's Vision service.

  • Sanyo 5300 User's Manual
  • Sanyo 5300 Specifications

SCP-5400

The SCP-5400, also known as the RL2500 is a flip phone which supports ReadyLink.

  • SCP-5400 User's Guide
  • SCP-5400 Specifications

SCP-5500

The SCP-5500, also known as the VM4500 is a flip phone with a built-in camera that supports ReadyLink. It is possible to take still pictures and video with this camera.

  • VM4500 User's Guide
  • SCP-5500 Specifications

MM-5600

The MM-5600 is a 1.3 MegaPixel Camera phone with a removable memory card. When connected to a computer with a USB cable, the phone can be accessed with several different protocols. To use the phone with BitPim, select the "Standby" option in the USB Connection menu.

SCP-6600

The SCP-6600 (Katana) is a thin flip phone with VGA camera. BitPim current supports read/write of the calendar, and reading of wallpaper (and camera images), ringers, call history and messages.

BitPim does not have support for reading or writing the Katana phonebook. However, contacts can be retrieved using the software usually included with Bluetooth devices. To send contacts from BitPim to the phone, select "vCards..." from the "File/Export" menu. In the vCard dialog, select the "Sanyo SCP-6600 (Katana)" dialect. The resulting "vcf" file can then be sent to the phone with Bluetooth. See the Katana Users Guide for more information on using Bluetooth with this phone.

SCP-7200

The SCP-7200, also known as the RL2000 is a rugged phone which supports ReadyLink.

To transfer wallpaper and ringers to this phone, the phone must be placed in "PC Sync" mode before such transfers will work. To enter PC Sync mode, choose "Tools/Extras" in the phone's menu, followed by "PC Sync" and "PC Sync Mode".

  • SCP-7200 User's Guide
  • SCP-7200 Specifications

SCP-7300

The SCP-7300, also known as the RL7300 is a rugged flip phone which supports ReadyLink.

  • SCP-7300 User's Guide
  • SCP-7300 Specifications

SCP-8100

The SCP-8100 is a flip phone with a built-in camera.

  • Sanyo 8100 User's Manual
  • Sanyo 8100 Specifications

SCP-8100 (Bell Mobility)

Bell Mobility, which covers parts of Canada, offers the Sanyo SCP-8100. This phone, while functionally similar to the Sprint 8100, has different firmware, so it is important to the "SCP-8100 (Bell Mobility)" in the settings menu when using this phone.

It has been reported that this version of the 8100 has media uploads crippled. It is possible to transfer wallpaper and ringers to the phone, however, these media files can not be viewed or assigned to contacts. Because media transfered to the phone over the cable can not be used, BitPim will not transfer images and ringers to this phone.

PM-8200

The PM-8200 is a flip phone with a built-in camera that supports ReadyLink.

  • PM-8200 User's Guide
  • Sanyo PM-8200 Specifications

MM-8300

The MM-8300 is a flip phone with a built-in still/video camera that supports ReadyLink. The filesystem is not available on this phone.

  • MM-8300 User's Guide
  • Sanyo MM-8300 Specifications
Previous: Notes Up: Sanyo Phones Next: Toshiba VM-4050


Toshiba VM-4050

What works

Phonebook read and write (no support for speeddials). BitPim can autodetect this phone if it is connected to the PC via USB.

Contents

  • Cables

Previous: Model Specific Notes Up: Phones Next: Cables


Cables

You can buy from e-bay and other on-line stores. All bitpim testing and development was done with a straight through USB cable supplied by 3gcables.com.

Picture reproduced with permission of the copyright owner, 3gcables.com

Previous: Toshiba VM-4050 Up: Toshiba VM-4050 Next: Other Phones


Other Phones

BitPim is intended to support multiple phones, but the main authors only have a limited subset of phones. Support for other phones depends on others contributing.

I believe that most recent CDMA phones will work for the filesystem view, but none of the other features will.

Previous: Cables Up: Phones Next: BitFling


BitFling

BitFling is a way for BitPim to run on one machine and your phone to be connected to a different machine, even across the Internet. It uses a protocol over a secure connection to ensure this is safe.

  • Configuring BitFling
  • Configuring BitPim to use BitFling
  • Security Considerations

The technical details are that the BitFling protocol uses XML-RPC over an SSH connection. The SSH connection is provided by the Paramiko library. The only channel present is for BitFling. There is no shell access or port forwarding implemented or permitted.

Previous: Other Phones TOC: Table of Contents Next: Configuring BitFling


Configuring BitFling

When you first start BitFling, it will generate a certificate for your machine. It then displays an icon in the system tray (for Windows) or a draggable icon for Linux and Mac. If you click on the icon, a window appears that allows you to configure BitFling as well as view the log etc.

You should then add authorized users. It is recommended that you use their email address as the username and allocate a password. Then you need to set what addresses they can connect from. They may be able to tell you what addresses, or you need to find out.

To find out, tell them to try to connect and then examine your log. You should see a line something like:

  17:10:38.546: No defined users for address ('192.168.1.25', 39480)

The numbers in quotes 192.168.1.25 are the address the connection tried to come from. For the more advanced users, you can also put in wildcards (eg 192.168.1.*) as well as DNS names (with no wildcards, such as machineA.example.com)

The expires field is not used and will be removed.

In the future you will be able to limit what devices can be accessed in the lower pane.

Advanced Configuration

To alter the settings, edit the configuration. On Windows, this is the registry HKEY_CURRENT_USERSoftwareBitFling and on Linux and Mac is .bitfling in your home directory.

The following configuration directives are available:
Key | Default | Description
certificatefile | .bitfling.key in your home directory (Linux, Mac) or My Documents (Windows) | Where the certificate for your machine is stored. If one is not present when BitFling starts, it will generate a new certificate.
bindaddress | "" (Empty string, all interfaces) | This is the interface to bind to. If you have multiple network interfaces in your machine, you can make BitFling only use one of them.
port | 12652 | An integer for what port number to use

Previous: BitFling Up: BitFling Next: Configuring BitPim to use BitFling


Configuring BitPim to use BitFling

You configure access to BitFling in the settings dialog. Click on the settings for BitFling.

You should have been given a username and password from when the other end of BitFling was setup. The username is typically your email address.

You will need to specify what host to contact and change the port number if necessary.

The click on Test. You will see a dialog asking you to confirm the fingerprint of the certificate of the other end. You should have received the fingerprint information from whomever setup BitFling.

You should then get a success message which includes the version number of the remote end. If you get an error message you will need to track down the problem. You may need who's ever is running BitFling to look in its log tab.

You can then tick the Enable box in the settings dialog. Go into the com port browser and you will see the ports available via BitFling. They are listed after the Inoperable Ports. If you select "Auto" for your port, it will not include the BitFling ports. You need to manually select a BitFling port if you want to use one.

Previous: Configuring BitFling Up: BitFling Next: Security Considerations


Security Considerations

BitFling has not had a code audit/review. It is written using a language that is resistant to attacks (Python) and uses existing protocols and toolkits. However nothing is perfect and you get no warranty or guarantee of security.

BitFling has builtin firewalling and will immediately close all connections if there are no defined users for the source address.

There is currently no limiting to what ports can be opened via BitFling by an authenticated user. Unauthenticated users can't get that far.

If someone gets hold of your certificate file, they can pretend to be your machine and people on the other end will not be able to tell the difference. You should also ensure the fingerprint is securely transmitted, otherwise bad guys can pretend to be your machine and transmit the fingerprint for their certificate.

On the BitFling side, the password is stored as a secure hash. It is not possible to recover the original password, although it is possible to check if a particular password is the original password.

On the BitPim side, the password is stored obfuscated and the full original password can be obtained.

If a bad guy can get access to your BitFling machine as your user, then they can reconfigure BitFling to allow anyone access. If they can access your BitPim machine as you then they can recover the password you use for BitFling. (Mind you that will be the least of your worries).

If you are experienced in security, we always appreciate more eyes looking at the design, documentation and implementation.

Previous: Configuring BitPim to use BitFling Up: BitFling Next: Frequently Asked Questions


Frequently Asked Questions

Various questions come up regularly, so their answers are placed here:

  • My phone is not in the list
  • Which features will BitPim support of my phone?
  • When will you support my phone?
  • I get a Brew File Locked exception
  • What are the memory limits of my phone
  • Why do you do this stupid thing with my phone?
  • I get an IntegrityCheckFailed exception on my LG phone
  • How do I bypass the Image Preview/Conversion Dialog?
  • How do I bypass the Convert Audio File Dialog?
  • I do not have the Send Phone Data memu item?
  • What do those colors of the color-coded field names mean?
  • What are the differences between the Replace All and Add option when saving ringtones/wallpapers to the phone?

Previous: Security Considerations TOC: Table of Contents Next: My phone is not in the list


My phone is not in the list

You should select your exact phone in the list, and if it isn't present then select Other CDMA Phone.

Picking "similar" phones means you are experimenting and could end up with problems such as your phone locking up with a worst case of it becoming completely inoperable. Different models from the same manufacturer usually have gratuitous differences. Note that in some cases manufacturers ship a phone with the same model number to different carriers, but internally they are very different. If there is a carrier listed, only select the model if your carrier is listed with the model.

The best action to take is to get your phone supported. You either need to do this on the developer group which requires some developer/technical skills, or get us a phone.

Phones the developers have
Loaning a phone
When will you support my phone

Previous: Frequently Asked Questions Up: Frequently Asked Questions Next: Which features will BitPim support of my phone?


Which features will BitPim support of my phone?

It is our intention to support every feature of every phone. The features and phones supported depend on access to the phones, developer priorities, information and time available. There is no formal plan, so the answer is "whenever a developer gets round to it". If you would like it sooner than that then help.

Previous: My phone is not in the list Up: Frequently Asked Questions Next: When will you support my phone?


When will you support my phone?

It is our intention to support every feature of every phone. Note that there is absolutely no documentation for most of the phones out there. The developers have to sit there and work it all out, which can take a considerable amount of time. In many cases the phone vendor only ever intended for the phonebook to be accessed and nothing else, so we have to work out techniques to reliably access the other features. Most of the phones also have various bugs and quirks we have to identify and work around.

The features and phones supported depend on access to the phones, developer priorities and time available. There is no formal plan, so the answer is "whenever a developer gets round to it, and has access to a phone".

In general if we don't have access to the phone, it will take a long time. You can see the list of phones supported and what the developers have on the phones page. You can speed things up by loaning a phone to the developers (buy them on eBay). Details.

Previous: Which features will BitPim support of my phone? Up: Frequently Asked Questions Next: I get a Brew File Locked exception


I get a Brew File Locked exception

Locked files are that way for two reasons. (Note it is the phone that has locked them, not BitPim). One is because their presence is fundamental to the operation of the phone, and if they were deleted would cause the fail to be unable to boot or operate. That covers files containing the ESN and stuff like that.

The other reason seems to be that the file is in use by a program running on the phone. There are usually all sorts of programs running such as SMS listeners, schedulers, contacts etc.

I believe there is a filesystem command to unlock files, but I haven't had the time to look into it.

So consider the whole thing a warning from your phone that they don't want you to change those files by directly overwriting them.

Can't I just offline my phone?

Taking the phone offline just means no unexpected external events will happen. For example if the phone wasn't offline and a phone call came in, the phone would have to look in your contacts to display the caller. If BitPim were busy updating the contacts then the display code may look at incomplete information and worst case crash. So the phone manufacturer just solves that problem by requiring the phone to be offlined while changes are made, and usually require a reboot afterwards since they don't want to deal with the internal programs re-reading the updated data.

Previous: When will you support my phone? Up: Frequently Asked Questions Next: What are the memory limits of my phone


What are the memory limits of my phone

There are two limits. One is fixed limits in various tables and indices. That would for example be 500 phone numbers on some phones and 30 wallpapers on other phones. BitPim always works within these numbers, such as only writing the first 500 phonebook entries or the first 30 images. Most are also part of the phone spec - see that at www.phonescoop.com or your phone manufacturers website. If neither phonescoop nor your manufacturer document some limits that matter to you then please post to the bitpim-user mailing list and we'll endeavour to add it to the documentation.

The bigger problem is that there is a finite amount of filesystem space and that space is used by phonebook entries, SMS messages, wallpapers, call history, PRLs and just about everything else. Your limit would be the combination of the two - whichever is hit first.

I have not been able to find a command that will list the amount of free filesystem space. Consequently there is no way of knowing if you are about to hit that limit. That is why the existing documentation is vague and just tells you to be careful. In the few trials I have done filling up the filesystem the phone stops responding after the write that fills it, making it hard to recover programmatically.

There is a command to find out the size of the filesystem. The obvious algorithm would then be to sum the size of all the existing files and subtract. For every phone I tried, the existing files were larger than the filesystem size! Presumably this is because it does some scheme like in Windows CE where some files are actually in ROM and presented as being present in writable space. I even checked out the BREW developer forums, and the advice there was to create a file and fill up the filesystem and then you would know how much space there was. Unfortunately that won't work over the cable.

Here are the sizes of the embedded filesystem for some phones. Note that there are already many files stored there.

Model | EFS size
LG VX-4400 | 1.5MB
LG VX-6000 | 6MB
LG VX-7000 | 38MB
LG VX-8000 | 100MB
Previous: I get a Brew File Locked exception Up: Frequently Asked Questions Next: Why do you do this stupid thing with my phone?


Why do you do this stupid thing with my phone?

Users frequently ask why BitPim picks particular formats or does particular actions on phones, especially since some users think they are less efficient or even stupid. One example would be using BMP as the image format for LG VX6000 phones instead of JPG which the phone appears to support.

The reason is that the BitPim developers have thoroughly investigated the actual details. Our goal is for things to "just work". We thoroughly test our decisions and the alternatives. This includes taking the phone beyond normal usage limits (eg what happens if every field is filled in for a phonebook, what happens if we preview an image in all functionality of the phone such as wallpaper, sending it, deleting it etc)

If you think it could be done better, we would love to know! However please make sure you thoroughly test your suggestions against all the relevant functionality of your phone, and that you do it with a wide variety of examples. The BitPim developer code includes a test data generator that may be help. Let us know if you would like to work with that or need it extended.

And the reason for the use of BMP instead of JPG on the LG VX6000 is because although JPG images preview fine, the phone doesn't set them correctly as wallpaper.

It is usually preferable that you do your investigative work using the BitPim source code. In many cases you can just change one line of code. For example to make the LG VX6000 use jpg instead of bmp as the format, you can edit one line near the bottom of com_lgvx6000.py. Get started with the code!

Previous: What are the memory limits of my phone Up: Frequently Asked Questions Next: I get an IntegrityCheckFailed exception on my LG phone


I get an IntegrityCheckFailed exception on my LG phone

LG phones store their phonebook data in a way that makes it easy to synchronise and in particular tell if an entry is new or just changed. It does this by attaching a unique serial number to an entry. If you edit the entry, this number remains the same. If you create a new entry then it assigns a new number.

For example if you change an entry name from "Lauren Smith" to "Lauren Jones" and a work phone number (such as if they got married and a new job) then sync software can tell it is the same person and not a new entry. Sync software can also tell when entries have been removed. This also helps distinguish people. For example you may know two people named Tom Jones and sync software can the difference between there being two people or one person whose details get changed.

The numbers are allocated by the phone, starting from one. Erasing all your entries does not reset it back to one.

There is some sync software (notably that used in Verizon stores) that does not talk to the phone correctly. It transfers entries to the phone, but doesn't do so correctly and leaves the phone with entries with a higher serial number than the next one the phone will hand out to software that does synchronize properly.

Later on, as other software such as BitPim does correctly sync with the phone, the phone allocates new serial numbers that overlap those of entries already on the phone. You then end up with multiple entries with the same serial number.

When reading from the phone, BitPim will detect when entries have the same serial number, list which ones they are and refuse to read the phonebook into BitPim since the data on your phone is corrupt.

In order to recover you must erase the phonebook on the phone using the phone menus to do so. You can do this by doing Settings & Tools, System, Security, (your lock code is the last 4 digits of your phone number by default), Erase Contacts.

You will want to make sure you have written down or have all your contacts information in BitPim or some other program. You can also get some data from your phone. When BitPim lists entries with duplicate serial numbers, delete all but one of the entries. Repeat this until the phoneback can be successfully read and then reenter the entries you erased into BitPim. Erase the phonebook on the phone and then sync from BitPim.

Why not make BitPim fix the corrupted data?

You are welcome to contribute code that does so. It was other programs that corrupted the data in the first place so they really should be the ones fixing this.

I can see various files on my phone and can hack things that way

That is exactly likely what the programs that corrupted things did in the first place. This is why BitPim always tries to use the correct protocol as intended by the handset manufacturer since that will do all the necessary updates and tracking of relevant files and information for that phone. We only directly manipulate the phone internals when there is no other way provided by the manufacturer, and are very careful when we do so. The integrity of the data on the phone is more important to us than only getting a tickbox for a particular model in order to sell the program.

Previous: Why do you do this stupid thing with my phone? Up: Frequently Asked Questions Next: How do I bypass the Image Preview/Conversion Dialog?


How do I bypass the Image Preview/Conversion Dialog?

When a user adds an image to the Wallpaper tab, BitPim resizes and converts the source image into a Wallpaper image suitable for a specific phone model via the Image Preview Dialog. To bypass this dialog, press and hold the Shift key and click on the Add button (Shift+Add). Of course, users are then responsible for ensuring that those images are suitable/compatible with their phones.

Previous: I get an IntegrityCheckFailed exception on my LG phone Up: Frequently Asked Questions Next: How do I bypass the Convert Audio File Dialog?


How do I bypass the Convert Audio File Dialog?

To bypass the Convert Audio File dialog, press and hold the Shift key and click on the Add button (Shift+Add).

Previous: How do I bypass the Image Preview/Conversion Dialog? Up: Frequently Asked Questions Next: I do not have the Send Phone Data memu item?


I do not have the Send Phone Data memu item?

Make sure that the Read Only option in the Settings dialog is turned off.

Previous: How do I bypass the Convert Audio File Dialog? Up: Frequently Asked Questions Next: What do those colors of the color-coded field names mean?


What do those colors of the color-coded field names mean?

The color-coded field names indicate their applicability to the current selected phone model. The meanings of the colors are:

  • Blue: This field is applicable to the current phone model.
  • Red: This field is not applicable to the current phone model.
  • Black: The applicability of this field to the current phone model is unknown.
Previous: I do not have the Send Phone Data memu item? Up: Frequently Asked Questions Next: What are the differences between the Replace All and Add option when saving ringtones/wallpapers to the phone?


What are the differences between the Replace All and Add option when saving ringtones/wallpapers to the phone?

In general, the Add option does the followings:

  1. Update (overwrite) the contents of existing media files from BitPim to the phone if they're different (or more accurately: if the file sizes are different).
  2. Copy new media files from BitPim to the phone (those files that exist in BitPim but not the phone).

In general, the Replace All option does the followings:

  1. Update (overwrite) the contents of existing media files from BitPim to the phone if they're different (or more accurately: if the file sizes are different).
  2. Copy new media files from BitPim to the phone (those files that exist in BitPim but not on the phone).
  3. Delete all media files from the phone that are not in BitPim.
Previous: What do those colors of the color-coded field names mean? Up: Frequently Asked Questions Next: About BitPim


About BitPim

  • License and Warranty
  • 3rd party components and licenses
  • Upgrading
  • BitPim versioning scheme
  • Version History
  • Contributing to BitPim
  • Future Plans
  • Contacts
  • Support
  • No support on bitpim-user
  • Credits

Previous: What are the differences between the Replace All and Add option when saving ringtones/wallpapers to the phone? TOC: Table of Contents Next: RPI Wireless


License and Warranty

BitPim is distributed as open source and free software under the GNU General Public License. Please see the LICENSE file in the source for specifics.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

There are no warranties as stated above (ie this software may damage your phone). This software is in no way associated with Audiovox, LG Electronics, Qualcomm, Samsung, Sanyo, Sprint, Verizon Wireless or any other handset manufacturer or wireless carrier. It has not been certified or endorsed by them, nor was it written using information directly supplied by them.

Previous: RPI Wireless Up: About BitPim Next: 3rd party components and licenses


3rd party components and licenses

This software would not be possible without a number of other components. These components are included with the BitPim binary distribution and are under licenses and warranties separate than that of BitPim. Redistribution of these components is compatible with the BitPim license.

  • Python programming environment (License)

  • wxPython graphical toolkit for Python. wxPython in turn uses wxWidgets (License)

  • pySerial Python serial communications package. (License)

  • Python-DSV Python library for working with delimiter separated files (such as CSV) (License)

  • libusb Libusb is used for interacting with USB on Linux and Mac. On Windows the derived project libusb-win32 is used. The portion shipped with BitPim is under the LGPL

  • Paramiko SSH implementation (LGPL license) which uses pycrypto (License) for the actual cryptography.

  • APSW (License) Python wrapper for SQLite (Public Domain)

  • usb.ids data file from the Linux-USB project is used to map USB vendor and product names to strings. (No license is listed).

  • pngtopnm, ppmquant, and pnmtopng executables from the netpbm project are used. The binaries, located in the helpers directory, are taken from netpbm builds for the Gallery project and have no source code changes. (Licensed under a combination of the Artistic, GNU General Public License, and MIT licenses)

  • Various recipes from the ASPN Python Cookbook which are under the BSD License

  • (On Windows) win32all Windows Python extensions (License)

  • (On Windows) ffmpeg Audio/Video tool. The ffmpeg executable is included in the helpers directory, and has no source changes. LGPL license

  • (On Windows) InnoSetup Windows installer (License)

  • (On Windows) py2exe program to convert scripts to standalone executables (License)

  • (On Linux) cx_Freeze packaging tool (License)

  • (On the web) Destroy Drops Javascript Tree used to show the help contents on the web copy of the online help.

  • (On the web) Icons from awstats are used for the different operating systems.

  • Icons from Tango Desktop Project are used for some of the toolbar icons.

  • Some icons used in BitPim were created using GIMP.

Additionally a number of other tools are used, but not shipped with BitPim

  • The online help in BitPim is authored using HelpBlocks. They generously donated a copy of the software for this purpose.

  • The project is managed on SourceForge at http://sourceforge.net/projects/bitpim/

  • The SWIG tool is used to generate Python wrappers for native C/C++ code

  • The GNU Compiler Collection is used to compile native code on Windows (MinGW), Linux and Mac

Previous: License and Warranty Up: About BitPim Next: Upgrading


Upgrading

Note The current versions of 0.7 development series do not upgrade the 0.6 data. You need to delete the data before running 0.7. As 0.7 nears it final release code will be added to do the upgrade.

Windows

You can safely upgrade to newer versions of BitPim. When downgrading to older versions, please uninstall the newer versions first. You must also delete the contents of the data directory as the older versions do not understand the newer data formats - default My Documents\BitPim

Linux

Install newer and older RPMs as you see fit. When downgrading from older versions, you must also delete the contents of the data directory as the older versions do not understand the newer data formats - default $HOME/.bitpim-files

Mac

You can run whichever version of the dimg you want. If you run an older version than the one you ran previously, then delete the data directory - default $HOME/.bitpim-files

Previous: 3rd party components and licenses Up: About BitPim Next: BitPim versioning scheme


BitPim versioning scheme

BitPim uses a versioning scheme common with many other open source projects such as the Linux kernel.

MAJOR.MINOR.RELEASE

The major number is incremented when there are significant changes in functionality and form.

The minor number is incremented when there are new features.

The release is incremented when there are minor changes and bug fixes.

Releases

There is a new BitPim release approximately once a month. It incorporates new phone model support, new functionality and bug fixes.

Previous: Upgrading Up: About BitPim Next: Version History


Version History

Changes in 0.9.10

  • Bug fix: Unknown command line parameter crashes BitPim.
  • New phone support: LG VX-8600.
  • New phone support: Sanyo SCP-200.
  • New phone support: LG VX-9900 (phonebook, wallpapers, and ringtones).
  • New feature: T9 User Database maintenance. Initially, only the LG VX-8500/8600 supports this feature.

Changes in 0.9.09

  • Bug fix: Adding mp3 ringtones crashes BitPim (LG-VX8300)
  • Windows: Fixed issue where BitPim would silently fail if My Documents didn't exist (eg on an external USB drive that isn't plugged in).
  • Sanyo phones: Read "Sent" messages as well received messages when reading SMS. Add auto-detection for newer Sanyo phones (SCP-3100, SCP-6600, and MM-7500) and Bell SCP-8100.
  • Bug fix: Timezone issues with Samsung A930/A950 calendar events.
  • Sanyo SCP-6600 (Katana): Reading the phonebook now supported.
  • Bug fix: bad BREW file date crashes BitPim.
  • New feature: Added Splash Screen Time duration to the Config Dialog.
  • New feature: Calendar Import Preset.

Changes in 0.9.08

  • Added Sanyo MM-5600 support.
  • Show libusb device Product ID and Vendor ID in the Comm Port Settings dialog.
  • Handled media unicode file names for the LG-VX8300/VX8500.
  • Clarified phonebook writing error message.
  • Fixed deleting nonexisting media files bug (LG-VX8100).
  • Fixed iCal import DTEND property.
  • Fixed support for adding 3g2 video files.
  • Added the Replace All and Merge options to the Contacts Import dialog.
  • Support for Telus SPH-A840, phonebook and calendar only, added.
  • Sanyo SPH-6600 (Katana): Phonebook and wallpaper/ringtone writing not supported. Camera images read with wallpaper.
  • Added file infor support for WMA file type.
  • For LG VX phones: ignore invalid calendar events read from phones.
  • Added the capability to export BitPim calendar data to iCalendar format.
  • Improved display of non-recurrent calendar events that span more than 1 day.
  • Added an option to reformat contact names during the contact import process.
  • Bug fix: BitPim crashed due to corrupted config file.
  • Bug fix: BitPim crashed due to corrupted Call History file.
  • Bug fix: Bad phone contact entry crashes BitPim.
  • For Sprint Samsung phones, include location in event name.
  • New feature: display calendar events inside a Tool Tip window.
  • New feature: copy/paste of SMS text to the clipboard.
  • Bug workaround: Unicode characters crash CSV contact export.

Changes in 0.9.07

  • Fixed phonebook and filesystem splitter display.
  • On Windows, sync the current help topic with the TOC.
  • Sanyo phones: Improve setting of alarms for calendar
  • Renamed menu item AutoSync to Auto Calendar Import, and moved it to under Import menu item.
  • Fixed adding media files decode exceptions.
  • Added support for the LG VX8500 phone. See the Help for more details.
  • Increased A930 max ringtone size to 290K.
  • Capability to read ringtone files for the LG VX8500.
  • Added MS Windows Media Player Play List (wpl) files import.
  • Fixed Shift+Add feature for Linux.

Changes in 0.9.06

  • Fix crash on reading SMS messages from Sanyo phones
  • Added Import Calendar Wizard feature.
  • Handled local filesystem file names.
  • Added unicode support to the Samsung A930/A950.
  • Fixed calendar support for the LG VX8300.
  • Fixed various Help screen shots.

Changes in 0.9.05

  • Raise bitpim phonebook group limit from 10 to 30 on LG-VX5200/8100/9800.
  • Fixed Set Phone wizard for Linux plaform.
  • Fixed auto-detection to include libusb ports for Linux.
  • Fixed bug: BitPim does not always terminate on Linux.
  • Fixed bug: get calendar data raised exception.
  • Add support for calendar on LG-VX8300 (Verizon).
  • Fixed vCard Photo field import problem.
  • Added support for Samsung SCH-A930 phone.

Changes in 0.9.04

  • Add support for LG-VX8300 (Verizon). Calendar not supported. Phonebook ringer and wallpaper assignment not supported.
  • Fixed bug: Calendar read raised exception.
  • Fixed bug: LG VX7000 media read raised exception.
  • Yet another attempt to fix LG VX6000/6100 auto-detection.
  • Added a work-around that allows storing ringtones on miniSD cards for the VX9800 (V2+), which was inadvertently left out from release 0.9.03.

Changes in 0.9.03

  • Added Call History and SMS support to the A950.
  • Fix bug:Exception in wallpaper pane when it contains unrecognised image formats.
  • Fixed SMS feature for V3c(m) phones.
  • Fixed backup dir bug.
  • Added Calendar Read Merge feature.
  • Fixed bug: phonebook preview with bad image.
  • Fixed bug: BitPim crashes when VX9800 fails to read media files.
  • Improved phone detection scheme for VX6100.
  • Linux ISO 8559-1 encoding is now found
  • Added a work-around that allows storing ringtones on miniSD cards for the VX8100 and VX9800.

Changes in 0.9.02

  • NOTE: If you run this version going back to an earlier version will cause all the wallpaper/ringers in BitPim to disappear.
  • Fixed media view toolbar bitmap problem.
  • Fixed status bar redraw problem.
  • Fixed bug: calendar entry dialog color coded fields not working properly.
  • Added auto-detect current phone model first.
  • Added Sanyo MM-7500 support. Wallpaper/ringer writing are currently disabled. Playlist and call history support are not yet available.
  • Added phone detection status indicator.

Changes in 0.9.01

  • NOTE: If you run this version going back to an earlier version will cause all the wallpaper/ringers in BitPim to disappear.
  • Fixed A950 Phonebook reading problem.
  • Added phone detection for the Motorola E815.
  • Increased the size of the phonebook from 500 to 1000 entries for the V3c and E815.
  • Fixed V170(m) SMS reading problem.
  • Fixed Data Recording playback bug.
  • Fixed Linux Unicode alias error for the Motorola phones.
  • Added support for Sanyo SCP-3100 (Sprint). See the SCP-3100 model notes for driver information.
  • Added A950 Phonebook write.
  • Added iCalendar import feature.
  • Added Google Calendar import feature.
  • Fixed bug: cannot shutdown PC while BitPim is in the System Tray.
  • Fixed bug: undocking laptop crashes BitPim.
  • Fixed bug: run minimized does not go to System Tray.
  • Added color coded program status.
  • New GUI layout for media, separate nodes for all origins.
  • Added summary screen to show size and quantity of media.
  • Add right-click menus to media-related items in tree view.
  • Add feature to move media from one origin to another (right-click file to move).
  • Add support for media files of the same name in different origins.
  • Add ability to add media to all origins, note: some origins are read only so updates in BitPim will not appear in the phone, check phone help.
  • Add feature to export media files (right-click in tree view) to zip file and filesystem.
  • Add list view for media panel.
  • Fixed incorrect wallpaper sizes on LG-VX8100.
  • Fixed bug in preview window for wallpaper editor which cause it to be cropped in some cases.
  • Add support for preserving media file timestamps (not implemented on all phones).
  • Internal storage of media moved to database, media files now stored in origin directories.
  • Added patch to prevent 0 size ringers when getting ringers from phones which block reading (e.g. 8100) when the ringers were previously uploaded using bitpim.
  • Fixed auto-detection for phones that have 2 comm ports.

Changes in 0.9.00

  • Fixed BREW file timestamp issue.
  • Fix bug writing the phonebook to the LG-VX9800.
  • Got around V3cm reading ringtones issue.
  • Fixed A950 reading non-existing index file issue.
  • Organized-by-size GUI update.

Changes in 0.8.14

  • Allow access to 'My Sounds' on LG-VX5200.
  • Added suport for the SCH-A950 phone. See the Help section for more details.
  • Added phone detection for Motorola V3c/V3cm phones. Support for V3c/V3cm is indentical to the V710/V710m phones.

Changes in 0.8.13

  • Fixed bug saving wallpaper and ringtones in rightclick menu.
  • Fixed bug requiring restart after phone model change.
  • LG-PM325 Add write support for phonebook, calendar, wallpaper and ringtones.
  • Add support for iso-8859-1 characters on, LG-VX4400, LG-LX5450, Toshiba VM4050, LG-PM225, LG-PM325. This will allow phonebooks with names with accented characters and other non-ascii characters supported by the phone to work.
  • Added support for the Motorola V710 phone. Supported features include phonebook, calendar, ringtones, wallpapers, and SMS. See the Help section for more details.
  • Added support to the Motorola V710m, which is the V710+OBEX.
  • Add support for LG-LX5550 (Alltel).
  • Add support for LG8100 (Telus Mobility).
  • Sprint Samsung phones Increase limit on ringers to 250K.

Changes in 0.8.12

  • Fixed Task Bar Icon discrepancies.
  • Improved Data Recording playback.
  • Fixed bugs introduced with new GUI, phone reboot, standby, todolist send/get, call history stats, drag and drop.
  • Add support for iso-8859-1 characters on, LG-VX5200, LG-VX6100, LG-VX7000, LX-VX8100, LG-VX9800. This will allow phonebooks with names with accented characters and other non-ascii characters supported by the phone to work.
  • Added System-Tray-On-Closed feature.
  • LG VI125: Add readonly phonebook support for this Sprint phone.

Changes in 0.8.11

  • Fixed bugs with new GUI, getting call history, phonebook column picker and outlook import filter.
  • Fixed exception when outlook is not installed for Windows.
  • Fixed exception when trying to access blocked files.
  • LG VX7000: Cope gracefully when updating ringtones and the index says a file exists that doesn't actually exist.
  • Add support for LG6190 (Bell Mobility).
  • Fix bug writing phonebook on LG-PM225.
  • Added Data Recording feature.

Changes in 0.8.10

  • New look and feel for BitPim main screen
  • Fixed bug in 0.8.09 that caused exception in media conversion

Changes in 0.8.09

  • Samsung A620/A740/A840: Add capability to upload wallpaper to phone. Fix writing of calendar alarm times. (Rounds down to 0, 10, 30, or 60 minutes).
  • Add read support for LG-PM325 phonebook, calendar, wallpaper ringtones, call history and SMS.
  • Added new toolbar to main window.
  • Added Call History export to CSV format.
  • Add phonebook read/write support for LG VI-5225 (STI-Mobile).
  • Import Outlook Contacts:Added contact category priority filter.
  • Add support for LG6200 (Bell Mobility).
  • Added Phone Setting Wizard feature.
  • Windows libusb is no longer looked for on Windows. (To use libusb on Windows, you had to have a device driver first. And if you had a device driver, you'd have no need for libusb.)
  • Mac The native Mac online help system is used for BitPim help. (Note: if the help viewer is slow or has other issues then that is a known issue and nothing to do with BitPim)
  • Mac The top pane of the comm port selection dialog would startup zero sized so you wouldn't know it is there. Now forced to be shown.

Changes in 0.8.08

  • Add support for Samsung VI660 (SPH-A660).
  • Fixed the issue of BitPim not being aware of passing midnight.
  • Added color coded labels to editable fields.
  • Add support for LG C2000 (Cingular).
  • Added phone detection at BitPim startup.
  • Added Call History historical data viewing capability.
  • Allow Media filenames to contain hyphen, underscore and brackets on LG-VX8100/9800
  • Add support for LG-PM225 (Sprint).
  • Samsung A740/A840: On writing phonebook to phone, use default ringer and wallpaper. (Instead of Boardwalk and "People 20").
  • Added SMS historical data viewing capability.

Changes in 0.8.07

  • Added phonebook read support for the Samsung SPH-N400.
  • Add support for Sanyo RL-4930.
  • Add support for Samsung SPH-A840.
  • Fixed bug importing repeating all-day events from Outlook
  • There is now a help page for when CRC errors are detected
  • Added Playlist Management feature.
  • Added Playlist support to the LG-VX9800.
  • Added a work-around for not being able to read ringtone files from the LG-VX8100(V6/7).

Changes in 0.8.06

  • Added a feature that allows Window users to minimize BitPim into the System Tray (Task Bar Icon). Users can enable/disable this option from the Settings dialog.
  • Samsung Sprint Phones: Fixed group assignments for phonebook writes.
  • Added support for the Toshiba VM4050 phonebook writing and fixed bug in phonebook read, added VM4050 to help screens
  • Fixed bug that hid autosync feature added in previous version
  • Added support for LG-VX6100 Memo (notepad) read/write
  • Fixed Help display bug on Mac & Linux.
  • Added the Preset Duration parameter to the Calendar Import Filter Dialog.
  • Added the feature that allows the Calendar Import Filter Dialog to remember its previous settings.
  • Added the capablity to set Category, Ringtone, or Wallpaper to multiple contacts. Please see the Howtos section of the Help file for more details.

Changes in 0.8.05

  • Fixed bug that prevented writing wallpaper and ringtones to the LG VX5200
  • Displayed expanded view of the SMS tree upon initialization.
  • Improved Phone Contact Editor part 2.
  • Added support for the Toshiba VM4050 (phonebook reading and auto detect only)
  • Add 'AutoSync' feature to automate synchronizing PC calendar with phone
  • Fixed LG-VX3200 phonebook read/write exception.
  • Added Import Outlook Notes feature.
  • Samsung A620/A740: Can now write ringtones to phone. Calendar fixes.
  • Fixed LG-VX8100/9800 phonebook speed dial bug.
  • Added Import Outlook Tasks feature.
  • Fixed Outlook Calendar all-day events spreading to the next day.
  • Add support for Sanyo VI-2300.
  • Sanyo Phones: Add reading of sms and todo.
  • Fixed bug that prevented writing memos to the LG VX5200
  • Added support for multiple data directories feature. Please see the Howtos section for more details.

Changes in 0.8.04

  • Added a feature to the Phone Contact Editor that allows users to navigate to the next/previous contact item.
  • For calendar events, combined the description and location with the format 'description[location]'.
  • LG VX8100/VX9800:
    • Added a feature to to get/send My Sounds media files.
    • Preserved previous ringtone and image IDs.
  • Fixed failed-to-write-contact-entry exception.
  • Fixed failed-to-read-media-file exception.
  • In the Today tab, fixed the order of the SMS and Call History items.
  • Sprint Samsung Phones: Fixed calendar writing.
  • Sanyo Phones: Fix phonebook writing that was broken in 8.03. Avoid exceptions when writing media to phone. (Occured with MM-8300).
  • Fix problem with pager and none numbers causing exceptions on LG VX5200, LG VX8100 and a few other LG phones.

Changes in 0.8.03

  • Added full support for the LG LX5450 (Alltel).
  • Fixed SMS Deletion exception.
  • Added SMS Export to CSV and mbox formats.
  • Update filesystem tab with new look and feel. Supports drag and drop for copying files into the phone's file system.
  • Sanyo phones: Added reading of call history.
  • Sanyo picture phones: On reading camera pics, rename duplicate filenames. This prevents smaller "saved to phone" pictures from clobbering the original "in camera" pictures.
  • LG VX8100/VX-9800: Added the capability to retrieve video files. These files can also be played by an appropriate software player (if installed).
  • Fixed apparent program frozen issue.
  • Fixed Filesystem Backup exception.

Changes in 0.8.02

  • Sanyo MM-7400 Add calendar write support.
  • Sanyo MM-8300 Handle clear of unused events properly when writing the calendar.
  • Fixed problem with writing wallpapers and ringtones to the LG-VX9800.
  • Fixed problem with parsing SMS outbox messages from the LG-VX9800.
  • Added every-nth-month capability to the Calendar feature.
  • Fixed exception generated when a calendar event with a long description is read.
  • Allowed the LG-VX8100 to access wallpapers and ringtones files stored on the miniSD card, similar to the LG-VX9800.
  • Add support for Samsung SPH-A740 (Sprint). Read/write of phonebook and calendar, and reading of wallpaper/camera and ringtones supported.

Changes in 0.8.01

  • Fixed LG-VX7000 Call History feature.
  • Added full support to the LG-VX9800.
  • Added Calendar, Call History, Memo, and SMS support to the LG-VX3200.
  • Add calendar write support for MM-8300
  • Improved phonebook writing feature of the LG-G4015.

Changes in 0.8.00

  • Fixed LG VX8100 wallpaper size.
  • Added phone detection for unknown CDMA phones.
  • Added full support for the LG VX5200.
  • Improved UNICODE support
  • Added full support for the LG VX4500.
  • Added support for the Sanyo MM-8300
  • Fixed Calendar tab background redraw problem.
  • Fixed Phone File System Dir Listing problem.
  • Samsung SPH-A620 Wallpaper readout now includes pictures in wallet and downloaded images/screensavers
  • Preserved "_HELP_NAVTREE_ID" in Help htd files.
  • Fixed LG VX8100 PhoneBook support to allow 'W' character (Wait) in dialstrings.
  • Added LG G4015 phone support.
  • Accommodated .ics file extension for vCalendar Import.
  • Added Calendar and Memo support to the LG VX8000 phone.

Changes in 0.7.37

  • Fixed and improved 'bad cache dir' problem.
  • Turned on protocol log during auto-detection process.
  • Adapted several Palm's vCard extensions.
  • Added phonebook read/write support for the SPH-N200.
  • Added full support for the LG VX-6000.
  • Added phone file system emulation for development.
  • Provided a temporary fix for LG VX8100 BREW file system listing.

Changes in 0.7.36

  • In the SMS tab, display the messages in the order of received date/time.
  • Added Calendar support to LG-VX4400.
  • Added a warning message dialog if a ringtone being added is too big.
  • Added a dialog to display Outlook Calendar Items that failed to import.
  • Added the capability to retrieve Voice Memo data from the LG VX-4650.
  • Completed all Help files.

Changes in 0.7.35

  • Fixed bug that caused the horizontal scrolled-bar of the phonebook tab to disappear after turning on & off the preview panel.
  • Fixed a bug that caused old monthly event data to generate exceptions.
  • Added the Today tab.
  • Added Volume Adjustment feature to mp3 media conversion.
  • Added a file caching capability when reading BREW EFS files from the phone. This feature avoids reading unchanged media files repetitively from phone.
  • For SMS messages, added field 'Read' and 'Delivery Confirmation'.
  • For Calendar Events, added field 'Vibrate'.
  • For CAll History, added field 'Duration'.
  • Added support to LG-VX8100 phones: phonebook, calendar, wallpapers, ringtones, text memo, call history, phone info, and auto-detection.
  • Added support to LG-VX4650 phones: phonebook, calendar, wallpapers, ringtones, text memo, call history, and auto-detection.

Changes in 0.7.34

  • Sanyo MM-7400 Increase wallpaper upload size to 176x220.
  • Fixed shift+Add wallpaper feature.
  • Improved Hex Editor.
  • Fixed media name change notification to Phonebook contacts and Calendar events. When users rename wallpapers or ringtones, the changes will be propagated to all Phonebook contacts and Calendar events, which may require (re)syncing data between BitPim and the phones.
  • Added TimeZone capability to vCalendar Import.
  • Added "nth *day (ie 1st Monday) of every month" repeat feature to Calendar Events. Also extended this feature to other Calendar Import/Export capabilities.
  • Added BCI file support (work-around) to wallpaper tab. Waiting for a wxPython fix to fully integrate BCI with wxPython & BitPim.
  • Fixed Samsung SCH-A650/A670 SMS parsing error.
  • Fixed Samsung SCH-A650/A670 Contacts Names Unicode error.
  • Fixed Contacts & Calendar print problems.
  • Fixed exception caused by righ-click in the File System View window.
  • Fixed bug 878876: Toggle Phonebook Preview pane.
  • Added the capability for users to view historical phonebook data.

Changes in 0.7.33

  • Added a feature that would allow BitPim to download (and upload) wallpapers and ringtones which file names may be illegal on the host system.
  • Added numerical input fields for Clip Start, Clip End, and QCP Clip Volume to the Ringtone Conversion Dialog.
  • Added sound/size optimization for QCP conversion to the Ringtone Conversion Dialog.
  • Fixed a bug which raised an exception when trying to print out Calendar Events that have '&'s in its summaries/descriptions.
  • Made some improvements to the HexViewer feature.
  • Fixed a resizing bug in the Contacts Import Dialog.
  • Updated several bits of help including a section on the LG VX8000. You can now get Mac Prolific PL2303 drivers from the Prolific website. Thanks to David Hechtman for the information.
  • LG VX-3200 Some support added for this phone. Make sure you read the help notes first. This functionality was contributed by Bruce Schurmann.

Changes in 0.7.32

  • Added a simple List View and Monthly View calendar events print capability.
  • For any phone that can be auto-detected, users now can assign an owner's name to it.
  • In Windows, added the capability to drag-and-drop wallpaper and ringtone files from BitPim to other Windows applications.
  • For the Wallpaper and Ringer tabs, added the 'copy', 'paste', and 'rename' menu items (and capability) to the context menu (right click) and the main menu.
  • Added 'Expand All' and 'Collapse All' context menu items to the SMS tab.
  • Added 'Organize Items by', 'Expand All', and 'Collapse All' to the Call History tab. The Call History items can now be organized by type, by date, or by number/contact.
  • Add auto-detection Sanyo phones and Samsung SPH-A460 and SPH-A620.
  • Add reading and write todos (task list) for SPH-A460 and A620. Reorganized some A460 and A620 code to make supporting other Samsung phones easier
  • Sanyo MM-7400 Should now read all media from the phone.
  • Added CSV Calendar Import/Export feature.
  • Updated versions of various components used by BitPim

Changes in 0.7.31

  • Added the Call History tab to the main BitPim display.
  • Added an initial implementation of the Phone Auto-Detect feature. Currently, the only phones that support this feature are the Samsung SCH-A310/A650/A670.
  • Minor display improvement to ther SMS Tab display.
  • Samsung SCH-A670 Some bug fixes:
    • Better transition from mode Modem to Brew and back.
    • Eliminated the "Cannot seek large file" error message. To avoid this error message, users would need to re-download camera images from the phone (Get Data -> Wallpapers)
    • Fixed bug with adding jpeg and GIF wallpaper images.

Changes in 0.7.30

  • Added speed dial, wallpaper, and ringtone info to vCard Import/Export.
  • Added Contacts CSV Export.
  • Added Phone Info Dialog feature. Supported phones include the Samsung SCh-A310/SCH-A650/A670.
  • Added a feature that allows users to add raw/unprocessed image files. This feature is invoked by pressing a shift key while clicking on the 'Add' button. On the Samsung SCH-A670, this feature can be used to add GIF or animated GIF files, which are not directly supported by BitPim.
  • LG Phones When corrupt data is detected on the phone you will be given a detailed help page about it rather than just an exception.
  • Samsung SPH-A460 Can read/write phonebook and calendar. See the Samsung model notes for information about oddities when writing the phonebook to the phone.
  • Samsung SPH-A460 Read todolist from phone
  • LG VX6100 Set maximum filename length for ringers and wallpaper to 20 characters. (John O'Shaughnessy)
  • LG VX6100 Increased wallpaper size from 128x148 to 132x148 (and 132x160 for fullscreen) (John O'Shaughnessy)
  • LG TM520/VX10 Support for these phones will be removed in 0.7.31 unless someone steps forward to maintain them.

Changes in 0.7.29

  • BitFling now works with SPH-A620 and probably other Samsung phones.
  • Added the Task Todo tab to the main BitPim display.
  • Added the SMS tab to the main BitPim display.
  • Cosmetic and usability tweaks from Adit Panchal
  • There is now a table in the online help that lists which BitPim features are supported by which phones. The page also points to what features will be supported and when.
  • LG VX8000 Initial support for this phone added
  • Samsung SCH-A650/A670Added Task Todo and SMS support.
  • Samsung SPH-A620/VGA1000 Camera picture filenames now use caption name instead of timestamp based filename.

Changes in 0.7.28

  • Many cosmetic and usability tweaks from Adit Panchal
  • BitFling has been fixed.
  • When adding images you can tell BitPim what you intend to use the image for (eg fullscreen startup image or outside LCD callerid). This is all part of a display that lets you select exactly what part of the image you want imported. Note that we don't have all the sizes for phone models. If you have details on specific image sizes for various uses for phone models, then read this set of messages and then post to tbe bitpim-user mailing list.
  • Sanyo MM-7400 Disabled calendar writing.
  • Added 2 more filtering parameters to Calendar Import function.
  • Added phone textual memo/note feature.
  • Added a feature that allows users to check for any BitPim program updates.

Changes in 0.7.27

  • Added the capability to import data from vCalendar data files.
  • Mac Now have the Metal appearance. Will not be getting an 'i' prefix. Download is reduced in size by a third.
  • Sanyo SCP-7300 Increased wallpaper size from 132x144 to 132x176.
  • Sanyo MM-7400 Reading and writing of calendar should work
  • Samsung SPH-A620/VGA1000Work around buggy phone software that caused the apparent number of numbers in phone to increase with repeated writes of phonebook. Preserve birthdays, where possible, when writting phonebook.
  • LG Phones The length of memos has been increased to what each phone model supports (64 chars on VX4500 and VX6100, 48 on VX4600, 32 on all other models.)
  • SK6100/SK Music Slider (Pelephone, Israel) Added basic read-only access to the phonebook.
  • Samsung SCH-A670 Some fixes and enhancements:
    • Create media directories if they do not exist.
    • For contact names, if Full name is not specified, will use "First Middle Last" combination.
    • jpeg is now the default wallpaper format, which will allow these images to be reliably used as contact pix id.
    • Video clips can now be downloaded with other wallpaper images.

Changes in 0.7.26

  • There is now a read-only mode, set in the preferences. If you turn read-only on then BitPim won't do anything that does modifications to your phone. If you turn read-only off, then you have to restart BitPim for it to take effect.
  • Mac Many changes:
    • Fixed various issues so that the ringer format conversion (except PureVoice/QCP) can happen.
    • Wallpaper and ringtone pane background forced to white
    • Items in the wallpaper and ringtone panes can be double clicked on (or right click menu - Open) and they will be launched in the appropriate program.
  • Samsung SCH-A670 Fixed ringtone format conversion process.
  • Samsung SPH-A620/VGA1000 Can now write the phonebook to the phone. Ringtone and wallpaper assignments are not preserved.
  • Sanyo Phones Calendar code has been updated to newer BitPim internal calendar format. Please note any problems.

Changes in 0.7.25

  • The ringers tab now identifies audio file types
  • You can double click on items in the wallpaper and ringer tabs to launch the default program associated with that file type.
  • BitPim can now convert non-midi audio files into something your phone will support such as MP3 or Qualcomm PureVoice. Make sure you read and understand the documentation which is also available by pressing help in the dialog box. You can easily make your phone not work any more.

    MP3 ringtones are used for LG phones. PureVoice/QCP ringtones are used for Samsung SCH A650/A670.

  • Import of Outlook Calendar data is now supported.
  • Calendar bugs fixed:
    • Calendar GUI now displays on Mac
    • Sending repeat calendar events to the phone
  • Samsung SPH-A620/VGA1000 Phonebook reads fixed to work with phones with old firmware. Reading of camera pictures fixed. Ringtones can now be read from phone.
  • LG VX6100 Underscore character "_" now supported in ringer and wallpaper file names. Number of ringers allowed increased from 30 to 60. Number of wallpaper allowed increased from 30 to 60. Number of camera images allowed increased from 20 to 60.

Changes in 0.7.24

  • Bitmap (BMP) images with less than 236 colours are saved in the smaller 8 bit format (ie using a palette).
  • The wallpaper and ringtone displays have been replaced with an improved user interface in both functionality and appearance. The wallpaper display now works out image information directly from the file (eg you could rename a jpeg to .png and it will see work out that it is jpeg). You can also organize in various ways (try the right click menu). The ringtone display also uses the new interface but doesn't have the file type recognition or organizing implemented yet.
  • The matching of imported/incoming phonebook entries against what you already have has been sped up. (A C implementation of the Jaro Winkler algorithm is used.) There is also a progress dialog with estimated remaining time displayed if there is a lot of matching to do (multiply the number of incoming items with the number of existing items to get an idea of how much work is done).
  • The phonebook and calendar data is now stored in a transactional database (we use SQLite behind the scenes) which allows for implementing undo, archiving of old entries, concurrent instances of BitPim, storing old data so we can calculate changes for doing syncing and various other goodness. The other types of data (eg wallpaper and ringtones) will also be changing to use this database.
  • There is now an improved user interface for adding and editing calendar events. Most of the phone modules do not (yet) support the extra fields available, but will do so over the next few releases.
  • SCH-A670 Phonebook contacts now fully support wallpaper and ringtone assignments. Uploaded wallpapers are automatically converted to 128x96 24-bit BMP format and can be used for phonebook wallpaper assignments. Better transition in and out of File System mode. Calendar repeat events are now supported.
  • SCH-A650 Wallpaper images with 256 colors or fewer are converted to 8-bit PNG format. Others are converted to 24-bit PNG format. Better transition in and out of File System mode. Calendar repeat events are now supported.
  • Sanyo MM-7400 Disable reading of ringer/wallpaper assignments (which are really not handled properly for Sanyo phones anyway) so that phonebook read will work. Disabled calendar options as they seem not to work.

Changes in 0.7.23

  • Added option to filesystem browser (Brew mode) to return phone to modem mode (AT commands). Known to work for some Samsung and Sanyo models. Use with caution on other phones.
  • Outlook When importing contacts, only email addresses with a a type of SMTP are imported. Other ones, such as those used for X.400 email, are ignored.
  • SCH-A650 Correctly retrieve and save ringtone assignments in phonebook entries.
  • Sanyo MM-7400 Please do not use 0.7.23 for this phone, use 0.7.24 or a later version. [Added option for this phone. Assumes that this phone is similar to the PM-8200. If you find bugs, or experience timouts and are willing to help debug the driver for this phone, please post on one of the mailing lists.]
  • LG VX6100 Support for this phone has now been added courtesy of John O'Shaughnessy.
    • Wallpaper reading (including camera images) and writing works.
    • Ringtone reading and writing works.
    • Phonebook reading and writing works with the exception that wallpapers set in BitPim are ignored when sent to the phone.
    • Calendar reading works. Calendar writing does not.

Changes in 0.7.22

  • Fix a bug in the import process when two imported entries matched the same existing entry. Now the best import entry is always chosen, and the underlying data consistency is maintained.
  • Fixed SF bug #1062904: users cannot close calendar editor dialog.
  • SCH-A650 Fixed bugs in reading and writing phonebook, calendar, wallpapers, and ringtones.
  • SCH-A670 Added support for download of camera pictures as part of wallpaper gets. Partial support for caller-id assignments in phonebook: assignments of ringers and gallery photos (not other wallpapers) made on phone are preserved in BitPim.
  • eGroupware Workarounds for various bugs in eGroupware. Note that eGroupware has an issue with categories, and you may experience issues when editing in both BitPim and the eGroupware web interface.
  • There are some visual glitches in the phonebook import dialog. Resize the window and they will go away. (Long story).

Changes in 0.7.21

  • You can now export to eGroupware
  • Windows 95/98/Me The Microsoft Layer For Unicode is now installed with BitPim so you won't get random crashes in MSVCRT.DLL
  • Samsung Phones Preliminary support for various features has added for the following phones. Various features may be incomplete or buggy.
    • SCH-A310 Reading and writing of the calendar and phonebook
    • SPH-A620 Reading of the phonebook. Reading and writing of the calendar. Reading of photos from the phone's camera.
    • SCH-A650 Reading and writing of the phonebook, calendar, ringtones and wallpaper.
    • SCH-A670 Reading and writing of the phonebook, calendar, ringtones and wallpaper.

Changes in 0.7.20

  • You can now import phonebook contact information from eGroupware
  • Windows The Microsoft CHM (Compressed HTML) format help file is now used from within BitPim, and so you will get the standard Microsoft Help viewer instead of the wxWidgets one. As a bonus the Microsoft Viewer understands stylesheets so you will see the help text in all its green glory!
  • Mac py2app is now used for packaging BitPim up. Let us know if you see any issues.
  • Sanyo Phones Wallpaper written to Sanyo phones is now more likely to be accepted by the phone. The PNG files are converted to 8 bit colour and the size of the colour map is reduced to make the file size less than 16K.

Changes in 0.7.19

  • Various minor tweaks and cleanups.
  • Sometimes Outlook comma separates the Categories field instead of semi-colon like normal. BitPim now deals with this in the import.
  • Fixed omitted field that was caused by importing vcards with a "uid" field.
  • LG VX7000 Support for this phone has now been added thanks to a phone loan by RPI Wireless. LG took the opportunity to make the firmware functionality and quality worse than their previous phones. There may still be some problems where the code assumes the phone won't be as stupid as it actually is.
    • The phonebook reading and writing works, although there may be some minor issues with the writing due to the new restricted fields available. It also looks like the speed dials might not be written exactly right due to the phone re-arranging some phone numbers some of the time.
    • LG halved the number of phone number types available. Phone number types that the phone doesn't have (eg Pager) are ignored.
    • The phone is very reluctant to reveal how many phonebook entries are present. BitPim works around this, but the workaround will fail if you have no entries at all. Consequently do not ask BitPim to read the phonebook if it is empty.
    • Calendar reading/writing doesn't work. (They tweaked some of the fields since prior phone models).
    • Wallpaper and ringtone reading and writing work. The BitPim code currently limits you to 50 of each. If anyone knows what the real limit is, or why the phone goes to the trouble of storing the total amount of space used by the ringtones and wallpapers then please post on bitpim-devel.
  • Sanyo Phones Allow entries with no name.
  • Linux BitPim is now packaged using cx-Freeze 3.0

Changes in 0.7.18

  • You can now filter by categories in the import dialogs.
  • Your previous settings for the filters (eg requiring a name, number, email address etc) as well as the categories are remembered.
  • vCard import now understands charsets instead of always using ISO 8859-1. It also correctly deals with vCards already in a Unicode file as Apple Addressbook likes to do.
  • All the standard character set converters are now included with the binary distribution of BitPim instead of just two or three. This allows almost any charset to be used in vcards.
  • An issue with transparency and black backgrounds on 16 bit colour displays on Windows was fixed (thanks to Kevin Swan for providing the test files and screenshots).
  • We decided to stay with wxPython 2.5. Currently the Mac version is not Unicode, but the other platforms are. That will be addressed in the future.
  • Many minor tweaks and fixes for GUI issues reported on the mailing lists. Thanks to all those who took the time to give accurate reproducible reports.
  • Fixed a filesystem protocol issue where the LG VX7000 was behaving differently than all the other phones. This will fix some Motorola V710 issues as well.
  • Sanyo Phones
    • For some Sanyo phones, the default (first) phone number for each name will be preserved for reads and writes.
    • Deleting call alarms read from phone won't cause exception. (Pre 0.7.18 calendar data must be overwritten by reading from phone.)
  • Samsung A620 Added support for downloading camera pictures. No support yet for phonebook, calendar, wallpapers etc.

Changes in 0.7.17

  • The only change in this version is that BitPim now uses wxPython 2.5. wxPython is the library BitPim uses for the user interface (GUI). This is a significant stability and compatibility upgrade against the previous version of wxPython. Mac users in particular should notice a big difference. For Linux users, the underlying library is changed from GTK1 to GTK2 which is nicer as well. Note We have not made any bug fixes or any other behavioral changes. This is so that we can distinguish issues being with the upgrade to wxPython 2.5 vs generic in BitPim.
  • With the upgrade to wxPython 2.5, BitPim now also uses unicode for the user interface. We have not yet tested how the phones will deal with this. They likely won't like it. We will be fixing this is future BitPim releases. You are advised not to try non-ascii characters until we fixed the various phone modules to cope with it correctly.

Changes in 0.7.16

  • The correct entries are used when you use "selected entries" for phonebook printing or vCard export.
  • You can now select all with Ctrl-A, delete with the Del key and add new with Ctrl-N in most panes.
  • Speed dials are now shown in [square brackets] in the various phonebook views.
  • The dialog that helps show how newly read phonebook data is merged with existing data is back with completely new user interface. Please click the Help button to understand what it is showing and how to change things.
  • US phonenumbers are now normalised and formatted in a standard way. Other phone numbers are left alone.
  • Improved vcard output. Unfortunately several programs refuse to import them despite following the standard to the letter. Any assistance in figuring out how the other programs are broken would be appreciated.
  • Some changes to the underlying code for escaping and unescaping characters in the protocols. This was needed because the Samsung SCH-A650 was unnecessarily escaping data which the code didn't account for. Thanks to Stu Grossman for discovering this.
  • When you double click on a field in the phonebook, the editor starts up with focus on that field.
  • More columns are available in the phonebook view. They are of interest if you have entries with lots of data (eg more than 5 phone numbers). Note that BitPim has always stored all data, it just didn't have columns pre-defined for all of it.
  • You must use a device driver instead of direct USB access to phones modem interfaces or USB to serial devices. Although the help makes this somewhat clear, many users try anyway. BitPim will now mark those interfaces as unavailable.
  • Windows Some of the packages BitPim uses started leaving off version numbers on their DLLs. This caused the installer to not replace the older files with the new ones. The installer has now been told to always replace files in the BitPim program files directory. That will ensure upgrades and downgrades always work as expected (as of 0.7.16 anyway). Thanks to Allen Day for finding the underlying cause.
  • Sanyo phones Fixed reading of calendar which was broken in 0.7.15.
  • Sanyo SCP-4920 Really actually fix the ordering of phone number types.

Changes in 0.7.15

  • You can now export the phonebook in vCard format. Note that this code is still a work in progress and is still being worked on. (The vCard standard is hairy and no other program implements vCards 100% to the letter, so the export code is trying to deal with that).

    Also note that there is a bug that means the wrong entries are output when you ask to export just the selected ones. This will be fixed in the next release. (The same bug affects printing and no one had spotted it!)

  • You can now import Evolution contacts that are not stored in db files. BitPim runs evolution-addressbook-exporter behind the scenes. Note that you must be running Evolution 1.4 for this to work. [Code from Peter Pletcher]
  • Sanyo phones Fixed crash on upload of some calendar entries. Events written to phone will show proper alarm interval on phone. Media write code will only try to write wallpaper and ringers that are not already on phone. Media code will not try to write camera pictures. BitPim will still often encounter errors from the phone (Usually "Sanyo Error code 109") because of Sanyo file size limitations. See the note on Sanyo Error Codes for more information.
  • Sanyo SCP-4920 Actually fix the ordering of phone number types so that they agree on the phone and in BitPim. (0.7.13 fix didn't work)
  • Sanyo SCP-8100 (Bell Mobility-Canada) Fixed reading and writing of the phonebook.

Changes in 0.7.14

  • There is no longer any console output on Linux or Mac, and there shouldn't be the I/O errors on Windows which were indirectly caused by console output issues when a console isn't present.
  • vCard reading sped up considerably
  • If the files supplied for CSV or vCard import are in Unicode (eg UTF 16) then they will be read correctly
  • You can now import contacts from Qtopia Desktop (eg as used with the Sharp Zaurus)
  • The dialog used to confirm a phonebook being read in/imported is now not shown. It was coming up blank for many Mac users and was somewhat user unfriendly anyway. Any UI designers out there want to help work on a replacement?
  • LG VX4500 Speed dials now read/written correctly
  • Sanyo Phones Reduce WALLPAPER_HEIGHT for several phones so that wallpaper uploads won't fail
  • Sanyo SCP-8100 (Bell Canada) Initial support for the Bell (Canada) version of the SCP-8100. The firmware in this phone is somewhat different from Sprint 8100. This release can read the phonebook, wallpaper and ringers from the phone. However, writing to the phonebook and reading/writing the calendar will crash BitPim.

Changes in 0.7.13

  • You can now import contacts from Outlook. The importing should work well.
  • You can import contacts from Evolution. You may experience some issues. Please include an exported vcard of any problem records if you make any bug reports. The Evolution importer uses the vCard importer behind the scenes so please read the notes below.
  • You can import contacts from vCards. You may experience some issues. Please include the vcard if you make any bug reports.
    Note The vCard import code is very slow and the vCard "standard" is a great big hairy mess that no program implements correctly. BitPim does its best (part of the reason the code is slow). There will be speed ups in future releases.
  • BitPim no longer makes any attempt to convert ringtones you add to be in a valid format. That functionality will be added in the next major release.
  • Considerably sped up the display of images in the right hand pane for wallpaper view
  • LG Phones If the phonebook has multiple entries with the same serial number (which is a serious problem) then BitPim detects this and raises an alert.
  • Sanyo Phones Added ability to write wallpaper and ringers for all Sanyo phones. See the Ringer/Wallpaper section of the Sanyo notes for further information.
  • Sanyo SCP-4920 Fixed ordering of phone number types so that they agree on the phone and in BitPim.

Changes in 0.7.12

  • Version number system is now sane. The development series is now 0.7.12.
  • Keystrokes work correctly again in the calendar
  • Some tweaks in the filesystem directory reading protocol as some phone models added a spurious extra byte (eg Kyocera KX414)
  • Sanyo phones qcp ringtones are now also transferred from the phone.
  • Sanyo SCP-4900 Preliminary support to transfer ringers and images to the phone. This may work for the SCP-5300 and SCP-7200 if you set the phone to the 4900 in BitPim.
  • Sanyo PM-8200 Can now write phonebook and calendar to the phone.
  • Sanyo RL-4920 Added support for this phone. Please provide feed back if there are problems.

Changes in 0.7 - test 11

  • Started code to import Outlook Contacts (disabled in this build)
  • Various minor tweaks and bug fixes for issues commonly occurring in the mailing lists
  • Tweaked where the settings that remembered window sizes and positions is stored to make the config file/registry a little cleaner. The first time you run this version it will use the default sizes/positions, and remember them from that point on.
  • Sanyo phones Transfer of ringtones from phone fixed. (For those phones that support media downloads, namely everything except 4900 and 5300.) Sanyo PM-8200 is still read-only.

Changes in 0.7 - test 10

  • The routines to switch into Brew mode and LG phonebook mode have been tweaked and should be more reliable.
  • Mac The preferences and About dialog are now in the normal place for Mac applications.
  • Audiovox CDM8900 This phone is no longer supported by BitPim. Do not use this phone with BitPim. Do not ask for support. The internal software in this phone is very fragile, and the phone can be rendered completely inoperable through trivial operations.
  • LG TM520/VX10 The code has been re-instated for this phone. The other LG items in this change log do not apply to this phone which uses different code.
  • LG VX4600 Reading/writing wallpapers and ringtones for this phone added. Status of phonebook and calendar is not known.
  • LG phones BitPim previously required that entries have at least one phone number to write them to the phone. This has now been relaxed to fit the phone's requirement that there is at least one phone number or at least one email address. (ie previously BitPim wouldn't write an entry with only an email address and no phone numbers. Now it will).
  • LG phones LG phones now use slightly different code for determining the number of phonebook entries. It now also works correctly with phones that can have more than 255 phonebook entries and you actually have more than that number of entries.
  • LG phones Speed dials are now read and written.
  • LG phones If the speed dials or group information change (ie different than what is already stored on the phone), then the phone has to be rebooted for the change to take effect. BitPim does this automatically.
  • LG phones You no longer get an exception if the description for a calendar entry is too long.
  • Sanyo phones Phonebook on phone no longer messed up if duplicate names are written to phone.
  • Sanyo SCP-5400 and SCP-7300 Broken in test9, now fixed.
  • Sanyo SCP-5400, SCP-5500, SCP-7300, SCP-8100 Improved media reading from these phones. Images and ringtones from the camera, Vision download, and cable upload areas can now be read from the phone. Filenames for camera images have "$camera_" prepended so they are not overwritten by wallpapers made from pictures. Mp4 videos on SCP-5500 won't crash BitPim.
  • Sanyo PM-8200 Untested, read-only support added. Reading of the phonebook will probably work. Reading the calendar, camera images, wallpaper and ringers may work.

Changes in 0.7 - test 9

  • You can now save the selected items from the wallpaper and ringtone views.
  • You can drag and drop items out of the wallpaper and ringtone views (drag out not supported on Linux)
  • BitFling is finally available
  • Started wallpaper download support for Sanyo SCP-8100 and SCP-5500. Only camera pictures on the phone will be downloaded. Wallpaper on the phone that was uploaded with Vision or by cable is not yet transferred. Videos (on the SCP-5500) will be transferred but will cause all sorts of exceptions/errors. The videos can be found in the BitPim files directory. Please do not report bugs yet. Use at your own risk.

Changes in 0.7 - test 8

  • Any combinations of carriage returns and newlines can be used to terminate the end of line for importing CSV files.
  • The ringers pane now uses the same layout and underlying code as the wallpaper pane. This makes it usable under Mac and Linux. Double clicking items has no effect any more though as that code is incomplete.
  • LG VX6000 BitPim converts images to BMP. It was converting them to JPG, but although the phone previews them correctly, it won't set them as wallpaper correct0ly.
  • Sanyo SCP-5400 Add support for reading and writing the phonebook and calendar.

Changes in 0.7 - test 7

  • Sanyo Phones Reboot phone after calendar writes. Reboot now doesn't cause device name to change.
  • Sanyo SCP-5500 Fix calendar writes. Phone put in offline mode before calendar writes.
  • Sanyo SCP-7200 Phone put in offline mode before calendar writes.
  • Sanyo SCP-7300 Add support for reading and writing the phonebook and calendar. Phone put in offline mode before calendar writes.

Changes in 0.7 - test 6

  • Added 'Other CDMA Phone' type that you can select if your phone uses the Brew filesystem protocol, but the other features are not supported in BitPim.
  • Started Audiovox CDM 8900 support
  • BitPim has changed to the GNU GPL license (details in the LICENSE file in the source code)
  • Characters special to HTML such as ampersand (&) no longer cause exceptions in the phonebook
  • Sanyo SCP-5300 Added builtin ringers list.
  • Sanyo SCP-5500 Fix write phonebook to phone failure. Add calendar support.
  • Sanyo SCP-7200 Reading and writing the phonebook is supported. Calendar is untested.
  • Windows BitPim will now work with ports numbered higher than com9.
  • Windows BitPim now finds the location of My Documents using the correct API call instead of looking in the registry (a bad way of doing it for various reasons).

Changes in 0.7 - test 5

  • Saving of position/size for the following windows:
    • Main Application
    • Config Dialog
    • Comm Browser Dialog
    • Print Preview Window
  • When saving to JPEG, the quality is set to 100 (ie almost lossless)
  • Sanyo Phones Added data integrity measures like used for Brew and LG phones.
  • Sanyo SCP-5500 Added initial support for this phone (aka VM4500.) Phonebook reading and writing work.

Changes in 0.7 - test 4

  • You can now print from the phonebook.
  • The wallpaper tab is now based on a new 'media' displayer which will also be used for ringtones, voice memos etc. This 3 pane layout lets you see thumbnails, and detailed information at the same time. There is also a preview area on the right where many actions will be available (eg format conversions, mass resizing). Please report any problems you see in the interface. The following are known to be incomplete:
    • Rename
    • Preview area
    • Double clicking/Open launching an external program
  • Wallpapers: The format to convert added images to, the maximum name length and filename characters (as well as case) now come from each phone's profile rather than being hardcoded to BMP, 19 characters and lower case alphanumerics. VX6000 users will now appreciate the default format for them being JPEG.
  • Windows Now using py2exe 0.5 and InnoSetup 4.1.5. The new LZMA (aka 7zip) compression in the latter results in a 700kb smaller setup file.
  • LG VX4500 This phone has been added but testing of writing the phonebook is not complete. Additionally some values may still be wrong for builtin wallpaper names, sizes and formats etc. If you have some developer ability (eg you can convert between decimal and hexadecimal) then please join bitpim-devel mailing list and help complete support for this phone.
  • Sanyo Phones Fix calendar saving which was broken in test 3.

Changes in 0.7 - test 3

  • If a read or write of a file in the filesystem takes more than 3 seconds, the log will now tell you how many bytes per second the transfer worked out at.
  • Several data integrity measures in the Brew protocol code. This includes throwing exceptions if file sizes don't match expectations, verifying protocol checksums, logging junk data in packets etc
  • You can now put phones into offline mode as well as reboot them. To do so, right click on a directory in the filesystem view and choose the relevant option. Offline mode may help overwriting some files. Note that once in offline mode your phone will not do any calls and will probably display a fairly scary message on the display. The only way to get out of offline mode is to reboot the phone, either through the menu or manually.

    It has also been my experience that the LG phones do not correctly setup their USB if you reboot them while attached to the computer. Unplugging the cable and putting it back in fixes that.

  • USB debugging (of libusb) has been turned off. It seemed to be causing some problems on Mac, and wasn't being particularly useful anyway.
  • LG VX4400/6000 Added data integrity measures to LG sync protocol (the code is very similar to the Brew protocol code and the measures are the same as described above).
  • LG VX4400/6000 Zero length calendar files are now dealt with correctly. This would typically happen if you had never used your calendar.
  • Sanyo Phones The Date/Time for calendar entries is now correct for all time zones, not just EST.
  • Sanyo Phones Now silently truncates long phone numbers instead of failing. Also get first phone number type when bitpim data not sorted.

Changes in 0.7 - test 2

  • You can now clear the contents of the log panes from the view menu
  • Fixed several nasty issues that would affect first time users with poor interaction between config dialogs, splash screens and the help tour appearing.
  • The get and send dialogs now adjust to what features are supported between BitPim and your phone. For example it won't allow you to select wallpapers on Sanyo phones since we don't have that code (yet).
  • Several updates to the CSV import, including implementing the "Private" and "Category" fields, adding a "Categories" field, adding a toggle so you can say whether the first row is headers or not (the DSV library guesses weren't too reliable), none of the filters are ticked by default.
  • You can now sort by any column in the phonebook
  • There are now first, middle and last name columns available in the phonebook
  • Implemented missing code that will derive a full name from its pieces (and vice versa). This is relevant where an entry was imported as pieces (f,m,l) but phones write out only a full name (or vice versa).
  • You can double click in the phonebook entry preview (on the right) to edit the entry.
  • When using libusb, we have a builtin database of vendor, product and interface information as well USB protocols. This is used to give more detail in the port browser.
  • Modems are now also listed along with serial ports (and workalikes) in the com port browser. This means that auto-detection of Sanyo phones should work.
  • Devices that are likely to be the selected phone are now marked with an asterisk in the com port browser
  • The com port browser and auto detect code are now passed the phone module and only pay attention to devices that are that phone (before they would notice any phone supported by BitPim)
  • Windows Generate a dotted quad style version id for bitpim.exe otherwise upgrades can leave old versions of the executable in place when upgrading.
  • LG VX4400 BitPim now works correctly if your phonebook is completely empty.
  • LG VX4400/VX6000 BitPim now copes if the calendar exceptions file is not present.
  • LG TM520/VX10 These phones are no longer being maintained and cannot be selected. If you would like to maintain them, please follow the instructions on the BitPim developer page.

Changes in 0.7 - test 1

  • You can save the contents of the com port browser as HTML so other people can see what you see.
  • Protocol descriptions are now used throughout making maintenance and coding a lot easier.
  • Exceptions have their details copied to the Log window
  • Exceptions now include local variables from the last 6 frames making it easier to diagnose what happened
  • If a protocol decoding exception occurs, then buffer details are dumped to the ordinary log
  • Introduced a 0.3 second delay after grabbing each file when making a backup. If this isn't done the phone eventually gets overwhelmed and returns truncated buffers amongst other things
  • Support for Sanyo 4900/8100 added
  • Support for LG VX6000 added. Thanks to www.rpiwireless.com for the loan of a phone and cable.
  • There is incomplete support for the LG TM520 and VX10. Developers are welcome to contribute the remainder of the support.
  • Totally revamped phonebook pane
  • Phonebook entry editor that allows ordering and editing of all fields
  • Groups can be edited in the phonebook entry editor
  • Phonebook entries can be imported from CSV with predefined profiles for Palm Desktop, Mozilla and Outlook Express
  • Import dialog with intelligent matching against existing entries (in a similar manner to how you do reconciliation with banking programs).
  • The wallpaper view resizes all images when viewing (note the files on disk are not modified. This means that you will see complete camera images rather than just the top left corner.
  • BitPim can now access appropriate devices via direct USB even if a driver is not installed. This allows using straight USB cables on all platforms. Note however that the VX4400 has a timeout issue in its USB implementation that also affects direct USB access. The VX6000 and other phones do not have this problem.
  • Windows Fixed a bug in comscan that could result in not completely enumerating registry keys. This would result in some COM ports not being found that were perfectly valid.
  • Windows Updated to InnoSetup 4
  • LG VX4400/VX6000 When writing out wallpaper/ringtones, files to be written are only actually written if they are a different length than the one on the phone. This makes it considerably quicker to update wallpapers and ringtones.
  • LG VX4400/VX6000 The groups file on the phone is now updated based on the categories you use in your entries. Please see the phone specific notes in the online help for important information about this. Support requests where the notes have obviously not been read will be ignored.
  • LG VX4400/VX6000 The algorithm for ordering and values of the indices for wallpapers and ringtones was changed. If you read in everything, you can delete the index files from the filesystem view and write out your phonebook, calendar, wallpaper and ringtones. The new indices will start from zero and all phonebook entries etc will be updated. It appears that the VX4400 is less stupid with the new number allocation scheme.
  • LG VX4400/VX6000 Wallpaper and ringtone index files will be created if they don't exist already.
  • Developer A protocol analyser is available. Press Ctrl-Alt-P in a Log pane to see it. You can also run the standalone version.
  • Developer Protocol examples are in the examples directory in CVS
  • Developer There is code to interface with the Windows Address Book using COM/MAPI in native/wab

Changes in 0.62

  • Scrolling in the log windows now always leaves text visible
  • Absurd dates on files in filesystem view no longer cause an exception
  • Work around the LGE buggy driver which has difficulty with the concept of timeouts
  • Updated to pySerial 2, wxPython 2.4.2.4 on all platforms and Python 2.3.2 on Windows

Changes in 0.61

  • Com port detection works correctly on Windows 2000
  • Device drivers with incorrectly formatted dates are handled without generating an error

Changes in 0.6 - test 5

  • Fixed reading file contents to be more stringent. This corrected an issue seen with the LG VX6000 that returned extra nonsense on the end of read file requests.
  • Added *, #, P and T as the list of allowed characters in phone numbers for the VX4400
  • You can now paste from the clipboard into wallpaper tab. (Not too useful since you will probably want to crop the images yourself, as well as give them a sensible name.)
  • Hid the File Print/Print Preview menu items since they don't do anything either
  • John Franklin figured out the ?internal field for calendar entries

Changes in 0.6 - test 4

  • BCI (Brew Compressed Images) are now supported. They will be displayed in the wallpaper view, and correctly uploaded to the phone etc.
  • Filesystem view now shows file sizes and last modified dates
  • You can backup and restore directories/trees from the filesystem view
  • All issues in open SourceForge bug reports fixed
  • Updated to newest pySerial

Changes in 0.6 - test 3

  • Removed the 'Version Information' setting from get phone data, as it isn't possible with the straight USB cable, and requires the phone to be in RS232 mode with the USB to serial cable. You can easily get this information from the phone itself.
  • Removed the File Save/New/Open menus as they did nothing, and some users may have been lead to believe they did
  • Splash screen
  • Online help is hooked in
  • Include a manifest file so that Windows XP users will see all the widgets in their hideous XP style glory
  • Removed the separate version history html file since it is now part of the online help
  • Updated to Python 2.3 on Windows
  • Tour is now shown on startup if it is the first time you have run BitPim
  • Auto comm port detection and recovery on comms errors.
  • Config dialog no longer pops up on first use as sensible decisions are made. You can now browse the com ports in the config dialog
  • Filesystem view being on/off now remembered
  • The notebook page/pane you were last viewing is remembered and set on startup
  • The files stored on disk are now versioned so if the format changes on an upgrade, old ones can be dealt with appropriately
  • Huge numbers of minor usability and functionality fixes

Changes in 0.6 - test 2

  • Now make two attempts to open commport with a delay as it sometimes fails on first open
  • Added a half second delay when switching baud rates as the phone may not be able to switch as quickly as the host

Changes in 0.6 - test 1

  • Can now read and write files bigger than 64kb
  • Calendar is now shown
  • Worked around Python bug that joins("f:\", "subdir") giving "f:\\subdir" which is not a valid pathname. This should only have affected users who told BitPim to use the root directory of a drive, or who mapped their My Documents folder to the root directory of a drive.

Changes in 0.53

  • Also ignore ZbThumbnail.info in the BitPim wallpaper directory (some camera software litters the directory with it)

Changes in 0.52

  • The ringtone tab was also refreshed if you selected to only get wallpaper
  • Reading images/ringtones from the phone ONLY uses the index now. The brew/shared directory could also contain other stuff such as scores from games that BitPim should have been ignoring.
  • You can now do merging as well as overwriting when sending wallpapers and ringtones to the phone.
  • Increased precision of calculation for scaling since it was sometimes out by one pixel
  • Added refresh to the context menu of directories in filesystem view. You can refresh anyway by closing and opening the directory, but this wouldn't work with empty directories.

Changes in 0.51

  • Index generation for ringtones and wallpapers corrected

Changes in 0.5

  • If you change the comm port while BitPim is running, it will actually pick up the change (in earlier versions you had to exit and restart due to a bug).
  • If mode transition fails, you now get a helpful dialog explaining possible steps to resolve.
  • Files in the root directory in filesystem view are now listed
  • Files are displayed in the wallpaper and ringtone view in alphabetical order
  • The wallpaper and ringtone index files are somewhat cleaner, although the phone still misbehaves is you delete an entry on the phone (this is a bug in the phone and happens no matter what tool you use)
  • No more than 30 index entries are added for the wallpaper and ringtone indexes (the limit of the phone)
  • Added a guid in the installer setup so that previous versions are uninstalled correctly. It is recommended that you uninstall versions before 0.5 before installing 0.5 to keep your add/remove programs entries clean.
  • Wallpapers and ringtones are written out in alphabetical order
  • BitPim now has an icon
  • We now send a generic initialization command. This allows the filesystem view to work on other Brew phones (AudioVox 9500 and Motorola T720 are known to work). The wallpaper and ringtone stuff should NOT be used on these other phones.
  • If you add an entry in the phonebook, the label for that row is now updated when you change the name.
  • Ignore the files Windows dumps in the BitPim directories (thumbs.db, desktop.ini etc)
  • Update to wxPython 2.4.0.6
  • Changed field sizes in status bar so that they are less likely to truncate on smaller screens
  • Group strings are now read from the phone
  • Pressing enter in phonebook moves selection to the right rather than down
  • Updating log text and protocol log is now down in an OnIdle handler. This means the user interface remains usable even when large amounts of logging happen. Feel free to watch as much logging as you want when you want

Changes in 0.4

  • Serial numbers on phonebook entries are now preserved when writing to the phone. This means you won't lose speeddials and voicedials (as happened with 0.3).

Changes in 0.3

  • Cope with ringtones directory not existing on phone
  • Cope with wallpapers directory not existing on phone
  • Can now write out your phonebook.
  • Can now crudely edit your phonebook
  • Changed wallpaper size to be 120x98 instead of 120x100 so that it comes out correctly centered vertically
  • The ondisk format of the phonebook has changed. If you used 0.2, please delete any stored phonebook (defaults to My Documentsbitpimphonebookindex.idx) otherwise BitPim may refuse to start.

Changes in 0.2

  • Fixed the issue of wallpapers inside a certain size range causing image load failures in the user interface.
  • Wallpapers that are resized won't have a one pixel wide black line in the framing area.
  • Phonebook is now saved to disk when read.
  • The underlying plumbing for the phonebook has been sorted out which will make editing it possible soon

Changes in 0.1

  • First alpha release
Previous: BitPim versioning scheme Up: About BitPim Next: Contributing to BitPim


Contributing to BitPim

You can contribute to BitPim in various ways. Any program can always be improved, so I welcome your improvements. Here are some examples.

Financially

No financial contributions are accepted for BitPim. If you really would like to do something financial, then I recommend loaning a phone (you can get them on eBay) or contributing to charity. Two areas I suggest are charities that help people get a better education and ones that campaign on behalf of political prisoners worldwide.

We will however accept sponsorship of BitPim developers or of major features. Please contact djpham@bitpim.org if you would like to sponsor BitPim.

As a user

If you think something in the program could be done in a better way, post a message about it to the bitpim-user mailing list. Remember to include how you think it could be better.

You can also help out other users who post to various forums to make their experience better. Don't forget to supply feedback to bitpim-user. The goal is to have BitPim so perfect that there is no need for online documentation or for anyone to ever ask any questions :-)

As a developer

If you have technical skills, the best contribution you can make is some of your time. Please see the developer site for more information.

Loaning phones

It is a lot easier to develop support for a phone if the developers have one. We appreciate loans of phones. You will be credited in the online help, and the phone will be returned whenever you want it back. It is best if we can keep the phone indefinitely as that allows us to ensure the phone supports new features of BitPim as they get developed over time. The phones do not need to have an associated plan - we switch our own plans over to them if it is needed. eBay is a good source of phones, and you may want to pool together with other people who want the same phone supported.

Please contact djpham@bitpim.org if you have a phone you want to loan.

As a retailer

You can loan equipment to BitPim developers. You will be credited in the help and on the website for your equipment loan. Please note that the BitPim developers do not enter into affiliations and do not do deals to get hidden kickbacks.

Cables

We list the cables we have that work with each phone. If you would like your cable added, you need to send one to at least one of the developers (see the contacts). They will also be returned on request but at your expense. You should package it up exactly as purchasers get it. It is especially important that the same drivers are available. You should also state how you support all three operating systems - Windows, Linux and Mac.

Previous: Version History Up: About BitPim Next: Future Plans


Future Plans

Version 0.9

The focus of version 0.9 is to fix all known major bugs, complete the development of all basic BitPim features, and ensure that the help files are up-to-date and accurate.

Next version

The focus for the following version is to improve and optimize the stability, performance, and the GUI of BitPim. Adding support to new phones is considered an ongoing task based on the availability of those phones.

Not assigned to a particular version

These items are intended to be done in the future, but are not planned for a specific release of BitPim.

  • A hex editor for the filesystem view
  • Being able to do things to the midis (convert to type 0, reduce length, alter volume)
  • Doing something with audio on the phone (eg QCP/voice memos stuff)
  • Undo
  • Database export/backup.
Previous: Contributing to BitPim Up: About BitPim Next: Contacts


Contacts

You can subscribe to the mailing lists or view the archives from http://sourceforge.net/mail/?group_id=75211. SourceForge often has issues with the archives being out of date so they are also available at Gmane. (Note that you cannot post at Gmane).

You must be subscribed to a list to post to it. This is for two reasons. The first is that if you are not subscribed, it is very difficult to see any responses. The second reason is due to the huge number of viruses that spread to everything in people's address books. This policy prevents those posts getting through and keeps the mailing lists a lot cleaner, including keeping out spam.

If you get a message held because you are not subscribed it is because you were not subscribed at the time of sending the message. Subsequently subscribing doesn't change the earlier message which will still get rejected (a human logs in every few days and just rejects all messages since it would take way too long to check if each person has since subscribed).

Note that the From address in your posts must be the same as you subscribed with (that is how it can tell the posting is from a subscribed user.) If you want to post from multiple ids, you can subscribe them all and then turn off email delivery to them in your subscription options.

bitpim-announce mailing list

This list contains announcements of new versions of BitPim. It is very low traffic.

bitpim-user mailing list

This list is for users of BitPim. Please direct your issues, questions and comments to this list. This list is read by several hundred people (including all the developers), so please ensure that your posts are on topic and courteous. If you are posting a question, please ensure you have followed the support guidelines which will take you through what information needs to be collected and how to present it so you will get a good response to your first post.

bitpim-developer mailing list

This list is for discussions about and people making technical contributions to BitPim and general chitchat amongst the developers. Please include the phone in the subject.

Project Maintainer

The project maintainer is Joe Pham djpham@bitpim.org. You should only contact him if you have equipment or cables for the project, or for similar project related issues. All other communication should be directed to the mailing lists above. There are support procedures listed.

Previous: Future Plans Up: About BitPim Next: Support


Support

We do not offer ANY support for versions of BitPim that were not downloaded by following the link on the BitPim home page at www.bitpim.org. You MUST go back to whomever you downloaded BitPim from.

Before posting anywhere, please take the time to read this article on How to ask questions the smart way (Note they do NOT provide support, just guidelines on how to ask questions/get support and get the best responses). Then follow the steps described below:

Before making a support request, please gather up the following information where possible. The goal is to ensure you have the relevant information so that the issue can be addressed as quickly and thoroughly as possible.

If you cannot get BitPim to talk to your phone at all, you need to follow the steps in serial troubleshooting first.

If you still cannot get BitPim to talk to your phone then you are out of luck. This page details why.

Summary
Start with the following items. If you leave them out, we will have to ask and it will delay getting to a solution for you. BitPim supports multiple phones, operating systems and cables, and they all affect issues you may have.

  • Which version of BitPim you are using
  • What operating system you are using
  • Which cell phone you are talking to (make and model)
  • What cable you are using to talk to the phone

Make notes
You will need to gather information as described in the following points. The most important notes to start with are a description of what happened and a description of what you expected to happen.
If you got an exception dialog, please copy the contents.
This will show what happened at the point of the problem. The contents of the dialog are in the Log pane. Note that you must include the other contents of the log pane in addition to the exception. This is so we can tell what BitPim was doing leading up to the exception.
Get a copy of the contents of the Log pane.
This will show the history of actions BitPim was doing
What set of steps did you take
Work out the set of steps you did. This is to enable others to do the same set of steps in order to reproduce your problem.
Is it repeatable?
Does the problem happen every time. If it does, it is far easier to track down the cause and fix. Even if it isn't repeatable, there may be enough information from the previous steps to diagnose and fix it.
What have you tried?
In your attempts to fix the issue, what have you already tried, and what happened.?
Look on the web and in archives
Do a Google search incorporating lines of the error message, symptoms or what you have tried. You can also search the mailing list archives at SourceForge or at Gmane. Phone specific groups should also have their archives and search facilities.

Where to make your request

You should check the archives at SourceForge or Gmane to see if your problem has already been reported and solved.

BitPim Mailing list

You can post about your problem to the bitpim-user mailing list. This is read and responded to by a wide variety of BitPim users and developers, and you will get rapid responses if you have followed these guidelines fully. Please use this list for issues with BitPim itself.

Your posts should have a subject that indicates which phone you have, which operating system you are using, the type of cable you are using and an indication of the problem.

Note: The mailing list does not provide support for the various operating systems or for configuring device drivers. If you cannot get BitPim to talk to your phone then tough luck.. It only provides support for the BitPim software.

Phone specific resources

Some problems are more to do with the phones and how to use them. The help pages for the phones list various web pages, forums and mailings specific to those phones.

Do not do

Do not do any of the following. It takes up lots of other people's valuable time, and often annoys them. If you do any of them, you will likely just be ignored.

Mail individual developers
If the developer responds, the answer won't appear in any archives and so won't help other users. Other users won't be able to comment on the issue such as workarounds they have discovered or indications if the issue is unique to your configuration or affects everyone. Additionally the developers schedule their time carefully so your answer is unlikely to be timely anyway.
Mail/post in multiple locations
Some people think they will get quicker answers by posting to mailing lists, filling out SourceForge tracker items, and emailing individual developers. I can assure you that no one wants to answer/address the same issue two or more times. And if you are seen posting the same thing in more than one location, the people who can answer will wait a long time to ensure you aren't also posting in others (remember they usually participate in multiple locations as well).
Be impatient
Some people seem to get upset if their issues are not answered immediately. Remember that other people have their own lives and responsibilities and contribute as their own schedules and priorities allow. If you have given a detailed report, they may be doing research. After all, a good question deserves a good answer.
Post no information
One report consisted of "When BitPim talks to my phone, it gets some sort of exception". BitPim does fundamentally work with the phones we support. There may be some issues but we don't release software that just doesn't work. Furthermore not giving any information at all about what happened, the contents of the exception etc means no one can help. Follow the steps at the top of this page.
Ignoring archives
Many questions have already been asked and answered (multiple times). Check the archives!
Previous: Contacts Up: About BitPim Next: No support on bitpim-user


No support on bitpim-user

If you cannot get BitPim working with your phone, then do not post to any of the BitPim mailing lists. You will be pointed at this page without any other answer.

Quite simply far too many people had driver issues (we didn't supply those), cable issues (we didn't supply those), operating system issues (we didn't supply that) or general computer issues (we didn't supply that either). The BitPim developers and users have never provided support for those (we didn't supply them!) although we tried a bit (we can't see your computer from here).

Unfortunately several people felt that they were entitled to support, were under no obligation to follow any of the existing documentation, and otherwise just ranted and raved. This merely served to put useless messages on the list with a lot of inflammatory insulting language.

Ultimately we just got sick and tired of it. So while you may be a nice person, actually follow instructions, and realise that no-one is under any obligation to you, it has all been ruined by those earlier people. We are not interested in finding out if you are one of the exceptions.

You are welcome to cruise the archives to see how this situation arose.

And you will just have to go elsewhere to get your issue addressed. Once you have BitPim talking to your phone, then we would love to hear from you.

Previous: Support Up: About BitPim Next: Credits


Credits

Note: I hope I have everyone listed here who have made contributions. If I left you out, or you want your details added, changed or removed, please let me know.

BitPim incorporates and depends on components and products from other people.

The project manager is Joe Pham <djpham@bitpim.org>

The following people made notable recent contributions:

Roger Binns <rogerb@rogerbinns.com> | Founder, original author, builds
Joe Pham | Samsung support, LG VX support
Stephen Wood | Sanyo support, Samsung support

The following people/companies loaned or donated phones or cables:

  • Ringarama.com
  • 3gcables.com
  • RPI Wireless
  • Rob Ross
  • Jim Asta
  • A & H Cellular of Idaho
  • John Sabato
  • Rodney Meyers
  • Rapidigm
  • Crayton Electronics
  • Andy Hall
  • Brian Dipert
  • The folks at Ringerpost.com
  • Christopher R. White
  • Michael Freed

The following people made contributions in the past:

  • Anthony Bellissimo, Billy, Simon Capper, crackedvzw, Scott Craig, Jordan Foley, Alan Gonzalez, Vic Heintz, Christina Lee, Tim Lowery, Steven Palm, Adit Panchal, Alan Pinstein, Michael Smith.

Previous: No support on bitpim-user Up: About BitPim


RPI Wireless

RPI Wireless has been by far the biggest contributor to BitPim. Like all businesses, they are made up of imperfect people and imperfect technical systems. Before ordering from RPI Wireless or any other vendor, you should read the following tips and look in reputation management systems and on the web.

  • Ask what contribution the vendor has made to BitPim

  • National Consumers League shopping safely online tips

  • Better Business Bureau Play it safe on the Internet

  • Reseller Ratings

  • Google Search

Previous: About BitPim Up: About BitPim Next: License and Warranty